#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3e3b5766, "sev_do_cmd" },
	{ 0x4073e924, "sev_guest_deactivate" },
	{ 0x2e2df7f4, "irq_remapping_cap" },
	{ 0x13ff0adf, "kvm_queue_exception_p" },
	{ 0xb0c10241, "__SCK__tp_func_kvm_nested_intr_vmexit" },
	{ 0xba6725af, "kvm_vcpu_deliver_sipi_vector" },
	{ 0xb0d79e29, "__tracepoint_kvm_inj_virq" },
	{ 0xe88dae01, "fput" },
	{ 0x49608959, "migrate_disable" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xdfec5cf6, "kvm_cpu_has_interrupt" },
	{ 0x1c9646df, "handle_fastpath_set_msr_irqoff" },
	{ 0xeed7fd81, "up_write" },
	{ 0x2e6a6147, "psp_copy_user_blob" },
	{ 0x6cdc8d1, "kvm_configure_mmu" },
	{ 0x48e080b1, "x86_virt_spec_ctrl" },
	{ 0x9001ce86, "kvm_make_all_cpus_request" },
	{ 0x398547bd, "__srcu_read_lock" },
	{ 0x567e3eb5, "__tracepoint_kvm_avic_kick_vcpu_slowpath" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4bfcd728, "pmc_write_counter" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x2e256af2, "kvm_emulate_instruction_from_buffer" },
	{ 0x627e7d24, "kvm_init_mmu" },
	{ 0xe45ee949, "kvm_emulate_wbinvd" },
	{ 0x10606458, "kvm_vcpu_reset" },
	{ 0xea8985b0, "rmp_make_shared" },
	{ 0x88cdd87f, "kvm_zap_gfn_range" },
	{ 0x98f4d306, "hyperv_flush_guest_mapping" },
	{ 0xfd7443dd, "kvm_set_cr3" },
	{ 0x56d43d50, "kvm_update_cpuid_runtime" },
	{ 0x43db1133, "x86_decode_emulated_instruction" },
	{ 0x92d308d1, "__ct_user_enter" },
	{ 0xaa8770f1, "__SCK__kvm_x86_get_cs_db_l_bits" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x18ffaede, "__SCK__tp_func_kvm_page_fault" },
	{ 0xeaa8b5ed, "kvm_alloc_apic_access_page" },
	{ 0x47e7d06e, "kvm_get_cr8" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xc1500dde, "__tracepoint_kvm_vmgexit_exit" },
	{ 0x6636c3c9, "irq_set_vcpu_affinity" },
	{ 0x388e0e10, "__SCT__tp_func_kvm_pi_irte_update" },
	{ 0x79d62945, "__SCK__tp_func_ipi_send_cpu" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x4ce6bd28, "kvm_is_linear_rip" },
	{ 0x31e3eb3d, "kvm_set_dr" },
	{ 0x2a67d9e3, "kvm_set_msi_irq" },
	{ 0x78518fbb, "psmash" },
	{ 0x6cebe720, "__SCK__tp_func_kvm_rmp_fault" },
	{ 0x6da19b50, "snp_free_firmware_page" },
	{ 0xf77a99b4, "kvm_emulate_hypercall" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5fdfa2c1, "amd_pmu_enable_virt" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x709cd8cb, "kvm_spurious_fault" },
	{ 0xa77ac96b, "__put_devmap_managed_folio_refs" },
	{ 0xda99936c, "__SCK__tp_func_kvm_vmgexit_msr_protocol_exit" },
	{ 0x470d72c5, "misc_cg_uncharge" },
	{ 0x7563a807, "kvm_emulate_ap_reset_hold" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xff0b2eb4, "__tracepoint_kvm_skinit" },
	{ 0xe2b82adf, "get_xsave_addr" },
	{ 0x68952493, "rcu_note_context_switch" },
	{ 0xad1036a2, "amd_iommu_activate_guest_mode" },
	{ 0x1f6d3485, "load_pdptrs" },
	{ 0xe9fc3ae4, "__tracepoint_write_msr" },
	{ 0xa588ef67, "__SCT__tp_func_kvm_nested_intercepts" },
	{ 0x5d0113e0, "x86_pred_cmd" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x966694e3, "kvm_vcpu_read_guest_page" },
	{ 0x5d996b31, "kvm_set_cpu_caps" },
	{ 0xfb578fc5, "memset" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x2b35427c, "hv_track_root_tdp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7f396b38, "kvm_set_cr4" },
	{ 0x1f8e9483, "__SCT__tp_func_kvm_avic_doorbell" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0x3def6477, "__SCK__tp_func_kvm_exit" },
	{ 0x3227443, "kvm_handle_page_fault" },
	{ 0x95609b26, "context_tracking_key" },
	{ 0x6303c089, "kvm_calc_nested_tsc_offset" },
	{ 0xad43fc4c, "kvm_cpu_caps" },
	{ 0x2d82cc24, "kvm_spec_ctrl_test_value" },
	{ 0x616e6c95, "__SCT__tp_func_kvm_exit" },
	{ 0xd6d2cedc, "__tracepoint_kvm_avic_unaccelerated_access" },
	{ 0xf6fc8791, "__bitmap_xor" },
	{ 0x6eafbe55, "mutex_lock_killable" },
	{ 0xeddd417, "down_read" },
	{ 0x42e82916, "kvm_load_guest_xsave_state" },
	{ 0xa75e3d64, "kvm_set_cr0" },
	{ 0x3101e724, "__kvm_is_valid_cr4" },
	{ 0x4f80e319, "__ct_user_exit" },
	{ 0xe425545a, "pv_ops" },
	{ 0xcce1979d, "kvm_set_cr8" },
	{ 0xb9f3d6ed, "__tracepoint_kvm_vmgexit_msr_protocol_exit" },
	{ 0xc88f29ec, "__tracepoint_kvm_invlpga" },
	{ 0x6753ed04, "kvm_get_dr" },
	{ 0x3e93be33, "snp_lookup_rmpentry" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x128604a7, "kvm_update_dr7" },
	{ 0x66abbd17, "__tracepoint_kvm_nested_intercepts" },
	{ 0x8d143aca, "kvm_mmu_page_fault" },
	{ 0x37f036c2, "__SCK__tp_func_kvm_nested_vmexit" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x1d1b139a, "__SCT__tp_func_kvm_avic_ga_log" },
	{ 0xd221a728, "param_ops_bool" },
	{ 0xf4ca26ea, "kvm_emulate_instruction" },
	{ 0xa6729c43, "cpu_info" },
	{ 0x79a98aff, "kvm_hv_assist_page_enabled" },
	{ 0xef14fd98, "kvm_calc_nested_tsc_multiplier" },
	{ 0x5864e269, "rmp_make_private" },
	{ 0xf5d073e8, "xa_find" },
	{ 0x25db1577, "do_trace_write_msr" },
	{ 0x2ac4871e, "kvm_vcpu_apicv_activated" },
	{ 0xe2780d2b, "kvm_apic_send_ipi" },
	{ 0x621e46b3, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0xa7508f6f, "__tracepoint_read_msr" },
	{ 0xb391388d, "kvm_vcpu_read_guest" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc48e321e, "__tracepoint_kvm_rmp_fault" },
	{ 0x64e3bb7d, "kvm_vcpu_on_spin" },
	{ 0x72f6bfcf, "sev_platform_init" },
	{ 0xb7a2a4e0, "kvm_gmem_get_pfn" },
	{ 0x2e326161, "__SCK__tp_func_kvm_vmgexit_exit" },
	{ 0x3a4b1f72, "kvm_read_guest" },
	{ 0xeda83401, "__srcu_read_unlock" },
	{ 0x66a3eda8, "set_page_dirty_lock" },
	{ 0xa2783e7a, "kvm_vcpu_wake_up" },
	{ 0xdfb62b1b, "ms_hyperv" },
	{ 0x485cd7f6, "kvm_rebooting" },
	{ 0x9eb73d14, "kvm_get_rflags" },
	{ 0x25fb0e74, "kvm_queue_exception_e" },
	{ 0xe9dc51c5, "cpu_emergency_register_virt_callback" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x6becaded, "__SCT__tp_func_kvm_inj_virq" },
	{ 0x6c05d619, "alloc_pages_noprof" },
	{ 0xd09da48b, "__SCT__tp_func_kvm_nested_intr_vmexit" },
	{ 0xe8201721, "__tracepoint_kvm_exit" },
	{ 0xa6fc7a8b, "kvm_emulate_cpuid" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0x44b5ab88, "kvm_emulate_wrmsr" },
	{ 0xb2ddf584, "__SCK__tp_func_kvm_inj_virq" },
	{ 0xf54e2886, "__SCT__tp_func_kvm_vmgexit_msr_protocol_enter" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x60156ad1, "kvm_find_cpuid_entry_index" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0x6d2c9437, "__SCT__tp_func_kvm_nested_vmenter" },
	{ 0x46edffa9, "kvm_vcpu_kick" },
	{ 0x59387ba3, "__SCT__kvm_x86_cache_reg" },
	{ 0x3b55ce24, "kvm_mmu_invlpg" },
	{ 0x9711514, "kvm_emulate_invd" },
	{ 0x172bb57a, "kvm_fast_pio" },
	{ 0x50b42ba1, "entry_ibpb" },
	{ 0x69ad6ac1, "cpu_emergency_unregister_virt_callback" },
	{ 0x4f0a6408, "kvm_init_shadow_npt_mmu" },
	{ 0x6dd4cae9, "__SCK__tp_func_kvm_ple_window_update" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x61d7c1f3, "kvm_set_msr_common" },
	{ 0xe93dfc8c, "__SCT__tp_func_kvm_nested_vmenter_failed" },
	{ 0xf5b52d5c, "hv_vp_assist_page" },
	{ 0x8d734097, "__SCK__tp_func_kvm_nested_vmexit_inject" },
	{ 0x36c75b4e, "context_tracking" },
	{ 0xad72e41f, "kvm_intr_is_single_vcpu" },
	{ 0x3f510ff5, "kvm_has_noapic_vcpu" },
	{ 0xf1cd8929, "kvm_read_and_reset_apf_flags" },
	{ 0x3881b268, "kvm_emulate_rdpmc" },
	{ 0x93a3e40e, "__SCT__tp_func_kvm_ple_window_update" },
	{ 0x843d6541, "sev_guest_decommission" },
	{ 0x23d78e37, "param_ops_int" },
	{ 0x210b5c52, "__tracepoint_kvm_nested_vmexit_inject" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3c2371bb, "__tracepoint_kvm_avic_doorbell" },
	{ 0x4e3fd1b4, "kvm_release_pfn_clean" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe5a30e27, "kvm_sev_es_mmio_read" },
	{ 0x7ff2a104, "__SCT__tp_func_kvm_page_fault" },
	{ 0x75086054, "__SCK__tp_func_kvm_vmgexit_msr_protocol_enter" },
	{ 0x318ce369, "kvm_cpu_has_injectable_intr" },
	{ 0x58994783, "kvm_skip_emulated_instruction" },
	{ 0x4263fdc5, "cc_platform_has" },
	{ 0x476c2cad, "kvm_set_or_clear_apicv_inhibit" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x87739e55, "kvm_handle_invalid_op" },
	{ 0xbb53856b, "up_read" },
	{ 0x2c2f5a09, "x86_family" },
	{ 0xcf509080, "kvm_caps" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x723069de, "__kvm_vcpu_update_apicv" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x45c2cea3, "kvm_sev_es_mmio_write" },
	{ 0x61ae8a28, "hv_flush_remote_tlbs_range" },
	{ 0x787aed90, "kvm_get_kvm" },
	{ 0x3785a9c7, "kvm_complete_insn_gp" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0xfe54b5d7, "kvm_apic_write_nodecode" },
	{ 0xe0e786a7, "__SCT__tp_func_kvm_skinit" },
	{ 0x9cf59e7a, "allow_smaller_maxphyaddr" },
	{ 0xdbe53dbe, "__SCK__kvm_x86_cache_reg" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xd3b5cbe9, "kvm_x86_vendor_init" },
	{ 0xf3620a52, "pin_user_pages_fast" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xcbaa327d, "misc_cg_set_capacity" },
	{ 0x1c06edfa, "__tracepoint_kvm_ple_window_update" },
	{ 0xd23c5a1f, "__SCK__tp_func_kvm_avic_incomplete_ipi" },
	{ 0xbc849135, "kvm_arch_has_assigned_device" },
	{ 0xd965bdc8, "kvm_apic_match_dest" },
	{ 0x4d51256d, "gfn_to_memslot" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5e3c5d00, "kvm_clear_guest" },
	{ 0x18582826, "amd_pmu_disable_virt" },
	{ 0x9d14205c, "cr4_read_shadow" },
	{ 0xb8bdeb6e, "kvm_host" },
	{ 0xb82c0987, "enable_pmu" },
	{ 0xe4d69f80, "kvm_requeue_exception" },
	{ 0x3e059f28, "sev_guest_activate" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x53d9f927, "__SCT__kvm_x86_get_cs_db_l_bits" },
	{ 0x581bb0b4, "file_is_kvm" },
	{ 0x77ff053, "default_cpu_present_to_apicid" },
	{ 0xc08dcadb, "__tracepoint_kvm_avic_ga_log" },
	{ 0xb4f7ae5f, "__SCK__tp_func_kvm_nested_vmenter_failed" },
	{ 0xd475c188, "kvm_pmu_cap" },
	{ 0x27046576, "kvm_exit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4ad9f80, "kvm_init" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe82d6283, "kvm_deliver_exception_payload" },
	{ 0xc071e99f, "__SCT__tp_func_kvm_entry" },
	{ 0x16d9df34, "__tracepoint_kvm_avic_incomplete_ipi" },
	{ 0x3dcb2d85, "param_ops_ushort" },
	{ 0x6cc1fab3, "__tracepoint_kvm_nested_vmexit" },
	{ 0x1db1c372, "enable_vmware_backdoor" },
	{ 0x1d013832, "kvm_enable_efer_bits" },
	{ 0x40a0aafc, "__flush_tlb_all" },
	{ 0x63d2f778, "__tracepoint_kvm_nested_vmenter" },
	{ 0x2510fc6d, "__SCT__tp_func_kvm_nested_vmexit" },
	{ 0xbd9d6dfc, "kvm_mmu_set_me_spte_mask" },
	{ 0x8a7fe54a, "__SCT__tp_func_kvm_vmgexit_enter" },
	{ 0xfeea58f2, "srso_alias_untrain_ret" },
	{ 0xaf0535fa, "kvm_emulate_xsetbv" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xa38f21b9, "amd_iommu_update_ga" },
	{ 0x832640c7, "snp_alloc_firmware_page" },
	{ 0xbd1abafc, "__SCK__tp_func_kvm_cr" },
	{ 0x704449ea, "kvm_apicv_activated" },
	{ 0xb0455e84, "snp_leak_pages" },
	{ 0xb4503362, "do_machine_check" },
	{ 0xefd4b9a7, "__tracepoint_kvm_vmgexit_msr_protocol_enter" },
	{ 0xce576a13, "enable_apicv" },
	{ 0xad9b683b, "__SCT__tp_func_kvm_rmp_fault" },
	{ 0x8af1e8c1, "handle_ud" },
	{ 0x4942be67, "__SCT__tp_func_kvm_avic_incomplete_ipi" },
	{ 0x71326fd8, "kvm_mmu_new_pgd" },
	{ 0x78e44815, "unpin_user_pages" },
	{ 0xa4b044, "amd_iommu_deactivate_guest_mode" },
	{ 0xe173a0fe, "kvm_post_set_cr4" },
	{ 0x17799a04, "__SCK__tp_func_kvm_nested_intercepts" },
	{ 0x5f55e07c, "__tracepoint_kvm_nested_vmenter_failed" },
	{ 0x1cfd87a, "kvm_get_msr_common" },
	{ 0x77f15f98, "__SCK__tp_func_kvm_avic_ga_log" },
	{ 0x89a4de13, "kvm_gmem_populate" },
	{ 0xffcf5846, "smp_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x448b871e, "__SCK__tp_func_kvm_nested_vmenter" },
	{ 0x84328d5e, "pcpu_hot" },
	{ 0xc2b9df06, "kvm_hv_get_assist_page" },
	{ 0x6340434e, "x86_model" },
	{ 0xb5abf110, "kvm_emulate_halt" },
	{ 0xb4db71b, "__SCK__tp_func_kvm_vmgexit_enter" },
	{ 0xac809c26, "kvm_emulate_mwait" },
	{ 0x4468a259, "kvm_vcpu_map" },
	{ 0xaf778e2f, "__SCK__tp_func_kvm_invlpga" },
	{ 0xdae6212f, "__SCK__tp_func_kvm_skinit" },
	{ 0x50e39ef9, "kvm_msr_allowed" },
	{ 0x687b78fc, "kvm_x86_vendor_exit" },
	{ 0x96139129, "kvm_wait_lapic_expire" },
	{ 0xd4f01a08, "hv_flush_remote_tlbs" },
	{ 0x8f9c781a, "sev_issue_cmd_external_user" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4b632ac7, "kvm_put_kvm" },
	{ 0xfa714e94, "perf_event_read_value" },
	{ 0x9493fc86, "node_states" },
	{ 0x61b443f8, "x86_spec_ctrl_current" },
	{ 0x45b6ab79, "kvm_find_cpuid_entry" },
	{ 0x701dfb3c, "kvm_task_switch" },
	{ 0x5388b1a0, "amd_get_dr_addr_mask" },
	{ 0xb5b88b5d, "__SCK__tp_func_kvm_avic_unaccelerated_access" },
	{ 0x39e3c030, "do_trace_read_msr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe38279be, "kvm_write_guest" },
	{ 0xcbe4640d, "misc_cg_try_charge" },
	{ 0xd5b44bcb, "kvm_sev_es_string_io" },
	{ 0x85b3d455, "__tracepoint_kvm_cr" },
	{ 0x6ada8f59, "kvm_mmu_set_mmio_spte_mask" },
	{ 0x53614ec, "kvm_set_user_return_msr" },
	{ 0x22de4931, "amd_iommu_register_ga_log_notifier" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x778e30b9, "__SCT__tp_func_kvm_cr" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xcaca0f8b, "kvm_emulate_monitor" },
	{ 0x5f4e8952, "kvm_requeue_exception_e" },
	{ 0x507c7b6a, "__tracepoint_kvm_vmgexit_enter" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xaea94f54, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x5c7e9f84, "__SCT__tp_func_kvm_apicv_accept_irq" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xc96d35f4, "report_ignored_msrs" },
	{ 0x4a1c261b, "__SCT__tp_func_kvm_invlpga" },
	{ 0x5f911332, "__SCT__tp_func_kvm_avic_kick_vcpu_slowpath" },
	{ 0x253b1137, "kvm_queue_exception" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf7e0dcd0, "kvm_emulate_rdmsr" },
	{ 0xcff45f4, "__SCT__tp_func_kvm_vmgexit_msr_protocol_exit" },
	{ 0x793ac193, "__SCT__tp_func_ipi_send_cpu" },
	{ 0xd93ded75, "__tracepoint_kvm_apicv_accept_irq" },
	{ 0x943a2fbe, "__tracepoint_kvm_pi_irte_update" },
	{ 0x8fac14a2, "sev_guest_df_flush" },
	{ 0x2202f751, "const_pcpu_hot" },
	{ 0x618911fc, "numa_node" },
	{ 0x8b618aa6, "__SCT__tp_func_kvm_nested_vmexit_inject" },
	{ 0xd0b993bb, "kvm_vcpu_unmap" },
	{ 0x38986f70, "kvm_post_set_cr0" },
	{ 0x6c9fd511, "__free_pages" },
	{ 0x7fe19488, "kvm_add_user_return_msr" },
	{ 0x340e91b8, "__tracepoint_kvm_nested_intr_vmexit" },
	{ 0xd33ba153, "kvm_valid_efer" },
	{ 0x7dabadc5, "__tracepoint_ipi_send_cpu" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb3635fd8, "__SCK__tp_func_kvm_pi_irte_update" },
	{ 0xfab33e4c, "enable_mmio_caching" },
	{ 0xc90e9760, "kvm_set_rflags" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xba9f7731, "__SCK__tp_func_kvm_apicv_accept_irq" },
	{ 0x6712bdca, "__SCK__tp_func_kvm_avic_doorbell" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x517b371, "__SCK__tp_func_kvm_entry" },
	{ 0xfe3f7303, "split_page" },
	{ 0x79b3cee1, "__SCK__tp_func_kvm_avic_kick_vcpu_slowpath" },
	{ 0x48644036, "__SCT__tp_func_kvm_vmgexit_exit" },
	{ 0xf32dff97, "__SCT__tp_func_kvm_avic_unaccelerated_access" },
	{ 0x78edc7c5, "kvm_handle_invpcid" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x87ca88c3, "__tracepoint_kvm_entry" },
	{ 0x7e0e888f, "mark_page_accessed" },
	{ 0x85ab783e, "kvm_load_host_xsave_state" },
	{ 0xd936d6a0, "__tracepoint_kvm_page_fault" },
	{ 0x177a82c3, "entry_untrain_ret" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "ccp,kvm");

MODULE_ALIAS("cpu:type:x86,ven*fam*mod*:feature:*00C2*");

MODULE_INFO(srcversion, "329051994E3714DFF10CBD5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
