#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_platform_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_find_clk, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_deassert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_assert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_get_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_init_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume, "_gpl", "");

SYMBOL_CRC(ahci_platform_ops, 0x72a2f23a, "_gpl");
SYMBOL_CRC(ahci_platform_enable_phys, 0x99f1a28f, "_gpl");
SYMBOL_CRC(ahci_platform_disable_phys, 0x2f7bc0ff, "_gpl");
SYMBOL_CRC(ahci_platform_find_clk, 0xb729cda2, "_gpl");
SYMBOL_CRC(ahci_platform_enable_clks, 0xe7d6b1ae, "_gpl");
SYMBOL_CRC(ahci_platform_disable_clks, 0x515cd3de, "_gpl");
SYMBOL_CRC(ahci_platform_deassert_rsts, 0x519fadd5, "_gpl");
SYMBOL_CRC(ahci_platform_assert_rsts, 0x0c28667b, "_gpl");
SYMBOL_CRC(ahci_platform_enable_regulators, 0x97de26e2, "_gpl");
SYMBOL_CRC(ahci_platform_disable_regulators, 0x3c39dbf3, "_gpl");
SYMBOL_CRC(ahci_platform_enable_resources, 0xac1db795, "_gpl");
SYMBOL_CRC(ahci_platform_disable_resources, 0x9addffba, "_gpl");
SYMBOL_CRC(ahci_platform_get_resources, 0x6d5e0096, "_gpl");
SYMBOL_CRC(ahci_platform_init_host, 0xf93b1479, "_gpl");
SYMBOL_CRC(ahci_platform_shutdown, 0x41da3ce4, "_gpl");
SYMBOL_CRC(ahci_platform_suspend_host, 0xa8f4fa30, "_gpl");
SYMBOL_CRC(ahci_platform_resume_host, 0x3399d729, "_gpl");
SYMBOL_CRC(ahci_platform_suspend, 0xedb86d8a, "_gpl");
SYMBOL_CRC(ahci_platform_resume, 0x823e9ed2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5ae8c73c, "phy_set_mode_ext" },
	{ 0xa096150c, "phy_power_on" },
	{ 0xda690db7, "phy_init" },
	{ 0x9cf53ea3, "phy_power_off" },
	{ 0x7810838e, "phy_exit" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x55767245, "regulator_disable" },
	{ 0xdac7b255, "regulator_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x69b801b, "__pm_runtime_idle" },
	{ 0x6926cc9c, "__pm_runtime_disable" },
	{ 0x2bd2f7fd, "ata_host_resume" },
	{ 0xe76e21b5, "ahci_reset_controller" },
	{ 0x94091d4f, "ahci_init_controller" },
	{ 0xba48e806, "regulator_enable" },
	{ 0xa531552d, "platform_get_irq" },
	{ 0x7f2681db, "ahci_save_initial_config" },
	{ 0xf7e7f3fb, "ahci_set_em_messages" },
	{ 0xd5631a6f, "ata_host_alloc_pinfo" },
	{ 0x6ce5ab14, "platform_get_resource" },
	{ 0x75022fcd, "ata_port_desc" },
	{ 0x97c38455, "ata_dummy_port_ops" },
	{ 0xea50dad3, "ahci_ignore_sss" },
	{ 0xa0d4fd04, "ahci_print_info" },
	{ 0x4a159e89, "ahci_host_activate" },
	{ 0x8d3e92d9, "dma_set_mask" },
	{ 0x369e3b86, "dma_set_coherent_mask" },
	{ 0x5c62b89, "ahci_reset_em" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1f14b0a0, "_dev_err" },
	{ 0xd18504ae, "_dev_info" },
	{ 0xfb0ed2c8, "devres_open_group" },
	{ 0x261c1865, "__devres_alloc_node" },
	{ 0x55658007, "devres_add" },
	{ 0xe2dd5235, "platform_get_resource_byname" },
	{ 0x76ca8453, "devm_platform_ioremap_resource_byname" },
	{ 0xf36461b4, "devm_clk_bulk_get_all" },
	{ 0x448f7082, "devm_regulator_get" },
	{ 0x7fe9ca14, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2f90df3, "devm_of_phy_get" },
	{ 0x1bdf91f9, "regulator_get" },
	{ 0x9baf3b8, "pm_runtime_enable" },
	{ 0x205d126, "__pm_runtime_resume" },
	{ 0x59fd288c, "devres_remove_group" },
	{ 0x90c772f6, "devm_platform_ioremap_resource" },
	{ 0x6a156e20, "devres_release_group" },
	{ 0xd26230e4, "devm_reset_control_array_get" },
	{ 0x4149705b, "devm_clk_get_optional" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x5d2bc42a, "reset_control_rearm" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x3f9c405c, "ata_host_suspend" },
	{ 0x44bcec91, "__pm_runtime_set_status" },
	{ 0x98aba1cd, "ahci_ops" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "libata,libahci");


MODULE_INFO(srcversion, "AFCFA732A21B6242723F671");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
