#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xae086696, "blk_mq_free_request" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xbb4b1b45, "dma_map_page_attrs" },
	{ 0x36ecfea4, "dma_unmap_page_attrs" },
	{ 0x7d362de6, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x61a80b26, "kthread_stop" },
	{ 0xf84b8a49, "blk_mq_free_tag_set" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3df5908d, "pci_disable_msi" },
	{ 0x1eb79ad, "pcim_iounmap_regions" },
	{ 0x131b2f53, "put_disk" },
	{ 0x3b69f000, "del_gendisk" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x41cc0192, "pcim_iomap_table" },
	{ 0x9069b07c, "__kmalloc_cache_node_noprof" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc7c0d270, "kthread_create_on_node" },
	{ 0x59c540be, "wake_up_process" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x9e3b7905, "set_capacity" },
	{ 0x27b6db64, "device_add_disk" },
	{ 0x20364968, "blk_mq_alloc_tag_set" },
	{ 0xc1ea6b8e, "__blk_mq_alloc_disk" },
	{ 0xb0e602eb, "memmove" },
	{ 0x34cb6fed, "debugfs_create_file" },
	{ 0x9493fc86, "node_states" },
	{ 0x84328d5e, "pcpu_hot" },
	{ 0x618911fc, "numa_node" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6247d725, "pcim_enable_device" },
	{ 0x22cb9d68, "pcim_iomap_regions" },
	{ 0x8d3e92d9, "dma_set_mask" },
	{ 0x369e3b86, "dma_set_coherent_mask" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xa6729c43, "cpu_info" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x255a7423, "__dynamic_dev_dbg" },
	{ 0xd3b1b2e4, "pci_set_master" },
	{ 0x63ece445, "pci_enable_msi" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xd5ff3d5d, "blk_mq_tagset_busy_iter" },
	{ 0x92bb1d52, "simple_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x86f6a820, "debugfs_create_dir" },
	{ 0x4dd2a5b4, "__pci_register_driver" },
	{ 0x87028c7c, "debugfs_remove" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x7ce20792, "pci_read_config_word" },
	{ 0x83f9a949, "blk_mark_disk_dead" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd31d799c, "dma_free_attrs" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xb8d3809b, "blk_mq_complete_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0x6573f300, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x2e3d0597, "dma_unmap_sg_attrs" },
	{ 0x23163223, "blk_mq_end_request" },
	{ 0x95addd4b, "blk_abort_request" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8587d3ad, "_dev_warn" },
	{ 0x68b5b362, "dma_alloc_attrs" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x953a70e, "pci_unregister_driver" },
	{ 0xfccc2eb3, "pcie_capability_read_word" },
	{ 0xd18504ae, "_dev_info" },
	{ 0x22a2e6fc, "pcie_capability_write_word" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x9d8b2ea3, "blk_mq_start_request" },
	{ 0xb84b675a, "__blk_rq_map_sg" },
	{ 0xa38ab2cb, "dma_map_sg_attrs" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x1f14b0a0, "_dev_err" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8945e55, "blk_mq_quiesce_queue" },
	{ 0x89070d68, "blk_mq_unquiesce_queue" },
	{ 0xa3e59afe, "blk_mq_alloc_request" },
	{ 0x1f28abc0, "blk_execute_rq" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001344d00005150sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001344d00005151sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001344d00005152sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001344d00005153sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001344d00005160sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001344d00005161sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001344d00005163sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "080C243B0D445F85437F9EE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
