#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb578fc5, "memset" },
	{ 0xa3e59afe, "blk_mq_alloc_request" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0xae086696, "blk_mq_free_request" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x18689c06, "blk_rq_map_kern" },
	{ 0x85aea03b, "xa_erase" },
	{ 0x1f28abc0, "blk_execute_rq" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5bf76812, "iov_iter_get_pages2" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc5595d90, "set_page_dirty" },
	{ 0xa77ac96b, "__put_devmap_managed_folio_refs" },
	{ 0x621e46b3, "__folio_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0x73764954, "io_uring_cmd_done" },
	{ 0x8945e55, "blk_mq_quiesce_queue" },
	{ 0x89070d68, "blk_mq_unquiesce_queue" },
	{ 0x245444c8, "blk_mq_kick_requeue_list" },
	{ 0x3b69f000, "del_gendisk" },
	{ 0x9af842d, "idr_get_next" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd366e929, "cdev_device_del" },
	{ 0x69cd9cb7, "class_unregister" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x17167baa, "__put_task_struct" },
	{ 0x37a0cba, "kfree" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf84b8a49, "blk_mq_free_tag_set" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xc6cbbc89, "capable" },
	{ 0x8a5df835, "init_user_ns" },
	{ 0xd599aa88, "from_kuid" },
	{ 0xd2e4b813, "from_kgid" },
	{ 0xa92e623b, "import_ubuf" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0xc7ac7e51, "blk_mq_requeue_request" },
	{ 0x23163223, "blk_mq_end_request" },
	{ 0x688f5750, "blk_mq_delay_kick_requeue_list" },
	{ 0x6eafbe55, "mutex_lock_killable" },
	{ 0xdfb800d9, "idr_find" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x20364968, "blk_mq_alloc_tag_set" },
	{ 0xdc854b50, "device_initialize" },
	{ 0xaf4a0b3, "dev_set_name" },
	{ 0xa8d26082, "cdev_init" },
	{ 0xa8666a5a, "cdev_device_add" },
	{ 0x92997ed8, "_printk" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x7223ffaf, "blk_update_request" },
	{ 0x82d766c4, "__blk_mq_end_request" },
	{ 0x9d8b2ea3, "blk_mq_start_request" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x8d8f363e, "__io_uring_cmd_do_in_task" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x6917fada, "get_device" },
	{ 0x6d203870, "send_sig" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x89b57a22, "io_uring_cmd_mark_cancelable" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x5d7d064b, "noop_llseek" },
	{ 0x44031e48, "nonseekable_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xf531b37a, "misc_register" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xc4c86d37, "class_register" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x954cea47, "misc_deregister" },
	{ 0x2560666, "kobject_get_unless_zero" },
	{ 0xb19c98dd, "kern_path" },
	{ 0xec23cfd9, "vfs_getattr" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x54749de7, "inode_permission" },
	{ 0xb48e6227, "path_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd5ff3d5d, "blk_mq_tagset_busy_iter" },
	{ 0x8acb4b75, "put_device" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x2202f751, "const_pcpu_hot" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x799096ae, "remap_pfn_range" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5e7f06f9, "param_set_uint_minmax" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc1ea6b8e, "__blk_mq_alloc_disk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9e3b7905, "set_capacity" },
	{ 0x62c6ef18, "blk_revalidate_disk_zones" },
	{ 0x27b6db64, "device_add_disk" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x131b2f53, "put_disk" },
	{ 0x5b979a58, "set_disk_ro" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F533287CFEA480F18E49F64");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
