#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ssd130x_variants, "_gpl", "DRM_SSD130X");
KSYMTAB_FUNC(ssd130x_probe, "_gpl", "");
KSYMTAB_FUNC(ssd130x_remove, "_gpl", "");
KSYMTAB_FUNC(ssd130x_shutdown, "_gpl", "");

SYMBOL_CRC(ssd130x_variants, 0x760c3ba6, "_gpl");
SYMBOL_CRC(ssd130x_probe, 0x84b832a0, "_gpl");
SYMBOL_CRC(ssd130x_remove, 0x04e355f9, "_gpl");
SYMBOL_CRC(ssd130x_shutdown, 0x805f4a4f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcb58e8db, "drm_mode_probed_add" },
	{ 0x4eec9afe, "drm_set_preferred_mode" },
	{ 0x142957b7, "pwm_put" },
	{ 0x55767245, "regulator_disable" },
	{ 0xe49e725b, "pwm_apply_might_sleep" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xb32c2017, "drm_crtc_helper_atomic_check" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0x9e595a1f, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x41bbdf5f, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0x28886a24, "drm_dev_enter" },
	{ 0xfb578fc5, "memset" },
	{ 0x7bb31a34, "regmap_bulk_write" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xa5cb9a00, "drm_atomic_helper_check_plane_state" },
	{ 0x714f88a2, "__drm_gem_destroy_shadow_plane_state" },
	{ 0x13489ecb, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0x5adad824, "drm_dev_unplug" },
	{ 0x1a19d6e3, "drm_atomic_helper_shutdown" },
	{ 0x84247d5d, "drm_format_conv_state_reserve" },
	{ 0x73732ab8, "drm_atomic_helper_damage_iter_init" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0x11af5a41, "drm_gem_fb_begin_cpu_access" },
	{ 0x7fcb156f, "drm_fb_xrgb8888_to_rgb332" },
	{ 0xea40335f, "drm_gem_fb_end_cpu_access" },
	{ 0x7e7fc6a, "drm_fb_xrgb8888_to_gray8" },
	{ 0x7d362de6, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbfb695a3, "drm_fb_xrgb8888_to_mono" },
	{ 0xed00d71e, "gpiod_set_value_cansleep" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xba48e806, "regulator_enable" },
	{ 0xb6a45fc2, "pwm_get" },
	{ 0x255a7423, "__dynamic_dev_dbg" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0x75a5bbb8, "__drm_atomic_helper_crtc_reset" },
	{ 0x7ffa671a, "__drm_gem_reset_shadow_plane" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x8587d3ad, "_dev_warn" },
	{ 0x4140d7e1, "drm_gem_shmem_prime_import_sg_table" },
	{ 0xea6cd653, "drm_gem_shmem_dumb_create" },
	{ 0x5d7d064b, "noop_llseek" },
	{ 0x66e00196, "drm_read" },
	{ 0xb3e896ba, "drm_poll" },
	{ 0x2da50298, "drm_ioctl" },
	{ 0xe386bb46, "drm_compat_ioctl" },
	{ 0x13ee7146, "drm_gem_mmap" },
	{ 0x1ee8e1b0, "drm_open" },
	{ 0xa20e52ea, "drm_release" },
	{ 0xa3d0d7d0, "drm_gem_fb_create_with_dirty" },
	{ 0x81350ffc, "drm_atomic_helper_check" },
	{ 0xc251f8f3, "drm_atomic_helper_commit" },
	{ 0x15e09dd6, "drm_atomic_helper_connector_reset" },
	{ 0xaef85977, "drm_helper_probe_single_connector_modes" },
	{ 0xee1e3a80, "drm_connector_cleanup" },
	{ 0x3d60eb18, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xbfce34a, "drm_atomic_helper_connector_destroy_state" },
	{ 0x4f78559d, "drm_encoder_cleanup" },
	{ 0x6857a9e1, "drm_crtc_cleanup" },
	{ 0xefa71fb2, "drm_atomic_helper_set_config" },
	{ 0x894f446a, "drm_atomic_helper_page_flip" },
	{ 0x4f867385, "drm_atomic_helper_update_plane" },
	{ 0xe7af3e66, "drm_atomic_helper_disable_plane" },
	{ 0x8ac72ac6, "drm_plane_cleanup" },
	{ 0x4bbbed88, "drm_gem_begin_shadow_fb_access" },
	{ 0x100a141, "drm_gem_end_shadow_fb_access" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x44629fde, "regmap_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa41cca95, "__devm_drm_dev_alloc" },
	{ 0xe9cfbcd9, "device_get_match_data" },
	{ 0x6b2c1caa, "device_property_read_u32_array" },
	{ 0xe5138aea, "device_property_read_u8_array" },
	{ 0xd56c56c3, "device_property_present" },
	{ 0xac9204be, "devm_gpiod_get_optional" },
	{ 0x448f7082, "devm_regulator_get" },
	{ 0x2f37090d, "devm_backlight_device_register" },
	{ 0xdb377333, "drmm_mode_config_init" },
	{ 0xe06750a1, "drm_universal_plane_init" },
	{ 0xe287e706, "drm_plane_enable_fb_damage_clips" },
	{ 0x507c18c, "drm_crtc_init_with_planes" },
	{ 0xbbb60d6c, "drm_encoder_init" },
	{ 0xf585ec84, "drm_connector_init" },
	{ 0xdc90a7a6, "drm_connector_attach_encoder" },
	{ 0xf3f5038a, "drm_mode_config_reset" },
	{ 0x444ec38d, "drm_dev_register" },
	{ 0xe6e8fcd8, "drm_fbdev_shmem_setup" },
	{ 0xe42be596, "dev_err_probe" },
	{ 0x1f14b0a0, "_dev_err" },
	{ 0x632f1de9, "drm_mode_duplicate" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C157EB9E09F89E3AFEB376B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
