#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(bmp280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bme280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp180_chip_info, "", "IIO_BMP280");
KSYMTAB_FUNC(bmp280_common_probe, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_dev_pm_ops, "", "");
KSYMTAB_DATA(bmp180_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bme280_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_regmap_config, "", "IIO_BMP280");

SYMBOL_CRC(bmp280_chip_info, 0x17d0bcf3, "");
SYMBOL_CRC(bme280_chip_info, 0x60359d37, "");
SYMBOL_CRC(bmp380_chip_info, 0x8adf5d85, "");
SYMBOL_CRC(bmp580_chip_info, 0x721d1633, "");
SYMBOL_CRC(bmp180_chip_info, 0x6bb19928, "");
SYMBOL_CRC(bmp280_common_probe, 0xf03c7d35, "");
SYMBOL_CRC(bmp280_dev_pm_ops, 0xe008b339, "");
SYMBOL_CRC(bmp180_regmap_config, 0x3ac32920, "");
SYMBOL_CRC(bmp280_regmap_config, 0xd045f442, "");
SYMBOL_CRC(bme280_regmap_config, 0xfd8d42f2, "");
SYMBOL_CRC(bmp380_regmap_config, 0x3f1742a3, "");
SYMBOL_CRC(bmp580_regmap_config, 0x316bfe26, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x205d126, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd58674ae, "regmap_bulk_read" },
	{ 0x851c6366, "regmap_update_bits_base" },
	{ 0xe42be596, "dev_err_probe" },
	{ 0xf6a8865a, "__pm_runtime_suspend" },
	{ 0xe9d48e86, "__devm_add_action" },
	{ 0x3b649e8, "__pm_runtime_use_autosuspend" },
	{ 0x6926cc9c, "__pm_runtime_disable" },
	{ 0x69b801b, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x44629fde, "regmap_write" },
	{ 0x5d20128c, "devm_request_threaded_irq" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x4a12e038, "gpiod_set_value" },
	{ 0xdd8292ad, "devm_nvmem_register" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x65b45cb, "complete" },
	{ 0x3de33dd1, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xac9204be, "devm_gpiod_get_optional" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x44bcec91, "__pm_runtime_set_status" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9baf3b8, "pm_runtime_enable" },
	{ 0x891dc503, "regulator_bulk_disable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd18504ae, "_dev_info" },
	{ 0x1f14b0a0, "_dev_err" },
	{ 0xc80f5cfe, "irq_get_irq_data" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xfd6eaf84, "__devm_iio_device_register" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xffecc8fc, "devm_iio_device_alloc" },
	{ 0x8587d3ad, "_dev_warn" },
	{ 0x779fd343, "regulator_bulk_set_supply_names" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5ae7ae6f, "regulator_bulk_enable" },
	{ 0x41339ca0, "devm_regulator_bulk_get" },
	{ 0xe94bed8f, "regmap_read" },
	{ 0x7bb31a34, "regmap_bulk_write" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "industrialio");


MODULE_INFO(srcversion, "C0CDF0F7D3DA3A6AFA4F944");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
