#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rmi_dbg, "_gpl", "");
KSYMTAB_FUNC(rmi_register_transport_device, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_transport_device, "", "");
KSYMTAB_FUNC(__rmi_register_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_of_property_read_u32, "_gpl", "");
KSYMTAB_FUNC(rmi_set_attn_data, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_suspend, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_resume, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_process, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_rel_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_configure_input, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_of_probe, "_gpl", "");

SYMBOL_CRC(rmi_dbg, 0x9503e3b9, "_gpl");
SYMBOL_CRC(rmi_register_transport_device, 0xfbaebcba, "_gpl");
SYMBOL_CRC(rmi_unregister_transport_device, 0x796deeff, "");
SYMBOL_CRC(__rmi_register_function_handler, 0x5dca62be, "_gpl");
SYMBOL_CRC(rmi_unregister_function_handler, 0x4d02ace5, "_gpl");
SYMBOL_CRC(rmi_of_property_read_u32, 0x8a72ee87, "_gpl");
SYMBOL_CRC(rmi_set_attn_data, 0x722bee62, "_gpl");
SYMBOL_CRC(rmi_driver_suspend, 0xeb191436, "_gpl");
SYMBOL_CRC(rmi_driver_resume, 0x79cb02ef, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_process, 0xcb1e8d5a, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_report, 0x1ed62f11, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_rel_report, 0xddf4fc3d, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_configure_input, 0xa4bd3758, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_of_probe, 0x870f9021, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x476b165a, "sized_strscpy" },
	{ 0x61ba95d8, "vb2_ioctl_dqbuf" },
	{ 0x9c7a9c99, "bus_unregister" },
	{ 0xfd3cf8b6, "devm_kfree" },
	{ 0x1f14b0a0, "_dev_err" },
	{ 0x1fde7873, "vb2_ioctl_create_bufs" },
	{ 0x71684df0, "device_add" },
	{ 0xc722468b, "input_mt_init_slots" },
	{ 0xc80f5cfe, "irq_get_irq_data" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xa1bec45a, "input_set_capability" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xecc08ff2, "vb2_buffer_done" },
	{ 0x579bb9ce, "driver_unregister" },
	{ 0xf1efceda, "vb2_plane_vaddr" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x237ab17f, "video_unregister_device" },
	{ 0x9f232153, "sysfs_create_group" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xf9316988, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xad849866, "vb2_fop_mmap" },
	{ 0x52deada9, "device_del" },
	{ 0x9562e15b, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x5975241c, "vb2_vmalloc_memops" },
	{ 0x8587d3ad, "_dev_warn" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xa13902a3, "serio_unregister_port" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xa9b2f2ad, "input_event" },
	{ 0x5aaf5931, "vb2_fop_read" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x97ba8d9c, "v4l2_device_register" },
	{ 0x8a3eb870, "input_set_abs_params" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe8768cf7, "devm_kasprintf" },
	{ 0xb0425093, "sysfs_remove_group" },
	{ 0xe7d9764f, "serio_interrupt" },
	{ 0x1f2e1a23, "irq_domain_instantiate" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x259b392c, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66ad7d75, "vb2_ops_wait_prepare" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x14c3e287, "irq_create_mapping_affinity" },
	{ 0x5f17fcac, "vb2_ioctl_streamon" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4cc05c77, "input_alloc_absinfo" },
	{ 0x86af0ec0, "vb2_fop_poll" },
	{ 0x454d2426, "v4l2_device_unregister" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x23d78e37, "param_ops_int" },
	{ 0xd61759a6, "_dev_printk" },
	{ 0xbd8d9e2c, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7801f968, "driver_register" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0x140b06b5, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xa396856a, "vb2_ioctl_reqbufs" },
	{ 0x1a350c7, "vb2_queue_init" },
	{ 0x104591b2, "input_mt_assign_slots" },
	{ 0x45ffedcd, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5d20128c, "devm_request_threaded_irq" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x7fe9ca14, "devm_kmalloc" },
	{ 0x22000f6b, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xaf4a0b3, "dev_set_name" },
	{ 0xfa863af, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xde9cf363, "input_mt_sync_frame" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x1ae537e9, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x12af0942, "vb2_ops_wait_finish" },
	{ 0xf089d0ae, "request_firmware" },
	{ 0xbb98f67d, "input_mt_report_slot_state" },
	{ 0xdc854b50, "device_initialize" },
	{ 0x271436b9, "devm_input_allocate_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa10e2548, "vb2_ioctl_querybuf" },
	{ 0x339b713a, "__serio_register_port" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4f484152, "v4l2_fh_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7d362de6, "dev_driver_string" },
	{ 0xa06e5bac, "irq_domain_simple_ops" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x9e681366, "input_register_device" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x71d60393, "video_devdata" },
	{ 0xce11b1e1, "irq_set_chip_and_handler_name" },
	{ 0x8acb4b75, "put_device" },
	{ 0x1944dc90, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xce74d2e4, "handle_simple_irq" },
	{ 0xd18504ae, "_dev_info" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-common,videodev,videobuf2-vmalloc");


MODULE_INFO(srcversion, "18756C82442DAD4909C18D8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
