#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xde9cf363, "input_mt_sync_frame" },
	{ 0xd6bb03a0, "usb_deregister" },
	{ 0x6e50e34e, "vb2_wait_for_all_buffers" },
	{ 0x72716024, "usb_control_msg" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0x42c16856, "input_allocate_device" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0x8a3eb870, "input_set_abs_params" },
	{ 0xc722468b, "input_mt_init_slots" },
	{ 0xe0902b45, "input_setup_polling" },
	{ 0xfcdd0302, "input_set_poll_interval" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9e681366, "input_register_device" },
	{ 0x97ba8d9c, "v4l2_device_register" },
	{ 0xc7db9275, "vb2_dma_sg_memops" },
	{ 0x1a350c7, "vb2_queue_init" },
	{ 0x7a8eafe4, "input_free_device" },
	{ 0xbd8d9e2c, "video_device_release_empty" },
	{ 0xdf9ef125, "v4l2_ctrl_handler_init_class" },
	{ 0x7ed65556, "v4l2_ctrl_new_std" },
	{ 0x9e783f05, "v4l2_ctrl_handler_setup" },
	{ 0x259b392c, "__video_register_device" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa396856a, "vb2_ioctl_reqbufs" },
	{ 0xa10e2548, "vb2_ioctl_querybuf" },
	{ 0xf9316988, "vb2_ioctl_qbuf" },
	{ 0xfa863af, "vb2_ioctl_expbuf" },
	{ 0x61ba95d8, "vb2_ioctl_dqbuf" },
	{ 0x1fde7873, "vb2_ioctl_create_bufs" },
	{ 0x5f17fcac, "vb2_ioctl_streamon" },
	{ 0x22000f6b, "vb2_ioctl_streamoff" },
	{ 0x5aaf5931, "vb2_fop_read" },
	{ 0x86af0ec0, "vb2_fop_poll" },
	{ 0x45ffedcd, "video_ioctl2" },
	{ 0xad849866, "vb2_fop_mmap" },
	{ 0x4f484152, "v4l2_fh_open" },
	{ 0x1944dc90, "vb2_fop_release" },
	{ 0x66ad7d75, "vb2_ops_wait_prepare" },
	{ 0x12af0942, "vb2_ops_wait_finish" },
	{ 0xa6534108, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2de7df9a, "usb_register_driver" },
	{ 0x227acfd1, "v4l2_ctrl_handler_free" },
	{ 0x237ab17f, "video_unregister_device" },
	{ 0x454d2426, "v4l2_device_unregister" },
	{ 0xd027190a, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x255a7423, "__dynamic_dev_dbg" },
	{ 0x1f14b0a0, "_dev_err" },
	{ 0x71d60393, "video_devdata" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x5505d494, "usb_bulk_msg" },
	{ 0x3b9b6851, "vb2_plane_cookie" },
	{ 0xf7f7896c, "usb_sg_init" },
	{ 0x4d8c8ce2, "usb_sg_wait" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xecc08ff2, "vb2_buffer_done" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5f7d8174, "input_mt_get_slot_by_key" },
	{ 0xa9b2f2ad, "input_event" },
	{ 0xbb98f67d, "input_mt_report_slot_state" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videobuf2-common,videodev,videobuf2-dma-sg,videobuf2-v4l2");

MODULE_ALIAS("usb:v045Ep0775d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "82574212E534CBB56E6F5CB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
