#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtsx_pci_start_run, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_stop_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd_no_wait, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_map_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_unmap_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_transfer, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_enable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_disable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_on, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_off, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exclusive_check, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_output_voltage, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exist, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_complete_unfinished_transfer, "_gpl", "");

SYMBOL_CRC(rtsx_pci_start_run, 0xf3ef9053, "_gpl");
SYMBOL_CRC(rtsx_pci_write_register, 0xc680d54b, "_gpl");
SYMBOL_CRC(rtsx_pci_read_register, 0xb79307d2, "_gpl");
SYMBOL_CRC(rtsx_pci_write_phy_register, 0x5ead8aab, "_gpl");
SYMBOL_CRC(rtsx_pci_read_phy_register, 0x17b60805, "_gpl");
SYMBOL_CRC(rtsx_pci_stop_cmd, 0x8e614fd4, "_gpl");
SYMBOL_CRC(rtsx_pci_add_cmd, 0x5760280e, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd_no_wait, 0xb2b3353e, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd, 0xd81efd4a, "_gpl");
SYMBOL_CRC(rtsx_pci_transfer_data, 0x00f1accd, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_map_sg, 0xee5de217, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_unmap_sg, 0xc1109963, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_transfer, 0x990d02e2, "_gpl");
SYMBOL_CRC(rtsx_pci_read_ppbuf, 0xce1aae9c, "_gpl");
SYMBOL_CRC(rtsx_pci_write_ppbuf, 0xb9d71353, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_enable, 0xfcbf1633, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_disable, 0xb00c7c01, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_clock, 0xdd7912da, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_on, 0x802479f9, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_off, 0xa25eb5d1, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exclusive_check, 0xa7dcc03d, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_output_voltage, 0x2ff004e7, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exist, 0xb571f934, "_gpl");
SYMBOL_CRC(rtsx_pci_complete_unfinished_transfer, 0xd6bcef75, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x65b45cb, "complete" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4dd2a5b4, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x3df5908d, "pci_disable_msi" },
	{ 0xd88094e9, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x84328d5e, "pcpu_hot" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x255a7423, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x953a70e, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x39f2e8e1, "pci_read_config_dword" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x8a139c4a, "pm_schedule_suspend" },
	{ 0x6f95d738, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x63ece445, "pci_enable_msi" },
	{ 0x1f14b0a0, "_dev_err" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x954f099c, "idr_preload" },
	{ 0xeba08e6, "pcie_capability_clear_and_set_word_locked" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x68b5b362, "dma_alloc_attrs" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x934a7838, "mfd_add_devices" },
	{ 0xde80cd09, "ioremap" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xb19b445, "ioread8" },
	{ 0xd3b1b2e4, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3aa148f9, "pm_runtime_forbid" },
	{ 0xd31d799c, "dma_free_attrs" },
	{ 0x9b8b6023, "pm_runtime_allow" },
	{ 0x205d126, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd221a728, "param_ops_bool" },
	{ 0xf9bd3e4b, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe0720953, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x70e058cb, "pci_disable_device" },
	{ 0xa321b8f6, "mfd_remove_devices" },
	{ 0x8d3e92d9, "dma_set_mask" },
	{ 0x2e3d0597, "dma_unmap_sg_attrs" },
	{ 0xab2810fe, "pci_read_config_byte" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x69b801b, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xae29f4d9, "pci_write_config_dword" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0xa38ab2cb, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xfccc2eb3, "pcie_capability_read_word" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x2f4f6aa4, "pci_find_ext_capability" },
	{ 0x9b7e5512, "pci_enable_device" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000010ECd00005209sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005229sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005289sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005227sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000522Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005249sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005287sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005286sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000524Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000525Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005260sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005261sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005228sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005264sv*sd*bcFFsc*i*");

MODULE_INFO(srcversion, "050048C027DA0CDA8F3F936");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
