#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(alloc_c_can_dev, "_gpl", "");
KSYMTAB_FUNC(c_can_power_down, "_gpl", "");
KSYMTAB_FUNC(c_can_power_up, "_gpl", "");
KSYMTAB_FUNC(free_c_can_dev, "_gpl", "");
KSYMTAB_FUNC(register_c_can_dev, "_gpl", "");
KSYMTAB_FUNC(unregister_c_can_dev, "_gpl", "");

SYMBOL_CRC(alloc_c_can_dev, 0x5f3138ea, "_gpl");
SYMBOL_CRC(c_can_power_down, 0xf53b7357, "_gpl");
SYMBOL_CRC(c_can_power_up, 0x3862f2b3, "_gpl");
SYMBOL_CRC(free_c_can_dev, 0xef6b1599, "_gpl");
SYMBOL_CRC(register_c_can_dev, 0xd61eafda, "_gpl");
SYMBOL_CRC(unregister_c_can_dev, 0x925a1a7c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x40d24f3d, "napi_complete_done" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe74ed3f2, "__napi_schedule" },
	{ 0x5ca2f105, "alloc_can_skb" },
	{ 0x2add2038, "unregister_candev" },
	{ 0xb0572f4b, "can_change_mtu" },
	{ 0x8641884c, "pinctrl_put" },
	{ 0x627d7d13, "can_dropped_invalid_skb" },
	{ 0x24186362, "pinctrl_pm_select_sleep_state" },
	{ 0x2dd46b03, "free_candev" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc72a2f8b, "sk_skb_reason_drop" },
	{ 0x204983cf, "alloc_candev_mqs" },
	{ 0xe2a13cc9, "netdev_printk" },
	{ 0xdc88e7d5, "napi_enable" },
	{ 0xe2598942, "netif_receive_skb" },
	{ 0xe43f387f, "netif_tx_wake_queue" },
	{ 0xbc4ba798, "close_candev" },
	{ 0xd08ad68, "pinctrl_get" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x99626ab7, "can_bus_off" },
	{ 0x6f74521a, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb8c18416, "pinctrl_lookup_state" },
	{ 0x205d126, "__pm_runtime_resume" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xff11abfa, "pinctrl_select_state" },
	{ 0xf7b873f9, "alloc_can_err_skb" },
	{ 0x201488e4, "napi_schedule_prep" },
	{ 0xe051c1cf, "napi_disable" },
	{ 0x77e867c0, "register_candev" },
	{ 0x69b801b, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x250dd577, "ethtool_op_get_ts_info" },
	{ 0x80df60b8, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x13ac5fdd, "can_put_echo_skb" },
	{ 0x2f198fed, "can_get_echo_skb" },
	{ 0x59be1882, "netif_napi_add_weight" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd9a0e54, "__netif_napi_del" },
	{ 0x21a11fd8, "open_candev" },
	{ 0x87955d1a, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x838db64a, "pinctrl_pm_select_default_state" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "326631E12927EB9B045D2BC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
