#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x47c68d04, "phy_stop" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c1ff5db, "__netdev_alloc_skb" },
	{ 0xdffa3189, "skb_put" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xa29b0b85, "eth_type_trans" },
	{ 0xe2598942, "netif_receive_skb" },
	{ 0xe43f387f, "netif_tx_wake_queue" },
	{ 0x40d24f3d, "napi_complete_done" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x1f14b0a0, "_dev_err" },
	{ 0x8587d3ad, "_dev_warn" },
	{ 0x201488e4, "napi_schedule_prep" },
	{ 0xe74ed3f2, "__napi_schedule" },
	{ 0x255a7423, "__dynamic_dev_dbg" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xc9ddb1d5, "consume_skb" },
	{ 0x952d01e6, "skb_tstamp_tx" },
	{ 0x64de30e2, "__skb_pad" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xdc88e7d5, "napi_enable" },
	{ 0xdec2c707, "phy_start" },
	{ 0xd18504ae, "_dev_info" },
	{ 0x84328d5e, "pcpu_hot" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x897297e7, "alloc_etherdev_mqs" },
	{ 0x6ce5ab14, "platform_get_resource" },
	{ 0x77358855, "iomem_resource" },
	{ 0xa46d91ee, "__devm_request_region" },
	{ 0xa531552d, "platform_get_irq" },
	{ 0xa8436651, "devm_ioremap" },
	{ 0xb6f6fbcc, "dmam_alloc_attrs" },
	{ 0x7fe9ca14, "devm_kmalloc" },
	{ 0x2234bea, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcdfdf7bd, "__mdiobus_register" },
	{ 0xc7b2f222, "phy_connect_direct" },
	{ 0x30929a3b, "phy_set_max_speed" },
	{ 0x59be1882, "netif_napi_add_weight" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xdf19cdce, "register_netdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd15669f9, "devm_clk_get" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x4a9f95b7, "phy_find_first" },
	{ 0x815588a6, "clk_enable" },
	{ 0xe42be596, "dev_err_probe" },
	{ 0x16acbc6f, "phy_ethtool_nway_reset" },
	{ 0xb5371abc, "ethtool_op_get_link" },
	{ 0x250dd577, "ethtool_op_get_ts_info" },
	{ 0x7c697a47, "phy_ethtool_get_link_ksettings" },
	{ 0xaad80afd, "phy_ethtool_set_link_ksettings" },
	{ 0x23d78e37, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7143e372, "__platform_driver_register" },
	{ 0xd9a0e54, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xee2b8e90, "phy_disconnect" },
	{ 0x60874fd7, "mdiobus_unregister" },
	{ 0xef530489, "mdiobus_free" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x1f7f4072, "unregister_netdev" },
	{ 0xf445d8e2, "free_netdev" },
	{ 0xe13f85db, "mdiobus_get_phy" },
	{ 0xd5718fc, "phy_mii_ioctl" },
	{ 0xce64ba8f, "platform_driver_unregister" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x3f70e5a2, "dev_addr_mod" },
	{ 0x92822ae5, "phy_print_status" },
	{ 0xe051c1cf, "napi_disable" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("of:N*T*Copencores,ethoc");
MODULE_ALIAS("of:N*T*Copencores,ethocC*");

MODULE_INFO(srcversion, "394572389829294D0E3577E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
