#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaf9d5c68, "netif_carrier_off" },
	{ 0xe207f746, "netif_carrier_on" },
	{ 0xc2bae54c, "netdev_warn" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xac193d44, "pci_restore_state" },
	{ 0xb5dfbe08, "netif_device_attach" },
	{ 0x68b5b362, "dma_alloc_attrs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9b7e5512, "pci_enable_device" },
	{ 0x897297e7, "alloc_etherdev_mqs" },
	{ 0xd88094e9, "pci_request_regions" },
	{ 0xd3b1b2e4, "pci_set_master" },
	{ 0x7ce20792, "pci_read_config_word" },
	{ 0x5eaf68b4, "pci_write_config_word" },
	{ 0xb146a6d4, "pci_try_set_mwi" },
	{ 0xab2810fe, "pci_read_config_byte" },
	{ 0x8d3e92d9, "dma_set_mask" },
	{ 0x369e3b86, "dma_set_coherent_mask" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x17c3e67d, "pci_iomap" },
	{ 0x2446fb05, "pci_save_state" },
	{ 0x3f70e5a2, "dev_addr_mod" },
	{ 0x92997ed8, "_printk" },
	{ 0xdf19cdce, "register_netdev" },
	{ 0x39f2e8e1, "pci_read_config_dword" },
	{ 0xae29f4d9, "pci_write_config_dword" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf089d0ae, "request_firmware" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x1f14b0a0, "_dev_err" },
	{ 0x2847736, "dev_kfree_skb_irq_reason" },
	{ 0x9c1ff5db, "__netdev_alloc_skb" },
	{ 0xdffa3189, "skb_put" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa29b0b85, "eth_type_trans" },
	{ 0xf07d5623, "__dma_sync_single_for_device" },
	{ 0x9ba70d2, "__dma_sync_single_for_cpu" },
	{ 0xe43f387f, "netif_tx_wake_queue" },
	{ 0x6f74521a, "__dynamic_netdev_dbg" },
	{ 0xa5391787, "pci_status_get_and_clear_errors" },
	{ 0x3172c2aa, "eth_mac_addr" },
	{ 0xc717f3dd, "eth_validate_addr" },
	{ 0x23d78e37, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4dd2a5b4, "__pci_register_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x87955d1a, "netdev_err" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0x6c05d619, "alloc_pages_noprof" },
	{ 0xbb4b1b45, "dma_map_page_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x754d539c, "strlen" },
	{ 0x953a70e, "pci_unregister_driver" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x1000e51, "schedule" },
	{ 0x1f7f4072, "unregister_netdev" },
	{ 0x999e8297, "vfree" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xd31d799c, "dma_free_attrs" },
	{ 0xfb3c1089, "pci_iounmap" },
	{ 0xf445d8e2, "free_netdev" },
	{ 0xf9bd3e4b, "pci_release_regions" },
	{ 0x70e058cb, "pci_disable_device" },
	{ 0xe0720953, "pci_write_config_byte" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x36ecfea4, "dma_unmap_page_attrs" },
	{ 0x6c9fd511, "__free_pages" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x64de30e2, "__skb_pad" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe2a13cc9, "netdev_printk" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5ecaa402, "dev_kfree_skb_any_reason" },
	{ 0xfb578fc5, "memset" },
	{ 0xdd378dba, "netif_rx" },
	{ 0xbf23b095, "netif_device_detach" },
	{ 0x80df60b8, "netdev_info" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v0000108Ed0000ABBAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000100Bd00000035sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "12B6CE3A6059BB55B2139A2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
