#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xecc45c92, "usbnet_status_stop" },
	{ 0x37a0cba, "kfree" },
	{ 0x49495d, "skb_push" },
	{ 0x5ecaa402, "dev_kfree_skb_any_reason" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0x72716024, "usb_control_msg" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x31e38010, "usbnet_link_change" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd7ec08e8, "skb_pull" },
	{ 0x397d1e92, "skb_clone" },
	{ 0x2fec3042, "skb_trim" },
	{ 0x5d0a4c74, "usbnet_skb_return" },
	{ 0xafc63fcf, "usbnet_get_endpoints" },
	{ 0x3f70e5a2, "dev_addr_mod" },
	{ 0xaf9d5c68, "netif_carrier_off" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7d4934fa, "usbnet_read_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1f14b0a0, "_dev_err" },
	{ 0x5e44a9b1, "usbnet_disconnect" },
	{ 0xc54b95b4, "usbnet_suspend" },
	{ 0x4634e20b, "usbnet_resume" },
	{ 0xbfded057, "usbnet_get_msglevel" },
	{ 0xd8551ea3, "usbnet_set_msglevel" },
	{ 0x35f510b9, "usbnet_nway_reset" },
	{ 0xec244ff6, "usbnet_get_link_ksettings_mii" },
	{ 0x691c09eb, "usbnet_set_link_ksettings_mii" },
	{ 0x58e7fb6f, "usbnet_open" },
	{ 0x80baf5fa, "usbnet_stop" },
	{ 0x48b0e1bb, "usbnet_start_xmit" },
	{ 0x3172c2aa, "eth_mac_addr" },
	{ 0xc717f3dd, "eth_validate_addr" },
	{ 0xf60ae518, "usbnet_change_mtu" },
	{ 0xc7f0e9c9, "usbnet_tx_timeout" },
	{ 0x9dc8d152, "dev_get_tstats64" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5ce1c8e4, "usbnet_get_drvinfo" },
	{ 0x2de7df9a, "usb_register_driver" },
	{ 0xd6bb03a0, "usb_deregister" },
	{ 0x4dfd945d, "usbnet_write_cmd" },
	{ 0x87955d1a, "netdev_err" },
	{ 0x255a7423, "__dynamic_dev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0x44d7c670, "usbnet_probe" },
	{ 0xf52164f3, "usbnet_status_start" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "usbnet,usbcore");

MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in0B*");

MODULE_INFO(srcversion, "567F64F6E12749D49C4C3A5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
