#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0xafc63fcf, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x0f1275f1, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0xf52164f3, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0xecc45c92, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x5d0a4c74, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x0ebf8921, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0xf60ae518, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0xeb41d1d1, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x64da6683, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0xd756c119, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x8c989045, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x5499df68, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x80baf5fa, "_gpl");
SYMBOL_CRC(usbnet_open, 0x58e7fb6f, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0xec244ff6, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x5faecb97, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x691c09eb, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x35950756, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x35f510b9, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x5ce1c8e4, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0xbfded057, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0xd8551ea3, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x2c9e86af, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0xc7f0e9c9, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x48b0e1bb, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x5e44a9b1, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x44d7c670, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0xc54b95b4, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x4634e20b, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x62a683ad, "");
SYMBOL_CRC(usbnet_manage_power, 0x21279c27, "");
SYMBOL_CRC(usbnet_link_change, 0x31e38010, "");
SYMBOL_CRC(usbnet_read_cmd, 0x7d4934fa, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x4dfd945d, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x9f5bcda3, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0xd76f6034, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x76dfc160, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa36d8507, "usb_set_interface" },
	{ 0x793d6105, "usb_string" },
	{ 0x255a7423, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x3f70e5a2, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xdd378dba, "netif_rx" },
	{ 0xa29b0b85, "eth_type_trans" },
	{ 0x85092386, "skb_queue_tail" },
	{ 0x6f74521a, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6ee0d8b2, "skb_queue_purge_reason" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x8650af4a, "usb_get_urb" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xa7b93536, "usb_unlink_urb" },
	{ 0x29fa3b3a, "usb_free_urb" },
	{ 0x2202f751, "const_pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xeafb5635, "usb_submit_urb" },
	{ 0x87955d1a, "netdev_err" },
	{ 0x33ae2f58, "mii_ethtool_get_link_ksettings" },
	{ 0x51ff453b, "mii_ethtool_set_link_ksettings" },
	{ 0xbcfa4604, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0x1f7f4072, "unregister_netdev" },
	{ 0xc9ddb1d5, "consume_skb" },
	{ 0x47d2f70d, "usb_get_from_anchor" },
	{ 0x398e3a6d, "usb_kill_urb" },
	{ 0xf445d8e2, "free_netdev" },
	{ 0x80df60b8, "netdev_info" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xbf23b095, "netif_device_detach" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xb5dfbe08, "netif_device_attach" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x72716024, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0x32628514, "usb_autopm_get_interface" },
	{ 0xde2370a5, "usb_autopm_put_interface" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x19cea4ce, "usb_alloc_urb" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0xa2c8f88, "mii_link_ok" },
	{ 0xb5371abc, "ethtool_op_get_link" },
	{ 0xd649f222, "usb_autopm_put_interface_async" },
	{ 0xe207f746, "netif_carrier_on" },
	{ 0xaf9d5c68, "netif_carrier_off" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc1e6df4c, "skb_dequeue" },
	{ 0x897297e7, "alloc_etherdev_mqs" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xdf19cdce, "register_netdev" },
	{ 0x9baf3b8, "pm_runtime_enable" },
	{ 0x146bbc05, "usb_check_bulk_endpoints" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x45bfb43, "usb_autopm_get_interface_async" },
	{ 0x5ecaa402, "dev_kfree_skb_any_reason" },
	{ 0x952d01e6, "skb_tstamp_tx" },
	{ 0x856b90a4, "usb_anchor_urb" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9c1ff5db, "__netdev_alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xe43f387f, "netif_tx_wake_queue" },
	{ 0x8c860171, "usb_autopm_get_interface_no_resume" },
	{ 0xdffa3189, "skb_put" },
	{ 0x8f74bb73, "usb_clear_halt" },
	{ 0x3172c2aa, "eth_mac_addr" },
	{ 0xc717f3dd, "eth_validate_addr" },
	{ 0x250dd577, "ethtool_op_get_ts_info" },
	{ 0x23d78e37, "param_ops_int" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mii");


MODULE_INFO(srcversion, "CA3950E601B12D7C8C82F65");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
