#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7d47b68, "rt2800_mcu_request" },
	{ 0x1146ac13, "rt2800mmio_toggle_irq" },
	{ 0x33cbd30, "rt2800mmio_enable_radio" },
	{ 0x5b5bbde4, "rt2x00pci_remove" },
	{ 0xe2e96bdc, "rt2x00pci_pm_ops" },
	{ 0x63e83f62, "rt2800mmio_queue_init" },
	{ 0x5fa4db64, "rt2800mmio_interrupt" },
	{ 0x9f3c8921, "rt2800mmio_txstatus_tasklet" },
	{ 0x3d741c87, "rt2800mmio_pretbtt_tasklet" },
	{ 0x5028bbb2, "rt2800mmio_tbtt_tasklet" },
	{ 0x32ac3645, "rt2800mmio_rxdone_tasklet" },
	{ 0x97e3c029, "rt2800mmio_autowake_tasklet" },
	{ 0x71ea19e8, "rt2800mmio_probe_hw" },
	{ 0x9e7a1dec, "rt2800_check_firmware" },
	{ 0xd532f697, "rt2800_load_firmware" },
	{ 0x9fb1eead, "rt2x00mmio_initialize" },
	{ 0x65152cd4, "rt2x00mmio_uninitialize" },
	{ 0xb173e34a, "rt2800mmio_get_entry_state" },
	{ 0x5b9a917e, "rt2800mmio_clear_entry" },
	{ 0xd98a4514, "rt2800_rfkill_poll" },
	{ 0x57a13b8, "rt2800_link_stats" },
	{ 0x9e59da66, "rt2800_reset_tuner" },
	{ 0xd5927a88, "rt2800_link_tuner" },
	{ 0xc80ad5dd, "rt2800_gain_calibration" },
	{ 0x54cfa37a, "rt2800_vco_calibration" },
	{ 0x15e6db6b, "rt2800_watchdog" },
	{ 0x3aab0b33, "rt2800mmio_start_queue" },
	{ 0x617827a9, "rt2800mmio_kick_queue" },
	{ 0xa01aef19, "rt2800mmio_stop_queue" },
	{ 0x4939b3f8, "rt2800mmio_flush_queue" },
	{ 0xb3d0a545, "rt2800mmio_write_tx_desc" },
	{ 0xd8e96176, "rt2800_write_tx_data" },
	{ 0x2d7a3a0e, "rt2800_write_beacon" },
	{ 0xc432fcab, "rt2800_clear_beacon" },
	{ 0xa54a3bcf, "rt2800mmio_fill_rxdone" },
	{ 0xa992319f, "rt2800_config_shared_key" },
	{ 0xbedd334f, "rt2800_config_pairwise_key" },
	{ 0x19b4f2f2, "rt2800_config_filter" },
	{ 0x2d837490, "rt2800_config_intf" },
	{ 0x56811bd5, "rt2800_config_erp" },
	{ 0x9e1a5887, "rt2800_config_ant" },
	{ 0xfbc78c30, "rt2800_config" },
	{ 0xa1cc5ab1, "rt2800_pre_reset_hw" },
	{ 0x41464c86, "rt2x00mmio_regbusy_read" },
	{ 0x43b280ac, "rt2800mmio_init_registers" },
	{ 0x6d8cee59, "rt2800mmio_get_txwi" },
	{ 0xf09d3b2, "rt2800mmio_get_dma_done" },
	{ 0x9646bed5, "rt2x00mac_tx" },
	{ 0xe838c3f5, "rt2x00mac_start" },
	{ 0xa3cdab2f, "rt2x00mac_stop" },
	{ 0xba31e2b2, "rt2x00mac_add_interface" },
	{ 0x646ee19c, "rt2x00mac_remove_interface" },
	{ 0xef7901ca, "rt2x00mac_config" },
	{ 0x23ef54f0, "rt2x00mac_bss_info_changed" },
	{ 0xde573a00, "rt2x00mac_configure_filter" },
	{ 0xfce695cf, "rt2x00mac_set_key" },
	{ 0x984686b4, "rt2x00mac_sw_scan_start" },
	{ 0xc0f4368b, "rt2x00mac_sw_scan_complete" },
	{ 0x3be10b75, "rt2x00mac_get_stats" },
	{ 0xa1372105, "rt2800_get_key_seq" },
	{ 0x38ad5366, "rt2800_set_rts_threshold" },
	{ 0x91340d89, "rt2800_sta_add" },
	{ 0x49ba99d9, "rt2800_sta_remove" },
	{ 0xb32c78d0, "rt2800_conf_tx" },
	{ 0x4ec7413e, "rt2800_get_tsf" },
	{ 0x1347e966, "rt2800_ampdu_action" },
	{ 0x56416ac7, "rt2800_get_survey" },
	{ 0xa13c4adf, "rt2x00mac_rfkill_poll" },
	{ 0xd1e03949, "rt2x00mac_flush" },
	{ 0x115471a1, "rt2x00mac_get_ringparam" },
	{ 0xe76610fd, "rt2x00mac_tx_frames_pending" },
	{ 0x3cfb685d, "ieee80211_emulate_add_chanctx" },
	{ 0x288fe515, "ieee80211_emulate_remove_chanctx" },
	{ 0x9d512634, "ieee80211_emulate_change_chanctx" },
	{ 0xd4a44e1e, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x171bdc91, "rt2x00mac_reconfig_complete" },
	{ 0x5f867627, "ieee80211_handle_wake_tx_queue" },
	{ 0xd221a728, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4dd2a5b4, "__pci_register_driver" },
	{ 0xf2f5a31, "rt2x00pci_probe" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x953a70e, "pci_unregister_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1f14b0a0, "_dev_err" },
	{ 0x3d6d93, "rt2800_efuse_detect" },
	{ 0x9d8b362e, "rt2800_read_eeprom_efuse" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "rt2800lib,rt2800mmio,rt2x00pci,rt2x00mmio,rt2x00lib,mac80211,eeprom_93cx6");

MODULE_ALIAS("pci:v00001814d00000601sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000681sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000701sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003090sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003092sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007708sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007728sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007738sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007748sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007758sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007768sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001462d0000891Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A3Bd00001059sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003290sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007711sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007722sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003060sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003062sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003562sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000359Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005362sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005392sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "51B0FD4BC07C079C81C35A2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
