#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x93a4dfd1, "rtl92d_phy_restore_rf_env" },
	{ 0x91bdd1e3, "rtl92d_rx_query_desc" },
	{ 0x37a0cba, "kfree" },
	{ 0xce3fcd97, "rtl92d_dm_check_txpower_tracking_thermal_meter" },
	{ 0xe9c605f0, "rtl92d_phy_save_mac_registers" },
	{ 0x28bb5ca9, "rtl92d_dm_initialize_txpower_tracking" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdbae21d0, "rtl92d_dm_init_rate_adaptive_mask" },
	{ 0xab566200, "rtl92d_update_hal_rate_tbl" },
	{ 0x95928e3f, "rtl92d_dm_init_edca_turbo" },
	{ 0x8b4bf1b1, "_rtl_dbg_print" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xc5d1186, "rtl92d_dm_check_edca_turbo" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa78f1261, "rtl92d_phy_path_adda_on" },
	{ 0x8cc44d1a, "rtl92d_phy_enable_rf_env" },
	{ 0x5137e522, "rtl_rfreg_delay" },
	{ 0xd6129fc9, "rtl92d_phy_config_macphymode" },
	{ 0x61a8d0b6, "rtl92d_set_hw_reg" },
	{ 0x43c538a8, "rtl92d_set_fw_joinbss_report_cmd" },
	{ 0x40c3aade, "rtl92d_is_fw_downloaded" },
	{ 0x40d79f80, "request_firmware_nowait" },
	{ 0x4149240b, "rtl92d_get_desc" },
	{ 0x444e1636, "rtl92d_update_channel_access_setting" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x49495d, "skb_push" },
	{ 0x92b5827a, "rtl92d_phy_set_txpower_level" },
	{ 0x3323fa91, "rtl92d_read_eeprom_info" },
	{ 0x8d44b589, "rtl92d_phy_config_maccoexist_rfpage" },
	{ 0xe507d2a8, "rtl92d_phy_mac_setting_calibration" },
	{ 0x2921a4d4, "rtl_btc_status_false" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xbff627a6, "rtl92d_dm_find_minimum_rssi" },
	{ 0xd6bb03a0, "usb_deregister" },
	{ 0xff282861, "rtl92d_phy_save_adda_registers" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd3807013, "rtl_ps_enable_nic" },
	{ 0x400245f3, "rtl92d_set_desc" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb0c2935a, "rtl92d_firmware_selfreset" },
	{ 0xcf3271aa, "rtl92d_fill_h2c_cmd" },
	{ 0x9a051407, "rtl92d_get_rightchnlplace_for_iqk" },
	{ 0xcb8ea519, "rtl_usb_probe" },
	{ 0x568f1852, "rtl_phy_scan_operation_backup" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4d0960f3, "rtl92d_resume_tx_beacon" },
	{ 0xb29ca627, "read_efuse_byte" },
	{ 0x3955b8c6, "rtl92d_set_qos" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xd221a728, "param_ops_bool" },
	{ 0xa5404672, "rtl92d_stop_tx_beacon" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf0c0bc31, "rtl92d_enable_hw_security_config" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5d1f39a7, "rtl_get_tcb_desc" },
	{ 0x161e4f7d, "rtl92d_store_pwrindex_diffrate_offset" },
	{ 0x5e529163, "rtl92d_phy_init_bb_rf_register_definition" },
	{ 0x33be499c, "rtl_ps_disable_nic" },
	{ 0x24377925, "rtl_dm_diginit" },
	{ 0x88977d77, "rtl92d_enable_fw_download" },
	{ 0x5caf1ebe, "rtl92d_fw_init" },
	{ 0x23d78e37, "param_ops_int" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x7c4f4528, "rtl92d_phy_get_hw_reg_originalvalue" },
	{ 0xdbe4d006, "rtl_usb_disconnect" },
	{ 0xe1c0aa8a, "rtl92d_phy_query_rf_reg" },
	{ 0x4ad1793d, "rtl92d_gpio_radio_on_off_checking" },
	{ 0xfbfb7911, "rtl92d_write_fw" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x62ad28bd, "rtl92d_phy_set_rf_reg" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8fa815aa, "rtl92d_get_hw_reg" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0x8ea60059, "rtl_fw_cb" },
	{ 0x847adfc3, "rtl92d_llt_write" },
	{ 0xc13ade79, "rtl92d_dm_false_alarm_counter_statistics" },
	{ 0x4e18208d, "param_ops_ullong" },
	{ 0x1b945315, "rtl_addr_delay" },
	{ 0x4d42b7a2, "rtl92d_phy_calc_curvindex" },
	{ 0x4d40aa36, "rtl92d_set_key" },
	{ 0xe71b1aa9, "usb_ifnum_to_if" },
	{ 0x44e7bca6, "rtl92d_fw_free_to_go" },
	{ 0x329daf82, "rtl92d_phy_reset_iqk_result" },
	{ 0x18926cb8, "rtl_cam_reset_all_entry" },
	{ 0xc1e6df4c, "skb_dequeue" },
	{ 0xe360816f, "rtl92d_phy_rf6052_set_bandwidth" },
	{ 0x2de7df9a, "usb_register_driver" },
	{ 0x69f37ffc, "rtl92d_dm_dig" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "rtl8192d-common,rtlwifi,usbcore,rtl_usb");

MODULE_ALIAS("usb:v0BDAp8193d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp8194d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp8111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp0193d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp8171d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDApE194d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2019pAB2Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2019pAB2Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2019p4903d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2019p4904d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p8193d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v20F4p664Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04DDp954Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04DDp96A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp110Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp1105d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp120Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1668p8102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0930p0A0Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p330Cd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "6AE555BA166C39536CEE574");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
