#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pn533_rx_frame_is_ack, "_gpl", "");
KSYMTAB_FUNC(pn533_rx_frame_is_cmd_response, "_gpl", "");
KSYMTAB_FUNC(pn533_recv_frame, "", "");
KSYMTAB_FUNC(pn533_finalize_setup, "_gpl", "");
KSYMTAB_FUNC(pn53x_common_init, "_gpl", "");
KSYMTAB_FUNC(pn53x_common_clean, "_gpl", "");
KSYMTAB_FUNC(pn532_i2c_nfc_alloc, "_gpl", "");
KSYMTAB_FUNC(pn53x_register_nfc, "_gpl", "");
KSYMTAB_FUNC(pn53x_unregister_nfc, "_gpl", "");

SYMBOL_CRC(pn533_rx_frame_is_ack, 0xdecfd339, "_gpl");
SYMBOL_CRC(pn533_rx_frame_is_cmd_response, 0xd4bfe526, "_gpl");
SYMBOL_CRC(pn533_recv_frame, 0xe2718c2c, "");
SYMBOL_CRC(pn533_finalize_setup, 0xc54b9748, "_gpl");
SYMBOL_CRC(pn53x_common_init, 0xe9694fa9, "_gpl");
SYMBOL_CRC(pn53x_common_clean, 0x775786a3, "_gpl");
SYMBOL_CRC(pn532_i2c_nfc_alloc, 0xb61241cd, "_gpl");
SYMBOL_CRC(pn53x_register_nfc, 0x2e365cf3, "_gpl");
SYMBOL_CRC(pn53x_unregister_nfc, 0xbea3f267, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x34731629, "nfc_register_device" },
	{ 0xd18504ae, "_dev_info" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x91eec11d, "nfc_get_local_general_bytes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb35638c2, "__alloc_skb" },
	{ 0x65b45cb, "complete" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc9ddb1d5, "consume_skb" },
	{ 0x37a0cba, "kfree" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x56470118, "__warn_printk" },
	{ 0x255a7423, "__dynamic_dev_dbg" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe0dbc281, "nfc_tm_activated" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6f7031bb, "nfc_targets_found" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1f14b0a0, "_dev_err" },
	{ 0x606fa8c2, "nfc_set_remote_general_bytes" },
	{ 0x272e0819, "nfc_dep_link_is_up" },
	{ 0x5b2bd425, "nfc_tm_deactivated" },
	{ 0xdffa3189, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ee0d8b2, "skb_queue_purge_reason" },
	{ 0xc1e6df4c, "skb_dequeue" },
	{ 0xd7ec08e8, "skb_pull" },
	{ 0x85092386, "skb_queue_tail" },
	{ 0x997ffb9d, "nfc_tm_data_received" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf86b6ef6, "nfc_allocate_device" },
	{ 0xe1584f9b, "nfc_unregister_device" },
	{ 0x8acb4b75, "put_device" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x2fec3042, "skb_trim" },
	{ 0x49495d, "skb_push" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "nfc");


MODULE_INFO(srcversion, "43EF578A67154D58B6EDF23");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
