#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");
KSYMTAB_FUNC(to_nd_pfn, "", "");
KSYMTAB_FUNC(is_nd_pfn, "", "");
KSYMTAB_FUNC(nd_pfn_validate, "", "");
KSYMTAB_FUNC(nd_pfn_probe, "", "");
KSYMTAB_FUNC(nvdimm_setup_pfn, "_gpl", "");
KSYMTAB_FUNC(to_nd_dax, "", "");
KSYMTAB_FUNC(is_nd_dax, "", "");
KSYMTAB_FUNC(nd_dax_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0x166c2cd8, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0xaa72677c, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0x2944cfb2, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0x31fa8733, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0x9d089aed, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0xe957d256, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0xd9aa22ab, "_gpl");
SYMBOL_CRC(nd_device_notify, 0x9a211a56, "");
SYMBOL_CRC(nvdimm_region_notify, 0x1a185dba, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0xadf6d2ed, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0xb031948d, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0x9b8b1c36, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0x9daffdb9, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0xa0a2c35b, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0xeb7bd7d4, "");
SYMBOL_CRC(nd_device_unregister, 0x0970bc66, "");
SYMBOL_CRC(__nd_driver_register, 0x37658857, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0x9af36446, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0xaa51c6e8, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0x0c9f8b73, "_gpl");
SYMBOL_CRC(to_nvdimm, 0x188156c2, "_gpl");
SYMBOL_CRC(to_ndd, 0x49a9f6ab, "");
SYMBOL_CRC(nvdimm_name, 0x8f366f4e, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0xd481d96b, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0x42dda997, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0x6feebdee, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0xa7e7d8a7, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0xd6b58a47, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0x6e8c330d, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0x570d7502, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0x58126674, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0x11a1ead6, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0xe1b18eee, "_gpl");
SYMBOL_CRC(to_nd_region, 0x1fb13f1c, "_gpl");
SYMBOL_CRC(nd_region_dev, 0xbbee5986, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0x2489da90, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x5565a337, "");
SYMBOL_CRC(nd_region_acquire_lane, 0x3e27beb9, "");
SYMBOL_CRC(nd_region_release_lane, 0xe13d7ae2, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0x8b5698f9, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0xf5994e3f, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0xd7a0f334, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0xe6a1e8e7, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0x67328f03, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0xb16f7b5f, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0x560d0a12, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0x59b58f1d, "");
SYMBOL_CRC(pmem_sector_size, 0x9aca33d3, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0xb320ff9b, "");
SYMBOL_CRC(nd_dev_to_uuid, 0xa2460760, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0xdfd7bdca, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0x71be3a4f, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0x1a133dc3, "");
SYMBOL_CRC(devm_namespace_enable, 0x9508cbb8, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0x9bb0b102, "_gpl");
SYMBOL_CRC(badrange_init, 0xaa129336, "_gpl");
SYMBOL_CRC(badrange_add, 0x6b246c2c, "_gpl");
SYMBOL_CRC(badrange_forget, 0x9035460d, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0x8e6b49fd, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0x2f1b813f, "");
SYMBOL_CRC(is_nd_btt, 0xb6e466ad, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0x4e256346, "");
SYMBOL_CRC(nd_btt_version, 0x4fad14b0, "");
SYMBOL_CRC(nd_btt_probe, 0xc1ec62f0, "");
SYMBOL_CRC(to_nd_pfn, 0x4ef15b49, "");
SYMBOL_CRC(is_nd_pfn, 0xcef55443, "");
SYMBOL_CRC(nd_pfn_validate, 0x97acae2e, "");
SYMBOL_CRC(nd_pfn_probe, 0xdba07f2b, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0xa217d857, "_gpl");
SYMBOL_CRC(to_nd_dax, 0x92549006, "");
SYMBOL_CRC(is_nd_dax, 0x0bf0f0d4, "");
SYMBOL_CRC(nd_dax_probe, 0x779e0321, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x8587d3ad, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xeddd417, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0xd4a12e06, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd221a728, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x7cf45ff0, "__devm_release_region" },
	{ 0xf984dae4, "request_key_tag" },
	{ 0xd073b3e, "kernfs_put" },
	{ 0x309ca22f, "__register_chrdev" },
	{ 0x1892a15e, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0xa7c73e30, "badblocks_check" },
	{ 0xe9d48e86, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x78216e7b, "badblocks_clear" },
	{ 0x32e75d8f, "devm_init_badblocks" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xbb53856b, "up_read" },
	{ 0x7801f968, "driver_register" },
	{ 0xc4c86d37, "class_register" },
	{ 0x7742b904, "__cpuhp_remove_state" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x140b06b5, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x5b979a58, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xdc81c7f3, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7fe9ca14, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x1d7b689f, "devm_memremap" },
	{ 0xaf4a0b3, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xdbeed55, "badblocks_set" },
	{ 0x1bf03baf, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0xdc854b50, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x8ad4a729, "badblocks_exit" },
	{ 0x84328d5e, "pcpu_hot" },
	{ 0x253e9d42, "device_for_each_child" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xbc4e24bb, "copy_mc_to_kernel" },
	{ 0x6917fada, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x255a7423, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x2cbea248, "kernfs_notify" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7d362de6, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xa46d91ee, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xff501dad, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x8acb4b75, "put_device" },
	{ 0x7c115818, "badblocks_show" },
	{ 0xd5ac2162, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0x2202f751, "const_pcpu_hot" },
	{ 0xd18504ae, "_dev_info" },
	{ 0x3aa2e7d2, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x700f66b1, "compat_ptr_ioctl" },
	{ 0xd06fc593, "perf_pmu_migrate_context" },
	{ 0xf682bbb0, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x97064ecd, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0x9c7a9c99, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0x1f14b0a0, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x61c3b861, "__cpuhp_setup_state" },
	{ 0x3821103b, "devm_memunmap" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x71684df0, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0x5d7d064b, "noop_llseek" },
	{ 0x328e3354, "__memcpy_flushcache" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x4935568, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x6573f300, "ida_free" },
	{ 0x579bb9ce, "driver_unregister" },
	{ 0x61abf44e, "__cpuhp_state_add_instance" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf384997e, "perf_pmu_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0x69cd9cb7, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc8fc5a98, "device_find_child" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CE8153DBD45B285CCD14A2E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
