#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xff282521, "rfkill_register" },
	{ 0x900bbcde, "backlight_device_unregister" },
	{ 0xd027190a, "input_unregister_device" },
	{ 0x7a904abb, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb0425093, "sysfs_remove_group" },
	{ 0x6c13c1a6, "platform_device_unregister" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc4152fc, "ec_read" },
	{ 0xc708f1fe, "ec_write" },
	{ 0x74754435, "acpi_bus_generate_netlink_event" },
	{ 0x293d3184, "backlight_force_update" },
	{ 0x7adfd79f, "sparse_keymap_report_event" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1a69dfcd, "acpi_bus_get_status" },
	{ 0xc0b84656, "platform_device_alloc" },
	{ 0x8d688a02, "platform_device_add" },
	{ 0x9f232153, "sysfs_create_group" },
	{ 0x4e57bd73, "platform_device_del" },
	{ 0x6ae0688, "platform_device_put" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0x33e96b98, "backlight_device_register" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x42c16856, "input_allocate_device" },
	{ 0x53822302, "sparse_keymap_setup" },
	{ 0x9e681366, "input_register_device" },
	{ 0xfe1df526, "devm_hwmon_device_register_with_groups" },
	{ 0x7a8eafe4, "input_free_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x77436297, "led_classdev_register_ext" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xcb75844b, "pci_find_bus" },
	{ 0x90366cd2, "__pci_hp_register" },
	{ 0xd221a728, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7143e372, "__platform_driver_register" },
	{ 0xf01d99ca, "__acpi_bus_register_driver" },
	{ 0xa4b1798d, "acpi_bus_unregister_driver" },
	{ 0xce64ba8f, "platform_driver_unregister" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xddbeeecc, "pci_lock_rescan_remove" },
	{ 0x3897cc19, "acpi_get_pci_dev" },
	{ 0xaa2e845b, "pci_bus_read_config_dword" },
	{ 0x1b626fa5, "pci_get_slot" },
	{ 0x8df2f379, "pci_dev_put" },
	{ 0x5790e7a0, "pci_unlock_rescan_remove" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x56b2a0ab, "pci_stop_and_remove_bus_device" },
	{ 0x164c0585, "pci_scan_single_device" },
	{ 0xb5fae974, "pci_bus_assign_resources" },
	{ 0xf1b28a, "pci_bus_add_device" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0xd224cd52, "pci_hp_deregister" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xe90d81f5, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "rfkill,sparse-keymap,video");

MODULE_ALIAS("acpi*:ASUS010:*");

MODULE_INFO(srcversion, "911486D3D68173B74C39498");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
