#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_gadget_get_string, "_gpl", "");
KSYMTAB_FUNC(usb_validate_langid, "_gpl", "");
KSYMTAB_FUNC(usb_descriptor_fillbuf, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_config_buf, "_gpl", "");
KSYMTAB_FUNC(usb_copy_descriptors, "_gpl", "");
KSYMTAB_FUNC(usb_assign_descriptors, "_gpl", "");
KSYMTAB_FUNC(usb_free_all_descriptors, "_gpl", "");
KSYMTAB_FUNC(usb_otg_descriptor_alloc, "_gpl", "");
KSYMTAB_FUNC(usb_otg_descriptor_init, "_gpl", "");
KSYMTAB_FUNC(usb_ep_autoconfig_ss, "_gpl", "");
KSYMTAB_FUNC(usb_ep_autoconfig, "_gpl", "");
KSYMTAB_FUNC(usb_ep_autoconfig_release, "_gpl", "");
KSYMTAB_FUNC(usb_ep_autoconfig_reset, "_gpl", "");
KSYMTAB_FUNC(config_ep_by_speed_and_alt, "_gpl", "");
KSYMTAB_FUNC(config_ep_by_speed, "_gpl", "");
KSYMTAB_FUNC(usb_add_function, "_gpl", "");
KSYMTAB_FUNC(usb_remove_function, "_gpl", "");
KSYMTAB_FUNC(usb_function_deactivate, "_gpl", "");
KSYMTAB_FUNC(usb_function_activate, "_gpl", "");
KSYMTAB_FUNC(usb_interface_id, "_gpl", "");
KSYMTAB_FUNC(usb_func_wakeup, "_gpl", "");
KSYMTAB_FUNC(usb_add_config_only, "_gpl", "");
KSYMTAB_FUNC(usb_add_config, "_gpl", "");
KSYMTAB_FUNC(usb_string_id, "_gpl", "");
KSYMTAB_FUNC(usb_string_ids_tab, "_gpl", "");
KSYMTAB_FUNC(usb_gstrings_attach, "_gpl", "");
KSYMTAB_FUNC(usb_string_ids_n, "_gpl", "");
KSYMTAB_FUNC(usb_composite_probe, "_gpl", "");
KSYMTAB_FUNC(usb_composite_unregister, "_gpl", "");
KSYMTAB_FUNC(usb_composite_setup_continue, "_gpl", "");
KSYMTAB_FUNC(usb_composite_overwrite_options, "_gpl", "");
KSYMTAB_FUNC(usb_get_function_instance, "_gpl", "");
KSYMTAB_FUNC(usb_get_function, "_gpl", "");
KSYMTAB_FUNC(usb_put_function_instance, "_gpl", "");
KSYMTAB_FUNC(usb_put_function, "_gpl", "");
KSYMTAB_FUNC(usb_function_register, "_gpl", "");
KSYMTAB_FUNC(usb_function_unregister, "_gpl", "");
KSYMTAB_FUNC(usb_os_desc_prepare_interf_dir, "", "");
KSYMTAB_FUNC(unregister_gadget_item, "_gpl", "");
KSYMTAB_FUNC(alloc_ep_req, "_gpl", "");

SYMBOL_CRC(usb_gadget_get_string, 0x4beb505d, "_gpl");
SYMBOL_CRC(usb_validate_langid, 0x0c589aba, "_gpl");
SYMBOL_CRC(usb_descriptor_fillbuf, 0xd2ea2134, "_gpl");
SYMBOL_CRC(usb_gadget_config_buf, 0xf474a207, "_gpl");
SYMBOL_CRC(usb_copy_descriptors, 0x2e09263f, "_gpl");
SYMBOL_CRC(usb_assign_descriptors, 0x03d4492e, "_gpl");
SYMBOL_CRC(usb_free_all_descriptors, 0x89f5d432, "_gpl");
SYMBOL_CRC(usb_otg_descriptor_alloc, 0xb9af3916, "_gpl");
SYMBOL_CRC(usb_otg_descriptor_init, 0xd5bfbd54, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig_ss, 0x5032858c, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig, 0xf9246d61, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig_release, 0x9a0f6881, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig_reset, 0xc971c90b, "_gpl");
SYMBOL_CRC(config_ep_by_speed_and_alt, 0x801beb3e, "_gpl");
SYMBOL_CRC(config_ep_by_speed, 0x42a6bc00, "_gpl");
SYMBOL_CRC(usb_add_function, 0x59818ce4, "_gpl");
SYMBOL_CRC(usb_remove_function, 0xf1d7a2ab, "_gpl");
SYMBOL_CRC(usb_function_deactivate, 0x7feb5f4a, "_gpl");
SYMBOL_CRC(usb_function_activate, 0x244cc39f, "_gpl");
SYMBOL_CRC(usb_interface_id, 0x713451ef, "_gpl");
SYMBOL_CRC(usb_func_wakeup, 0x8209469c, "_gpl");
SYMBOL_CRC(usb_add_config_only, 0xb2228eba, "_gpl");
SYMBOL_CRC(usb_add_config, 0x212833c1, "_gpl");
SYMBOL_CRC(usb_string_id, 0x442e44b8, "_gpl");
SYMBOL_CRC(usb_string_ids_tab, 0xb21cc872, "_gpl");
SYMBOL_CRC(usb_gstrings_attach, 0xf6e5ced7, "_gpl");
SYMBOL_CRC(usb_string_ids_n, 0xbb0393d2, "_gpl");
SYMBOL_CRC(usb_composite_probe, 0xe452fe7e, "_gpl");
SYMBOL_CRC(usb_composite_unregister, 0xfff87c7d, "_gpl");
SYMBOL_CRC(usb_composite_setup_continue, 0xbd9bd52c, "_gpl");
SYMBOL_CRC(usb_composite_overwrite_options, 0xbeed5b34, "_gpl");
SYMBOL_CRC(usb_get_function_instance, 0x09777dfd, "_gpl");
SYMBOL_CRC(usb_get_function, 0x413cac35, "_gpl");
SYMBOL_CRC(usb_put_function_instance, 0xdcaf89c3, "_gpl");
SYMBOL_CRC(usb_put_function, 0x06f990a8, "_gpl");
SYMBOL_CRC(usb_function_register, 0xb3750f13, "_gpl");
SYMBOL_CRC(usb_function_unregister, 0xc1d33088, "_gpl");
SYMBOL_CRC(usb_os_desc_prepare_interf_dir, 0xc4b4e7b4, "");
SYMBOL_CRC(unregister_gadget_item, 0x04ebd89f, "_gpl");
SYMBOL_CRC(alloc_ep_req, 0x640cc173, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7b4ad10, "usb_gadget_unregister_driver" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xa9a19d4b, "config_item_init_type_name" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2e9775b5, "config_item_put" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x598f5f7, "usb_gadget_register_driver_owner" },
	{ 0x7673e7f6, "usb_ep_queue" },
	{ 0x754d539c, "strlen" },
	{ 0x4d76f0d0, "usb_gadget_deactivate" },
	{ 0x349cba85, "strchr" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x97adb487, "utf8s_to_utf16s" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0xe193ce7e, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe914e41e, "strcpy" },
	{ 0xdc81c7f3, "try_module_get" },
	{ 0x11c695ec, "config_group_init" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xf49c63de, "usb_gadget_check_config" },
	{ 0x96848186, "scnprintf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x89954953, "usb_gadget_ep_match_desc" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x255a7423, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x970607ff, "usb_ep_free_request" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfbfb2cb1, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8990591e, "usb_gadget_set_selfpowered" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4b8f1cad, "usb_gadget_set_remote_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe9a3e791, "usb_gadget_vbus_draw" },
	{ 0xd18504ae, "_dev_info" },
	{ 0x97cd502, "config_item_set_name" },
	{ 0x3aa2e7d2, "module_put" },
	{ 0x8c8eed8e, "usb_ep_dequeue" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x85aab962, "device_create_file" },
	{ 0x1f14b0a0, "_dev_err" },
	{ 0x8419c51c, "configfs_register_subsystem" },
	{ 0x9fd29a0, "init_uts_ns" },
	{ 0x6e5629b8, "config_group_init_type_name" },
	{ 0xe05fcff0, "usb_gadget_activate" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a921311, "strncmp" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x92a379c0, "usb_gadget_clear_selfpowered" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0x8587d3ad, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6d690428, "usb_gadget_set_state" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8ca7011c, "usb_ep_alloc_request" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "F93DCFE2991EE8485DDDF7C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
