#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x36cbe9b7, "fs_param_is_enum" },
	{ 0x618a60e3, "fs_param_is_s32" },
	{ 0xe730d41d, "wrap_directory_iterator" },
	{ 0x43429e2a, "iter_file_splice_write" },
	{ 0xa8d3a0c7, "register_filesystem" },
	{ 0x2c290785, "kmem_cache_create" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x71ee950a, "make_vfsuid" },
	{ 0x9b376af, "simple_inode_init_ts" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x44e13f3f, "fs_param_is_u32" },
	{ 0x3f1c98c, "inode_newsize_ok" },
	{ 0x83e3972b, "d_drop" },
	{ 0x9d0b25f4, "kill_block_super" },
	{ 0xdab3fe1a, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x2701fa9, "block_invalidate_folio" },
	{ 0x592f1025, "__breadahead" },
	{ 0xbd9287f5, "generic_write_end" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa3da8bba, "load_nls" },
	{ 0x983d85d1, "sync_blockdev" },
	{ 0xb93b3083, "generic_file_mmap" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x2202f751, "const_pcpu_hot" },
	{ 0x11623ed2, "invalidate_inode_buffers" },
	{ 0x1a4138ca, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x83e0c337, "mnt_drop_write_file" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x333bf19f, "fs_param_is_gid" },
	{ 0x65fd7b61, "inode_init_once" },
	{ 0x94bf03ca, "utf8_to_utf32" },
	{ 0x504d6495, "__fsnotify_parent" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x4be57126, "balance_dirty_pages_ratelimited" },
	{ 0xaecea8f6, "__brelse" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0x586a0f36, "generic_file_read_iter" },
	{ 0x41a85e05, "inode_maybe_inc_iversion" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xdda9a5, "truncate_pagecache" },
	{ 0x5041ecf2, "sync_dirty_buffer" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x57341bd7, "setattr_copy" },
	{ 0xfbd74116, "__wait_on_buffer" },
	{ 0x74d0702c, "set_nlink" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xd545b647, "kmem_cache_alloc_lru_noprof" },
	{ 0x707effd8, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0xcaa6b64e, "d_move" },
	{ 0x11a3a8bd, "__sync_dirty_buffer" },
	{ 0x13990d6a, "__bh_read" },
	{ 0xf96a4bb8, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x355ee4dc, "from_vfsgid" },
	{ 0x20e1e225, "write_inode_now" },
	{ 0x7e0c1711, "d_rehash" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xe3a2912a, "__bread_gfp" },
	{ 0x71165c2, "block_dirty_folio" },
	{ 0x26199a13, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xf4521ad3, "__insert_inode_hash" },
	{ 0xd1747086, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7b54207a, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x79f00567, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeddd417, "down_read" },
	{ 0x950a03f0, "truncate_setsize" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb369da41, "igrab" },
	{ 0xc20d1534, "generic_read_dir" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x7306962b, "mpage_readahead" },
	{ 0xfb2f8a4, "mktime64" },
	{ 0x3096be16, "names_cachep" },
	{ 0x8a5df835, "init_user_ns" },
	{ 0x3c7d4682, "simple_rename_timestamp" },
	{ 0xeae5bdb7, "d_find_alias" },
	{ 0x579a9a42, "inode_set_ctime_current" },
	{ 0x2c6b557, "inc_nlink" },
	{ 0xb3295830, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0x41b67dc4, "get_tree_bdev" },
	{ 0x494c87b, "seq_printf" },
	{ 0x36087fa5, "dput" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x448626d6, "iov_iter_zero" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xe1946422, "blkdev_issue_flush" },
	{ 0xf2568029, "block_write_begin" },
	{ 0x6dda199, "__fs_parse" },
	{ 0xa057339c, "filemap_splice_read" },
	{ 0x98e5c527, "folio_set_bh" },
	{ 0x5af6aacf, "from_kuid_munged" },
	{ 0xa7397ee7, "__generic_file_fsync" },
	{ 0xabf98e5d, "d_parent_ino" },
	{ 0x5bc05c0f, "__generic_file_write_iter" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x733dc4eb, "generic_write_checks" },
	{ 0xb6ae043d, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x4052d7f5, "__mark_inode_dirty" },
	{ 0x743b6d72, "generic_file_llseek" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x8b02653e, "unload_nls" },
	{ 0xbb53856b, "up_read" },
	{ 0x1bd49765, "sb_min_blocksize" },
	{ 0x97adb487, "utf8s_to_utf16s" },
	{ 0x7cd05fc7, "drop_nlink" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0xc92b6e8b, "fs_param_is_uid" },
	{ 0x3077e8e4, "kmem_cache_destroy" },
	{ 0x656eda6e, "blkdev_issue_discard" },
	{ 0xf4a7cca0, "truncate_inode_pages" },
	{ 0xe8ffc318, "bh_uptodate_or_lock" },
	{ 0x2665cae1, "generic_fillattr" },
	{ 0xd4a5a73f, "setattr_prepare" },
	{ 0xd896c941, "vfs_fsync_range" },
	{ 0x6134817, "clear_nlink" },
	{ 0xa342da14, "sync_blockdev_range" },
	{ 0x81a80227, "generic_block_bmap" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0xa301d8a, "d_instantiate" },
	{ 0xe3ed7d3e, "make_vfsgid" },
	{ 0x1dacb5f6, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc35cf8bb, "fs_param_is_string" },
	{ 0xa4d72e51, "new_inode" },
	{ 0x2e637ddc, "unregister_filesystem" },
	{ 0xc96b4041, "mark_buffer_dirty" },
	{ 0xf1f03225, "security_inode_setattr" },
	{ 0x9ad4ef96, "__find_get_block" },
	{ 0x5ca7b86e, "inode_needs_sync" },
	{ 0x8e223c2d, "inode_query_iversion" },
	{ 0x78524db, "__blockdev_direct_IO" },
	{ 0xea43eba, "d_make_root" },
	{ 0x24b59659, "__bforget" },
	{ 0x8cdf078, "sb_set_blocksize" },
	{ 0xe8ea470f, "block_truncate_page" },
	{ 0xd78a73e9, "write_dirty_buffer" },
	{ 0xfc3d3bb9, "sync_filesystem" },
	{ 0xbd7e38a6, "fsnotify" },
	{ 0x8ca7b0f, "d_splice_alias" },
	{ 0x90788e1, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5a80886c, "from_vfsuid" },
	{ 0x26373b5f, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0xd8269cc3, "iput" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9B51B25E9B072783AE6BA5C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
