#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dccp_feat_list_purge, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_nn_get, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_signal_nn_change, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_established, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_state_process, "_gpl", "");
KSYMTAB_DATA(dccp_death_row, "_gpl", "");
KSYMTAB_FUNC(dccp_create_openreq_child, "_gpl", "");
KSYMTAB_FUNC(dccp_check_req, "_gpl", "");
KSYMTAB_FUNC(dccp_child_process, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_init, "_gpl", "");
KSYMTAB_FUNC(dccp_parse_options, "_gpl", "");
KSYMTAB_FUNC(dccp_insert_option, "_gpl", "");
KSYMTAB_FUNC(dccp_sync_mss, "_gpl", "");
KSYMTAB_FUNC(dccp_make_response, "_gpl", "");
KSYMTAB_FUNC(dccp_ctl_make_reset, "_gpl", "");
KSYMTAB_FUNC(dccp_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_send_sync, "_gpl", "");
KSYMTAB_DATA(dccp_statistics, "_gpl", "");
KSYMTAB_DATA(dccp_orphan_count, "_gpl", "");
KSYMTAB_DATA(dccp_hashinfo, "_gpl", "");
KSYMTAB_FUNC(dccp_set_state, "_gpl", "");
KSYMTAB_FUNC(dccp_done, "_gpl", "");
KSYMTAB_FUNC(dccp_packet_name, "_gpl", "");
KSYMTAB_FUNC(dccp_destruct_common, "_gpl", "");
KSYMTAB_FUNC(dccp_init_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_destroy_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_disconnect, "_gpl", "");
KSYMTAB_FUNC(dccp_poll, "_gpl", "");
KSYMTAB_FUNC(dccp_ioctl, "_gpl", "");
KSYMTAB_FUNC(dccp_setsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_getsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_sendmsg, "_gpl", "");
KSYMTAB_FUNC(dccp_recvmsg, "_gpl", "");
KSYMTAB_FUNC(inet_dccp_listen, "_gpl", "");
KSYMTAB_FUNC(dccp_close, "_gpl", "");
KSYMTAB_FUNC(dccp_shutdown, "_gpl", "");
KSYMTAB_FUNC(dccp_timestamp, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_add, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_cleanup, "_gpl", "");

SYMBOL_CRC(dccp_feat_list_purge, 0x4cdd391d, "_gpl");
SYMBOL_CRC(dccp_feat_nn_get, 0xd5490b81, "_gpl");
SYMBOL_CRC(dccp_feat_signal_nn_change, 0x7cdec86c, "_gpl");
SYMBOL_CRC(dccp_rcv_established, 0x0262ae9f, "_gpl");
SYMBOL_CRC(dccp_rcv_state_process, 0xf4789908, "_gpl");
SYMBOL_CRC(dccp_death_row, 0x5d03b2f7, "_gpl");
SYMBOL_CRC(dccp_create_openreq_child, 0x9d1469b3, "_gpl");
SYMBOL_CRC(dccp_check_req, 0x7f1e56d8, "_gpl");
SYMBOL_CRC(dccp_child_process, 0x11245773, "_gpl");
SYMBOL_CRC(dccp_reqsk_send_ack, 0xda5ac198, "_gpl");
SYMBOL_CRC(dccp_reqsk_init, 0xad5a5cff, "_gpl");
SYMBOL_CRC(dccp_parse_options, 0x662f655b, "_gpl");
SYMBOL_CRC(dccp_insert_option, 0xfc76ba0b, "_gpl");
SYMBOL_CRC(dccp_sync_mss, 0x84e94687, "_gpl");
SYMBOL_CRC(dccp_make_response, 0x0856e421, "_gpl");
SYMBOL_CRC(dccp_ctl_make_reset, 0xfbf40203, "_gpl");
SYMBOL_CRC(dccp_connect, 0x55c65b83, "_gpl");
SYMBOL_CRC(dccp_send_ack, 0xa64ec6c2, "_gpl");
SYMBOL_CRC(dccp_send_sync, 0x2a3e6afe, "_gpl");
SYMBOL_CRC(dccp_statistics, 0x59814a84, "_gpl");
SYMBOL_CRC(dccp_orphan_count, 0xd75b7072, "_gpl");
SYMBOL_CRC(dccp_hashinfo, 0x3ac2c6cf, "_gpl");
SYMBOL_CRC(dccp_set_state, 0x3c4ab462, "_gpl");
SYMBOL_CRC(dccp_done, 0x922ebe99, "_gpl");
SYMBOL_CRC(dccp_packet_name, 0x86be7924, "_gpl");
SYMBOL_CRC(dccp_destruct_common, 0x1338932b, "_gpl");
SYMBOL_CRC(dccp_init_sock, 0x5f239c1e, "_gpl");
SYMBOL_CRC(dccp_destroy_sock, 0x65ce74cb, "_gpl");
SYMBOL_CRC(dccp_disconnect, 0x1e3afb3f, "_gpl");
SYMBOL_CRC(dccp_poll, 0x65f32897, "_gpl");
SYMBOL_CRC(dccp_ioctl, 0x8ebf7b52, "_gpl");
SYMBOL_CRC(dccp_setsockopt, 0xa42cd441, "_gpl");
SYMBOL_CRC(dccp_getsockopt, 0x5b89cc16, "_gpl");
SYMBOL_CRC(dccp_sendmsg, 0x713a28c5, "_gpl");
SYMBOL_CRC(dccp_recvmsg, 0x01536574, "_gpl");
SYMBOL_CRC(inet_dccp_listen, 0x9e410cab, "_gpl");
SYMBOL_CRC(dccp_close, 0xa373676c, "_gpl");
SYMBOL_CRC(dccp_shutdown, 0xde8f2830, "_gpl");
SYMBOL_CRC(dccp_timestamp, 0x80993155, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_add, 0x182ec2bf, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_cleanup, 0x9598d24d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x936afea0, "inet_put_port" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xff33a596, "inet_csk_init_xmit_timers" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xb35638c2, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x2202f751, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x23ed33f7, "sk_reset_timer" },
	{ 0x85092386, "skb_queue_tail" },
	{ 0x3a73b2e1, "sk_stream_wait_close" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc78d12cf, "perf_trace_run_bpf_submit" },
	{ 0x14d860af, "init_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9ba7559f, "ip6_mtu" },
	{ 0xc72a2f8b, "sk_skb_reason_drop" },
	{ 0x85df9cba, "sk_free" },
	{ 0x96c6e65b, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x49495d, "skb_push" },
	{ 0x707effd8, "kmem_cache_free" },
	{ 0x40f51c5d, "proc_doulongvec_minmax" },
	{ 0x7316d7fa, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe7ea3743, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x88690f41, "skb_copy_datagram_iter" },
	{ 0x5eead39e, "tcp_stream_memory_free" },
	{ 0x1de160e6, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0xf91d2c3d, "sk_wait_data" },
	{ 0xa94ba966, "inet_csk_clone_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7b54207a, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x694d5824, "inet_twsk_hashdance_schedule" },
	{ 0x96c1a873, "skb_unlink" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x97c46914, "inet_csk_listen_start" },
	{ 0x2dafe461, "sk_free_unlock_clone" },
	{ 0xc90fe131, "sock_rfree" },
	{ 0x5118a654, "ipv4_mtu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x33221a11, "skb_set_owner_w" },
	{ 0x4228485a, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd221a728, "param_ops_bool" },
	{ 0x6273bbf2, "sock_alloc_send_pskb" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x397d1e92, "skb_clone" },
	{ 0xd92a11e6, "inet_sk_set_state" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x8aa1dcea, "dst_release" },
	{ 0xda5da52f, "sk_stream_wait_connect" },
	{ 0x43c18096, "_copy_from_iter" },
	{ 0x8c428ade, "inet_csk_destroy_sock" },
	{ 0xb4b1e683, "sk_stop_timer" },
	{ 0x5a16710f, "unregister_net_sysctl_table" },
	{ 0x59f9f1c0, "inet_rtx_syn_ack" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x23d78e37, "param_ops_int" },
	{ 0xb6ae043d, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xc9efc1ff, "inet_csk_listen_stop" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xb0caa609, "__kfree_skb" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0x7e88f70, "skb_dump" },
	{ 0x3077e8e4, "kmem_cache_destroy" },
	{ 0xd5c9f9b5, "inet_csk_complete_hashdance" },
	{ 0xc56c47e5, "release_sock" },
	{ 0xe85bb64c, "inet_csk_reqsk_queue_drop" },
	{ 0xf03ef1fc, "proc_dointvec_minmax" },
	{ 0x57d62f5d, "inet_hashinfo2_init_mod" },
	{ 0x3d314f0c, "inet_bhash2_reset_saddr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x928fe024, "inet_ehash_locks_alloc" },
	{ 0xdffa3189, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc9ddb1d5, "consume_skb" },
	{ 0x43cc5862, "sock_wmalloc" },
	{ 0x6f2feb4d, "trace_raw_output_prep" },
	{ 0xc1e6df4c, "skb_dequeue" },
	{ 0xf19b6fc3, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0xa2b617a4, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x41229c5c, "__kmalloc_node_track_caller_noprof" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0xf3c1065c, "trace_event_raw_init" },
	{ 0xa9bac7b9, "proc_dointvec_ms_jiffies" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x84328d5e, "pcpu_hot" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0xd8562739, "bpf_trace_run2" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe2c4e8b5, "inet_csk_clear_xmit_timers" },
	{ 0x148653, "vsnprintf" },
	{ 0x2c290785, "kmem_cache_create" },
	{ 0x7770f6a2, "inet_twsk_alloc" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x73a531d0, "sk_error_report" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x330f6a99, "trace_event_buffer_commit" },
	{ 0x2bdc5db6, "register_net_sysctl_sz" },
	{ 0x1a3ea774, "inet_sock_destruct" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A11E7BBA5140648AB4C2FE0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
