#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x29d8490f, "rt5682s_sel_asrc_clk_src" },
	{ 0x1fa3d2d, "snd_soc_dapm_disable_pin" },
	{ 0xcbff72b2, "sof_dai_get_bclk" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xb9f02ae9, "max_98357a_dai_link" },
	{ 0x7ed9a193, "max_98360a_dai_link" },
	{ 0x2491da6e, "snd_soc_dai_set_sysclk" },
	{ 0x255a7423, "__dynamic_dev_dbg" },
	{ 0xd15669f9, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x79371649, "snd_soc_dapm_sync" },
	{ 0x77f7f1ad, "sof_rt1015_codec_conf" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb02401c6, "snd_soc_component_set_jack" },
	{ 0xb3073f32, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd18504ae, "_dev_info" },
	{ 0xd2261e29, "rt5645_sel_asrc_clk_src" },
	{ 0xe0861410, "snd_soc_dapm_get_pin_switch" },
	{ 0x1f14b0a0, "_dev_err" },
	{ 0xb0217425, "max_98390_dai_link" },
	{ 0x67594a8b, "max_98373_set_codec_conf" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xa84dd949, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5f175c14, "snd_jack_set_key" },
	{ 0x7143e372, "__platform_driver_register" },
	{ 0x9daa327b, "snd_soc_card_jack_new_pins" },
	{ 0x1f2ed198, "sof_rt1015p_codec_conf" },
	{ 0x33b13450, "snd_soc_dai_set_pll" },
	{ 0x5ea22083, "snd_soc_dapm_new_controls" },
	{ 0x2d36b96a, "rt5682_sel_asrc_clk_src" },
	{ 0xf7cbd32f, "snd_soc_dapm_put_pin_switch" },
	{ 0x41ceb988, "sof_dai_get_mclk" },
	{ 0x9915b109, "sof_rt1011_codec_conf" },
	{ 0xea68b3d2, "snd_soc_dapm_info_pin_switch" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x63285d87, "sof_intel_board_set_dai_link" },
	{ 0x6a7cf081, "snd_soc_pm_ops" },
	{ 0x60e336f1, "snd_soc_add_card_controls" },
	{ 0x51958a69, "max_98390_set_codec_conf" },
	{ 0xf20e6ed0, "sof_rt1015p_dai_link" },
	{ 0xd2d6e2f9, "sof_rt1019p_dai_link" },
	{ 0x88d68b8b, "sof_rt1011_dai_link" },
	{ 0x815588a6, "clk_enable" },
	{ 0xb749a142, "devm_snd_soc_register_card" },
	{ 0x6a249fae, "sof_intel_board_card_late_probe" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x66283031, "x86_match_cpu" },
	{ 0xfd273af2, "max_98373_dai_link" },
	{ 0xce64ba8f, "platform_driver_unregister" },
	{ 0xfe7396af, "snd_soc_dai_set_tdm_slot" },
	{ 0xe7b358cf, "sof_intel_board_get_ctx" },
	{ 0x6b51e477, "sof_rt1015_dai_link" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-rt5682s,snd-soc-core,snd-sof,snd-soc-intel-sof-maxim-common,snd-soc-intel-sof-realtek-common,snd-soc-rt5645,snd,snd-soc-rt5682,snd-soc-intel-sof-board-helpers,snd-pcm");

MODULE_ALIAS("platform:sof_rt5682");
MODULE_ALIAS("platform:glk_rt5682_def");
MODULE_ALIAS("platform:icl_rt5682_def");
MODULE_ALIAS("platform:cml_rt5682_def");
MODULE_ALIAS("platform:jsl_rt5682_def");
MODULE_ALIAS("platform:tgl_rt5682_def");
MODULE_ALIAS("platform:adl_rt5682_def");
MODULE_ALIAS("platform:adl_mx98357_rt5682");
MODULE_ALIAS("platform:adl_rt5682_c1_h02");
MODULE_ALIAS("platform:rpl_mx98357_rt5682");
MODULE_ALIAS("platform:rpl_rt5682_def");
MODULE_ALIAS("platform:rpl_rt5682_c1_h02");
MODULE_ALIAS("platform:mtl_rt5682_def");

MODULE_INFO(srcversion, "8F25D1070638041720A95C0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
