#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sof_debug_check_flag, "", "");
KSYMTAB_FUNC(sof_print_oops_and_stack, "", "");
KSYMTAB_FUNC(sof_set_fw_state, "", "");
KSYMTAB_FUNC(snd_sof_device_probe, "", "");
KSYMTAB_FUNC(snd_sof_device_probe_completed, "", "");
KSYMTAB_FUNC(snd_sof_device_remove, "", "");
KSYMTAB_FUNC(snd_sof_device_shutdown, "", "");
KSYMTAB_FUNC(sof_machine_register, "", "");
KSYMTAB_FUNC(sof_machine_unregister, "", "");
KSYMTAB_FUNC(snd_sof_pci_update_bits, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits_unlocked, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits64_unlocked, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits64, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits_forced, "", "");
KSYMTAB_FUNC(snd_sof_dsp_panic, "", "");
KSYMTAB_FUNC(snd_sof_load_firmware_raw, "", "");
KSYMTAB_FUNC(snd_sof_load_firmware_memcpy, "", "");
KSYMTAB_FUNC(snd_sof_run_firmware, "", "");
KSYMTAB_FUNC(snd_sof_fw_unload, "", "");
KSYMTAB_FUNC(sof_ipc_tx_message, "", "");
KSYMTAB_FUNC(sof_ipc_set_get_data, "", "");
KSYMTAB_FUNC(sof_ipc_tx_message_no_pm, "", "");
KSYMTAB_FUNC(snd_sof_ipc_get_reply, "", "");
KSYMTAB_FUNC(snd_sof_ipc_reply, "", "");
KSYMTAB_FUNC(snd_sof_ipc_init, "", "");
KSYMTAB_FUNC(snd_sof_ipc_free, "", "");
KSYMTAB_FUNC(snd_sof_pcm_period_elapsed, "", "");
KSYMTAB_FUNC(sof_pcm_dai_link_fixup, "", "");
KSYMTAB_FUNC(snd_sof_runtime_suspend, "", "");
KSYMTAB_FUNC(snd_sof_runtime_idle, "", "");
KSYMTAB_FUNC(snd_sof_runtime_resume, "", "");
KSYMTAB_FUNC(snd_sof_resume, "", "");
KSYMTAB_FUNC(snd_sof_suspend, "", "");
KSYMTAB_FUNC(snd_sof_prepare, "", "");
KSYMTAB_FUNC(snd_sof_complete, "", "");
KSYMTAB_FUNC(snd_sof_debugfs_add_region_item_iomem, "_gpl", "");
KSYMTAB_FUNC(snd_sof_debugfs_buf_item, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dbg_memory_info_init, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dbg_init, "_gpl", "");
KSYMTAB_FUNC(snd_sof_free_debug, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dsp_dbg_dump, "", "");
KSYMTAB_FUNC(snd_sof_handle_fw_exception, "", "");
KSYMTAB_FUNC(snd_sof_load_topology, "", "");
KSYMTAB_FUNC(sof_io_write, "", "");
KSYMTAB_FUNC(sof_io_read, "", "");
KSYMTAB_FUNC(sof_io_write64, "", "");
KSYMTAB_FUNC(sof_io_read64, "", "");
KSYMTAB_FUNC(sof_mailbox_write, "", "");
KSYMTAB_FUNC(sof_mailbox_read, "", "");
KSYMTAB_FUNC(sof_block_write, "", "");
KSYMTAB_FUNC(sof_block_read, "", "");
KSYMTAB_FUNC(sof_widget_free, "", "");
KSYMTAB_FUNC(sof_widget_setup, "", "");
KSYMTAB_FUNC(snd_sof_dsp_only_d0i3_compatible_stream_active, "", "");
KSYMTAB_FUNC(sof_dai_get_mclk, "", "");
KSYMTAB_FUNC(sof_dai_get_bclk, "", "");
KSYMTAB_FUNC(sof_dai_get_tdm_slots, "", "");
KSYMTAB_FUNC(sof_ipc_msg_data, "", "");
KSYMTAB_FUNC(sof_set_stream_data_offset, "", "");
KSYMTAB_FUNC(sof_stream_pcm_open, "", "");
KSYMTAB_FUNC(sof_stream_pcm_close, "", "");
KSYMTAB_FUNC(sof_create_ipc_file_profile, "", "");
KSYMTAB_FUNC(sof_ipc3_do_rx_work, "", "");
KSYMTAB_FUNC(sof_ipc4_find_debug_slot_offset_by_type, "", "");
KSYMTAB_FUNC(sof_ipc4_set_pipeline_state, "", "");
KSYMTAB_FUNC(sof_client_dev_register, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_dev_unregister, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc_tx_message, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc_rx_message, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc_set_get_data, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc4_find_module, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_suspend_clients, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_resume_clients, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_debugfs_root, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_dma_dev, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_fw_version, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_ipc_max_payload_size, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_ipc_type, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_core_module_get, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_core_module_put, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_register_ipc_rx_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_unregister_ipc_rx_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_register_fw_state_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_unregister_fw_state_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_fw_state, "_gpl", "SND_SOC_SOF_CLIENT");

SYMBOL_CRC(sof_debug_check_flag, 0x368c6727, "");
SYMBOL_CRC(sof_print_oops_and_stack, 0xdac3fec0, "");
SYMBOL_CRC(sof_set_fw_state, 0x44383486, "");
SYMBOL_CRC(snd_sof_device_probe, 0xaf70122d, "");
SYMBOL_CRC(snd_sof_device_probe_completed, 0x04fb15ae, "");
SYMBOL_CRC(snd_sof_device_remove, 0xbac3404c, "");
SYMBOL_CRC(snd_sof_device_shutdown, 0x0af3a326, "");
SYMBOL_CRC(sof_machine_register, 0x56135a0f, "");
SYMBOL_CRC(sof_machine_unregister, 0x1841b144, "");
SYMBOL_CRC(snd_sof_pci_update_bits, 0x55f71e17, "");
SYMBOL_CRC(snd_sof_dsp_update_bits_unlocked, 0x06aabc16, "");
SYMBOL_CRC(snd_sof_dsp_update_bits64_unlocked, 0x14eea4ea, "");
SYMBOL_CRC(snd_sof_dsp_update_bits, 0xa7732cf0, "");
SYMBOL_CRC(snd_sof_dsp_update_bits64, 0xcd0b2c3f, "");
SYMBOL_CRC(snd_sof_dsp_update_bits_forced, 0x4e159f39, "");
SYMBOL_CRC(snd_sof_dsp_panic, 0x98092147, "");
SYMBOL_CRC(snd_sof_load_firmware_raw, 0x491b3f7e, "");
SYMBOL_CRC(snd_sof_load_firmware_memcpy, 0x29b22573, "");
SYMBOL_CRC(snd_sof_run_firmware, 0x60282d30, "");
SYMBOL_CRC(snd_sof_fw_unload, 0xe74f62ad, "");
SYMBOL_CRC(sof_ipc_tx_message, 0x811ac102, "");
SYMBOL_CRC(sof_ipc_set_get_data, 0x94e2daa1, "");
SYMBOL_CRC(sof_ipc_tx_message_no_pm, 0xb65e17d2, "");
SYMBOL_CRC(snd_sof_ipc_get_reply, 0xffce478f, "");
SYMBOL_CRC(snd_sof_ipc_reply, 0x5fbe6a03, "");
SYMBOL_CRC(snd_sof_ipc_init, 0xb9b94d8f, "");
SYMBOL_CRC(snd_sof_ipc_free, 0x4f390da0, "");
SYMBOL_CRC(snd_sof_pcm_period_elapsed, 0x14289d3b, "");
SYMBOL_CRC(sof_pcm_dai_link_fixup, 0x8449b87c, "");
SYMBOL_CRC(snd_sof_runtime_suspend, 0x838c357b, "");
SYMBOL_CRC(snd_sof_runtime_idle, 0x29c399f9, "");
SYMBOL_CRC(snd_sof_runtime_resume, 0x5451437b, "");
SYMBOL_CRC(snd_sof_resume, 0xcbde853c, "");
SYMBOL_CRC(snd_sof_suspend, 0x6bab6e8e, "");
SYMBOL_CRC(snd_sof_prepare, 0x06e3c908, "");
SYMBOL_CRC(snd_sof_complete, 0x4e481914, "");
SYMBOL_CRC(snd_sof_debugfs_add_region_item_iomem, 0xa710c834, "_gpl");
SYMBOL_CRC(snd_sof_debugfs_buf_item, 0x85a9558e, "_gpl");
SYMBOL_CRC(snd_sof_dbg_memory_info_init, 0x58373c03, "_gpl");
SYMBOL_CRC(snd_sof_dbg_init, 0x10fe5c70, "_gpl");
SYMBOL_CRC(snd_sof_free_debug, 0xe7ea4248, "_gpl");
SYMBOL_CRC(snd_sof_dsp_dbg_dump, 0x598f18be, "");
SYMBOL_CRC(snd_sof_handle_fw_exception, 0xc3cf818c, "");
SYMBOL_CRC(snd_sof_load_topology, 0x151cd55b, "");
SYMBOL_CRC(sof_io_write, 0xa8eea5d5, "");
SYMBOL_CRC(sof_io_read, 0x32d92562, "");
SYMBOL_CRC(sof_io_write64, 0x1a9aa42b, "");
SYMBOL_CRC(sof_io_read64, 0x6edffec4, "");
SYMBOL_CRC(sof_mailbox_write, 0xd701444e, "");
SYMBOL_CRC(sof_mailbox_read, 0x429f7fab, "");
SYMBOL_CRC(sof_block_write, 0xcddd426f, "");
SYMBOL_CRC(sof_block_read, 0x9c102091, "");
SYMBOL_CRC(sof_widget_free, 0x7d25e670, "");
SYMBOL_CRC(sof_widget_setup, 0x423ec94c, "");
SYMBOL_CRC(snd_sof_dsp_only_d0i3_compatible_stream_active, 0x87f1e83b, "");
SYMBOL_CRC(sof_dai_get_mclk, 0x41ceb988, "");
SYMBOL_CRC(sof_dai_get_bclk, 0xcbff72b2, "");
SYMBOL_CRC(sof_dai_get_tdm_slots, 0x8299209f, "");
SYMBOL_CRC(sof_ipc_msg_data, 0xd5caecc1, "");
SYMBOL_CRC(sof_set_stream_data_offset, 0x3a3184a1, "");
SYMBOL_CRC(sof_stream_pcm_open, 0x613febd2, "");
SYMBOL_CRC(sof_stream_pcm_close, 0xecdeacb2, "");
SYMBOL_CRC(sof_create_ipc_file_profile, 0xdde3763d, "");
SYMBOL_CRC(sof_ipc3_do_rx_work, 0x0ddad22a, "");
SYMBOL_CRC(sof_ipc4_find_debug_slot_offset_by_type, 0xba304153, "");
SYMBOL_CRC(sof_ipc4_set_pipeline_state, 0x475c99cd, "");
SYMBOL_CRC(sof_client_dev_register, 0xeb6eca45, "_gpl");
SYMBOL_CRC(sof_client_dev_unregister, 0x698eb7aa, "_gpl");
SYMBOL_CRC(sof_client_ipc_tx_message, 0x7b790580, "_gpl");
SYMBOL_CRC(sof_client_ipc_rx_message, 0x4978f1fd, "_gpl");
SYMBOL_CRC(sof_client_ipc_set_get_data, 0xd3ac5281, "_gpl");
SYMBOL_CRC(sof_client_ipc4_find_module, 0xdd730a5f, "_gpl");
SYMBOL_CRC(sof_suspend_clients, 0xefa13720, "_gpl");
SYMBOL_CRC(sof_resume_clients, 0xec2c182e, "_gpl");
SYMBOL_CRC(sof_client_get_debugfs_root, 0xe0cf3c99, "_gpl");
SYMBOL_CRC(sof_client_get_dma_dev, 0x14ac2337, "_gpl");
SYMBOL_CRC(sof_client_get_fw_version, 0xdccbc652, "_gpl");
SYMBOL_CRC(sof_client_get_ipc_max_payload_size, 0x7c9c5165, "_gpl");
SYMBOL_CRC(sof_client_get_ipc_type, 0x97381397, "_gpl");
SYMBOL_CRC(sof_client_core_module_get, 0x7517d523, "_gpl");
SYMBOL_CRC(sof_client_core_module_put, 0xdf3d3996, "_gpl");
SYMBOL_CRC(sof_client_register_ipc_rx_handler, 0xe5e53f91, "_gpl");
SYMBOL_CRC(sof_client_unregister_ipc_rx_handler, 0xe156d1bd, "_gpl");
SYMBOL_CRC(sof_client_register_fw_state_handler, 0xb18d8c81, "_gpl");
SYMBOL_CRC(sof_client_unregister_fw_state_handler, 0xbb3a25db, "_gpl");
SYMBOL_CRC(sof_client_get_fw_state, 0x5bcaa904, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c453e5f, "xa_destroy" },
	{ 0xf5d073e8, "xa_find" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x7940d722, "snd_pcm_period_elapsed" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0xf6a8865a, "__pm_runtime_suspend" },
	{ 0x7e9afa37, "snd_pcm_hw_constraint_step" },
	{ 0xde7364fc, "snd_soc_tplg_widget_bind_event" },
	{ 0x754d539c, "strlen" },
	{ 0x23d78e37, "param_ops_int" },
	{ 0xd61759a6, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x349cba85, "strchr" },
	{ 0x86f6a820, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xae29f4d9, "pci_write_config_dword" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0x3b126cb9, "debugfs_create_str" },
	{ 0x18726b9d, "dpcm_end_walk_at_be" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xa2abc933, "snd_soc_dapm_dai_free_widgets" },
	{ 0xdc81c7f3, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x1be2aebb, "snd_dma_alloc_dir_pages" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7fe9ca14, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e79c0d7, "firmware_request_nowarn" },
	{ 0xc71deccd, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x593f2c4d, "snd_soc_dapm_dai_get_connected_widgets" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6f2feb4d, "trace_raw_output_prep" },
	{ 0xf19b6fc3, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xf089d0ae, "request_firmware" },
	{ 0xa2b617a4, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xf3c1065c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x84328d5e, "pcpu_hot" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0xd8562739, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xdac863a8, "snd_sof_create_page_table" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x255a7423, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xe6f962cb, "debugfs_file_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x330f6a99, "trace_event_buffer_commit" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x39f2e8e1, "pci_read_config_dword" },
	{ 0xec788566, "acpi_target_system_state" },
	{ 0xf3f5064e, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x9d34aacb, "devm_snd_soc_register_component" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8acb4b75, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x2202f751, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd18504ae, "_dev_info" },
	{ 0x3d75855e, "debugfs_file_put" },
	{ 0x3aa2e7d2, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xe4df16c8, "intel_nhlt_get_endpoint_blob" },
	{ 0xba60c311, "snd_soc_rtdcom_lookup" },
	{ 0x838c7b5, "intel_nhlt_ssp_device_type" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x97b25829, "devm_kmemdup" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc78d12cf, "perf_trace_run_bpf_submit" },
	{ 0xfd3cf8b6, "devm_kfree" },
	{ 0x1f14b0a0, "_dev_err" },
	{ 0x92bb1d52, "simple_open" },
	{ 0x6c13c1a6, "platform_device_unregister" },
	{ 0x5b1d134b, "__auxiliary_device_add" },
	{ 0xf469e872, "widget_in_list" },
	{ 0x927d5c4e, "bpf_trace_run5" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x87028c7c, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x7316d7fa, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x6573f300, "ida_free" },
	{ 0x2a53a4c8, "pm_runtime_get_if_in_use" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2e468762, "snd_soc_tplg_component_load" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x1ed51fc1, "snd_pcm_set_managed_buffer" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x2bbcad50, "bpf_trace_run1" },
	{ 0x52deada9, "device_del" },
	{ 0xe21fe2a9, "default_llseek" },
	{ 0x8587d3ad, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xac004ad4, "debugfs_create_u32" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x2822500a, "snd_soc_tplg_component_remove" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9efee7b3, "snd_ctl_notify_one" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0xe8768cf7, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x621983e9, "snd_pcm_hw_constraint_integer" },
	{ 0xbb3eca2c, "bpf_trace_run3" },
	{ 0x34cb6fed, "debugfs_create_file" },
	{ 0xd99c3f21, "platform_device_register_full" },
	{ 0x4228485a, "trace_event_buffer_reserve" },
	{ 0x205d126, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xd221a728, "param_ops_bool" },
	{ 0x348ab0b0, "snd_dma_buffer_sync" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-soc-core,snd,snd-sof-utils,snd-intel-dspcfg");


MODULE_INFO(srcversion, "744DA83E0CB90916DB2C992");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
