#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cryptd_alloc_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_shash_desc, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_aead, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_aead, "_gpl", "");

SYMBOL_CRC(cryptd_alloc_skcipher, 0x23db26b7, "_gpl");
SYMBOL_CRC(cryptd_skcipher_child, 0x469e6fbd, "_gpl");
SYMBOL_CRC(cryptd_skcipher_queued, 0xf6bcc9e5, "_gpl");
SYMBOL_CRC(cryptd_free_skcipher, 0x9a0b15a5, "_gpl");
SYMBOL_CRC(cryptd_alloc_ahash, 0xff628b6f, "_gpl");
SYMBOL_CRC(cryptd_ahash_child, 0xd520a811, "_gpl");
SYMBOL_CRC(cryptd_shash_desc, 0xa3145b74, "_gpl");
SYMBOL_CRC(cryptd_ahash_queued, 0xad74d5b5, "_gpl");
SYMBOL_CRC(cryptd_free_ahash, 0x358cff67, "_gpl");
SYMBOL_CRC(cryptd_alloc_aead, 0xb6742812, "_gpl");
SYMBOL_CRC(cryptd_aead_child, 0xb5fb8563, "_gpl");
SYMBOL_CRC(cryptd_aead_queued, 0xb89732e9, "_gpl");
SYMBOL_CRC(cryptd_free_aead, 0x3fc604e4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc8123990, "crypto_unregister_template" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x5b901421, "crypto_register_template" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0x3357fd5, "crypto_grab_aead" },
	{ 0xf9396ab4, "crypto_grab_shash" },
	{ 0xd912d58d, "shash_no_setkey" },
	{ 0xfec8aea1, "ahash_register_instance" },
	{ 0x85927593, "crypto_grab_skcipher" },
	{ 0x19ffc3e4, "skcipher_register_instance" },
	{ 0xb95c500, "aead_register_instance" },
	{ 0xcb9e656b, "crypto_skcipher_decrypt" },
	{ 0xf0baaa32, "crypto_skcipher_encrypt" },
	{ 0x895bbf7c, "shash_ahash_digest" },
	{ 0xae161663, "shash_ahash_finup" },
	{ 0x9f1aadba, "crypto_shash_final" },
	{ 0x18a4dd83, "shash_ahash_update" },
	{ 0xa6534108, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe0cb1c63, "crypto_alloc_skcipher" },
	{ 0xe9db2e0e, "crypto_destroy_tfm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9ab9d1d7, "crypto_alloc_ahash" },
	{ 0x24ffadca, "crypto_alloc_aead" },
	{ 0x963f0046, "crypto_skcipher_setkey" },
	{ 0x8db07f14, "crypto_spawn_tfm2" },
	{ 0xef3746ac, "crypto_drop_spawn" },
	{ 0x37a0cba, "kfree" },
	{ 0x7a49d010, "crypto_shash_setkey" },
	{ 0x523f521a, "crypto_shash_import" },
	{ 0x6dec7c6b, "crypto_shash_export" },
	{ 0x52a6a805, "crypto_clone_shash" },
	{ 0xbe2b9348, "crypto_aead_setauthsize" },
	{ 0x97b1a767, "crypto_aead_setkey" },
	{ 0x84328d5e, "pcpu_hot" },
	{ 0x85df76bd, "crypto_dequeue_request" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf999ab, "crypto_enqueue_request" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C6EC7CF175001F17908D20C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
