#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(simd_skcipher_create_compat, "_gpl", "");
KSYMTAB_FUNC(simd_skcipher_free, "_gpl", "");
KSYMTAB_FUNC(simd_register_skciphers_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_skciphers, "_gpl", "");
KSYMTAB_FUNC(simd_register_aeads_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_aeads, "_gpl", "");

SYMBOL_CRC(simd_skcipher_create_compat, 0x164d649c, "_gpl");
SYMBOL_CRC(simd_skcipher_free, 0xefe73979, "_gpl");
SYMBOL_CRC(simd_register_skciphers_compat, 0x780e7b90, "_gpl");
SYMBOL_CRC(simd_unregister_skciphers, 0x44e70c48, "_gpl");
SYMBOL_CRC(simd_register_aeads_compat, 0xd63e89d9, "_gpl");
SYMBOL_CRC(simd_unregister_aeads, 0x932f18fa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x84862cf3, "crypto_aead_decrypt" },
	{ 0x963f0046, "crypto_skcipher_setkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x72bae3f7, "crypto_unregister_aeads" },
	{ 0x469e6fbd, "cryptd_skcipher_child" },
	{ 0xcb9e656b, "crypto_skcipher_decrypt" },
	{ 0x23db26b7, "cryptd_alloc_skcipher" },
	{ 0x97b1a767, "crypto_aead_setkey" },
	{ 0xae8b9297, "crypto_register_skcipher" },
	{ 0xe714b829, "crypto_aead_encrypt" },
	{ 0xb89732e9, "cryptd_aead_queued" },
	{ 0x4906275b, "crypto_unregister_skcipher" },
	{ 0xb996f024, "crypto_register_skciphers" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf6bcc9e5, "cryptd_skcipher_queued" },
	{ 0x3fc604e4, "cryptd_free_aead" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0xfaf28abf, "crypto_unregister_skciphers" },
	{ 0x9a0b15a5, "cryptd_free_skcipher" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0xf0baaa32, "crypto_skcipher_encrypt" },
	{ 0xb6742812, "cryptd_alloc_aead" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb5fb8563, "cryptd_aead_child" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0xb2564885, "crypto_register_aead" },
	{ 0x868b418d, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0x68762846, "crypto_register_aeads" },
	{ 0x84328d5e, "pcpu_hot" },
	{ 0xbe2b9348, "crypto_aead_setauthsize" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "cryptd");


MODULE_INFO(srcversion, "1F54B96C0B189153427872F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
