#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaf8b62cc, "vfs_statfs" },
	{ 0x605be1da, "I_BDEV" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc8cd253a, "vfs_fsync" },
	{ 0x9348d836, "blk_mq_freeze_queue" },
	{ 0xbe0d28e2, "blk_mq_unfreeze_queue" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x20364968, "blk_mq_alloc_tag_set" },
	{ 0xc1ea6b8e, "__blk_mq_alloc_disk" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x27b6db64, "device_add_disk" },
	{ 0xf531b37a, "misc_register" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x9d8b2ea3, "blk_mq_start_request" },
	{ 0x3054e5da, "bio_blkcg_css" },
	{ 0x33b86820, "memory_cgrp_subsys" },
	{ 0xed14c636, "cgroup_get_e_css" },
	{ 0x8a4c49fe, "blkcg_root_css" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc2159333, "iov_iter_bvec" },
	{ 0x2202f751, "const_pcpu_hot" },
	{ 0x96a142dd, "kthread_associate_blkcg" },
	{ 0x84328d5e, "pcpu_hot" },
	{ 0xf7011b02, "int_active_memcg" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xe7f38eaf, "vfs_iter_write" },
	{ 0x1a4980c5, "vfs_iter_read" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x5bea640c, "fget" },
	{ 0x453f5ac4, "__module_get" },
	{ 0x9026c2d3, "bd_prepare_to_claim" },
	{ 0xec963017, "bd_abort_claiming" },
	{ 0x5b979a58, "set_disk_ro" },
	{ 0x9f232153, "sysfs_create_group" },
	{ 0x8368bdba, "set_capacity_and_notify" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x983d85d1, "sync_blockdev" },
	{ 0x31618d37, "invalidate_bdev" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5d7d064b, "noop_llseek" },
	{ 0x44031e48, "nonseekable_open" },
	{ 0x73e62c52, "param_get_int" },
	{ 0x23d78e37, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6735b5b4, "param_set_int" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6eafbe55, "mutex_lock_killable" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x92997ed8, "_printk" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xfc51830a, "bdev_disk_changed" },
	{ 0x57b8cb66, "path_get" },
	{ 0xec23cfd9, "vfs_getattr" },
	{ 0xb48e6227, "path_put" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x572d1084, "queue_limits_commit_update" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x4bcb890, "file_path" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x754d539c, "strlen" },
	{ 0xb0e602eb, "memmove" },
	{ 0x484a4adb, "invalidate_disk" },
	{ 0x71fd9bcd, "kobject_uevent" },
	{ 0x3aa2e7d2, "module_put" },
	{ 0xeab99f90, "disk_force_media_change" },
	{ 0xe88dae01, "fput" },
	{ 0xb0425093, "sysfs_remove_group" },
	{ 0x37a0cba, "kfree" },
	{ 0xb8d3809b, "blk_mq_complete_request" },
	{ 0x3a8eb12e, "zero_fill_bio_iter" },
	{ 0x23163223, "blk_mq_end_request" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x7223ffaf, "blk_update_request" },
	{ 0xc7ac7e51, "blk_mq_requeue_request" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x954cea47, "misc_deregister" },
	{ 0x9af842d, "idr_get_next" },
	{ 0x3b69f000, "del_gendisk" },
	{ 0xf84b8a49, "blk_mq_free_tag_set" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x131b2f53, "put_disk" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F1530BB8F4E9232EB435C65");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
