#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x84328d5e, "pcpu_hot" },
	{ 0x6aa2a877, "xenbus_printf" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x52481564, "xenbus_switch_state" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x453f5ac4, "__module_get" },
	{ 0x2c290785, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x59c540be, "wake_up_process" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x983d85d1, "sync_blockdev" },
	{ 0x2202f751, "const_pcpu_hot" },
	{ 0x9f984513, "strrchr" },
	{ 0x73b6c5dc, "blk_finish_plug" },
	{ 0x1b800d4a, "submit_bio" },
	{ 0x3aa2e7d2, "module_put" },
	{ 0xd0458ccb, "xenbus_strstate" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xffdd6dbe, "bdev_discard_alignment" },
	{ 0xc2c5802, "work_busy" },
	{ 0x85aab962, "device_create_file" },
	{ 0x28a88daf, "bio_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe88dae01, "fput" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x732852fe, "xenbus_transaction_end" },
	{ 0x707effd8, "kmem_cache_free" },
	{ 0xea5cbce, "xen_irq_lateeoi" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x91682956, "xenbus_unregister_driver" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd57aac0, "xenbus_watch_pathfmt" },
	{ 0x56611434, "bio_add_page" },
	{ 0x9f232153, "sysfs_create_group" },
	{ 0x61a80b26, "kthread_stop" },
	{ 0xf1a83a06, "bdev_file_open_by_dev" },
	{ 0x7506cfb9, "bind_interdomain_evtchn_to_irqhandler_lateeoi" },
	{ 0x8ca63c64, "freezing_slow_path" },
	{ 0x3c61f2b6, "__xenbus_register_backend" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xfb3c95c7, "gnttab_page_cache_get" },
	{ 0xfb578fc5, "memset" },
	{ 0x8587d3ad, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7b54207a, "kmem_cache_alloc_noprof" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x86623fd7, "notify_remote_via_irq" },
	{ 0x376f08a3, "blkdev_issue_secure_erase" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc7c0d270, "kthread_create_on_node" },
	{ 0xb0425093, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x343c657d, "xenbus_unmap_ring_vfree" },
	{ 0x30787696, "gnttab_unmap_refs_async" },
	{ 0x6502d9c2, "xenbus_scanf" },
	{ 0x52431348, "xenbus_transaction_start" },
	{ 0xd221a728, "param_ops_bool" },
	{ 0x75823bf, "invalidate_inode_pages2" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0x665fabd7, "gnttab_unmap_refs_sync" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x4b931968, "xen_features" },
	{ 0x3d745951, "gnttab_unmap_refs" },
	{ 0xe394e55c, "xenbus_dev_is_online" },
	{ 0xbbc6b6bb, "file_bdev" },
	{ 0x754d539c, "strlen" },
	{ 0x2af5223, "xenbus_dev_error" },
	{ 0x23d78e37, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0xd4de3526, "gnttab_map_refs" },
	{ 0x77e2883a, "xenbus_map_ring_valloc" },
	{ 0x4c8334f7, "bio_alloc_bioset" },
	{ 0x5cab9945, "unregister_xenbus_watch" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0xe193ce7e, "device_remove_file" },
	{ 0x29eeb48c, "fs_bio_set" },
	{ 0x3077e8e4, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x656eda6e, "blkdev_issue_discard" },
	{ 0x7712771a, "unbind_from_irqhandler" },
	{ 0xe914e41e, "strcpy" },
	{ 0xfeb7bad9, "gnttab_page_cache_init" },
	{ 0x9beedeec, "blk_start_plug" },
	{ 0xa6534108, "param_ops_uint" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x1bf03baf, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x79cf8566, "xenbus_dev_fatal" },
	{ 0xc6572a90, "xenbus_read_unsigned" },
	{ 0x1903dafb, "gnttab_page_cache_shrink" },
	{ 0x9d401801, "gnttab_page_cache_put" },
	{ 0x731dba7a, "xen_domain_type" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xecd8f23d, "xenbus_read" },
	{ 0x37a0cba, "kfree" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "98A42D08E48297E88C919A9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
