#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pmbus_clear_cache, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_update, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_page, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_fan, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_device, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_cached, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_clear_faults, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_byte_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_word_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_driver_info, "_gpl", "PMBUS");
KSYMTAB_DATA(pmbus_regulator_ops, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_do_probe, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_debugfs_dir, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_lock_interruptible, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_unlock, "_gpl", "PMBUS");

SYMBOL_CRC(pmbus_clear_cache, 0x133748d3, "_gpl");
SYMBOL_CRC(pmbus_set_update, 0xd7ae6a5b, "_gpl");
SYMBOL_CRC(pmbus_set_page, 0x26ad3f51, "_gpl");
SYMBOL_CRC(pmbus_write_byte, 0xdcd29e27, "_gpl");
SYMBOL_CRC(pmbus_write_word_data, 0x1ec8af5b, "_gpl");
SYMBOL_CRC(pmbus_update_fan, 0xee0af343, "_gpl");
SYMBOL_CRC(pmbus_read_word_data, 0x0ed389ba, "_gpl");
SYMBOL_CRC(pmbus_read_byte_data, 0xb5eba245, "_gpl");
SYMBOL_CRC(pmbus_write_byte_data, 0xee35ea6b, "_gpl");
SYMBOL_CRC(pmbus_update_byte_data, 0xdd55f319, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_device, 0xc10e808b, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_cached, 0xdf660cd2, "_gpl");
SYMBOL_CRC(pmbus_clear_faults, 0x29245b0a, "_gpl");
SYMBOL_CRC(pmbus_check_byte_register, 0xe1438a4e, "_gpl");
SYMBOL_CRC(pmbus_check_word_register, 0x88d00d2b, "_gpl");
SYMBOL_CRC(pmbus_get_driver_info, 0xfe557adb, "_gpl");
SYMBOL_CRC(pmbus_regulator_ops, 0xf79df87e, "_gpl");
SYMBOL_CRC(pmbus_do_probe, 0x57b36002, "_gpl");
SYMBOL_CRC(pmbus_get_debugfs_dir, 0x716b565f, "_gpl");
SYMBOL_CRC(pmbus_lock_interruptible, 0x86f56b2f, "_gpl");
SYMBOL_CRC(pmbus_unlock, 0xa51f7d74, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4d3261f9, "rdev_get_id" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x5e33ca4b, "sysfs_notify" },
	{ 0x71fd9bcd, "kobject_uevent" },
	{ 0x255a7423, "__dynamic_dev_dbg" },
	{ 0xf68f49bf, "regulator_notifier_call_chain" },
	{ 0x9166fada, "strncpy" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x460781ed, "i2c_smbus_xfer" },
	{ 0x1f14b0a0, "_dev_err" },
	{ 0x85aab962, "device_create_file" },
	{ 0xe9d48e86, "__devm_add_action" },
	{ 0xb3073f32, "devm_kstrdup" },
	{ 0x7410aba2, "strreplace" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfe1df526, "devm_hwmon_device_register_with_groups" },
	{ 0x8a92522d, "devm_regulator_register" },
	{ 0xe42be596, "dev_err_probe" },
	{ 0x5d20128c, "devm_request_threaded_irq" },
	{ 0x96848186, "scnprintf" },
	{ 0x34cb6fed, "debugfs_create_file" },
	{ 0x8587d3ad, "_dev_warn" },
	{ 0x5d7d064b, "noop_llseek" },
	{ 0x92bb1d52, "simple_open" },
	{ 0x20176e29, "debugfs_attr_read" },
	{ 0x826869f5, "debugfs_attr_write" },
	{ 0xaeff8e2f, "simple_attr_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x765622eb, "i2c_smbus_write_byte_data" },
	{ 0x12677477, "i2c_smbus_read_byte_data" },
	{ 0xccdf00af, "i2c_smbus_write_byte" },
	{ 0x2ca4891d, "i2c_smbus_write_word_data" },
	{ 0xf050eabf, "i2c_smbus_read_word_data" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xe193ce7e, "device_remove_file" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa2399849, "devm_krealloc" },
	{ 0x7fe9ca14, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x56470118, "__warn_printk" },
	{ 0x86f6a820, "debugfs_create_dir" },
	{ 0x87028c7c, "debugfs_remove" },
	{ 0x5e2615ff, "simple_attr_open" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xef294e24, "i2c_smbus_read_block_data" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8b4fc55f, "rdev_get_dev" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "396207AED3A699221C7726C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
