#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xefac2391, "input_mt_report_pointer_emulation" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xd18504ae, "_dev_info" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x5a921311, "strncmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x42c16856, "input_allocate_device" },
	{ 0xa1bec45a, "input_set_capability" },
	{ 0x8a3eb870, "input_set_abs_params" },
	{ 0x4cc05c77, "input_alloc_absinfo" },
	{ 0xc722468b, "input_mt_init_slots" },
	{ 0x7a8eafe4, "input_free_device" },
	{ 0x9e681366, "input_register_device" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x40d79f80, "request_firmware_nowait" },
	{ 0xd56c56c3, "device_property_present" },
	{ 0x1b51ccc5, "is_acpi_device_node" },
	{ 0x7fe9ca14, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x6b2c1caa, "device_property_read_u32_array" },
	{ 0x41339ca0, "devm_regulator_bulk_get" },
	{ 0xac9204be, "devm_gpiod_get_optional" },
	{ 0x5d20128c, "devm_request_threaded_irq" },
	{ 0x5ae7ae6f, "regulator_bulk_enable" },
	{ 0xf089d0ae, "request_firmware" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x67b9a831, "i2c_register_driver" },
	{ 0x86c0fa8b, "i2c_transfer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1f14b0a0, "_dev_err" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7975a4fb, "i2c_del_driver" },
	{ 0x4a12e038, "gpiod_set_value" },
	{ 0xf9a482f9, "msleep" },
	{ 0x255a7423, "__dynamic_dev_dbg" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2db467e6, "i2c_transfer_buffer_flags" },
	{ 0x37a0cba, "kfree" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc80f5cfe, "irq_get_irq_data" },
	{ 0x8587d3ad, "_dev_warn" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc24f1fe8, "input_device_enabled" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xd027190a, "input_unregister_device" },
	{ 0x891dc503, "regulator_bulk_disable" },
	{ 0xa9b2f2ad, "input_event" },
	{ 0xbb98f67d, "input_mt_report_slot_state" },
	{ 0x65b45cb, "complete" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("i2c:qt602240_ts");
MODULE_ALIAS("i2c:atmel_mxt_ts");
MODULE_ALIAS("i2c:atmel_mxt_tp");
MODULE_ALIAS("i2c:maxtouch");
MODULE_ALIAS("i2c:mXT224");
MODULE_ALIAS("acpi*:ATML0000:*");
MODULE_ALIAS("acpi*:ATML0001:*");
MODULE_ALIAS("of:N*T*Catmel,maxtouch");
MODULE_ALIAS("of:N*T*Catmel,maxtouchC*");
MODULE_ALIAS("of:N*T*Catmel,qt602240_ts");
MODULE_ALIAS("of:N*T*Catmel,qt602240_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_ts");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tp");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tpC*");
MODULE_ALIAS("of:N*T*Catmel,mXT224");
MODULE_ALIAS("of:N*T*Catmel,mXT224C*");

MODULE_INFO(srcversion, "41DDD102C0E8016C2469ECD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
