#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx88_video_mux, "", "");
KSYMTAB_FUNC(cx88_querycap, "", "");
KSYMTAB_FUNC(cx88_enum_input, "", "");
KSYMTAB_FUNC(cx88_set_freq, "", "");

SYMBOL_CRC(cx88_video_mux, 0xf7e2ecde, "");
SYMBOL_CRC(cx88_querycap, 0x6e37a2a3, "");
SYMBOL_CRC(cx88_enum_input, 0xa1a14368, "");
SYMBOL_CRC(cx88_set_freq, 0xb9f68fa2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xe70e692, "cx88_ir_stop" },
	{ 0x9e783f05, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x71d60393, "video_devdata" },
	{ 0x74bc9cd, "cx88_set_tvnorm" },
	{ 0x1944dc90, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0xa74fdf15, "v4l2_ctrl_find" },
	{ 0xd2fd97d1, "cx88_ir_start" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6f91aa42, "__v4l2_ctrl_s_ctrl" },
	{ 0x3b9b6851, "vb2_plane_cookie" },
	{ 0x61ba95d8, "vb2_ioctl_dqbuf" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x96c96455, "cx88_risc_buffer" },
	{ 0xf2637dc0, "v4l2_fh_release" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7070db77, "cx88_set_stereo" },
	{ 0xecc08ff2, "vb2_buffer_done" },
	{ 0xc0d385c, "v4l2_ctrl_subscribe_event" },
	{ 0x237ab17f, "video_unregister_device" },
	{ 0x61a80b26, "kthread_stop" },
	{ 0x51611524, "i2c_new_client_device" },
	{ 0xf9316988, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xad849866, "vb2_fop_mmap" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xd3b1b2e4, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0x7dfa4b3e, "cx88_set_tvaudio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5aaf5931, "vb2_fop_read" },
	{ 0x786a21f6, "cx88_sram_channel_dump" },
	{ 0xc7c0d270, "kthread_create_on_node" },
	{ 0x60657df6, "cx88_sram_channel_setup" },
	{ 0xd31d799c, "dma_free_attrs" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x259b392c, "__video_register_device" },
	{ 0x66ad7d75, "vb2_ops_wait_prepare" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0x5f17fcac, "vb2_ioctl_streamon" },
	{ 0x86af0ec0, "vb2_fop_poll" },
	{ 0x7ed65556, "v4l2_ctrl_new_std" },
	{ 0x70e058cb, "pci_disable_device" },
	{ 0x8d3e92d9, "dma_set_mask" },
	{ 0x963da1bc, "v4l2_i2c_new_subdev" },
	{ 0xab2810fe, "pci_read_config_byte" },
	{ 0x23d78e37, "param_ops_int" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x9d0539ec, "cx88_newstation" },
	{ 0x92f0c0e9, "v4l2_event_unsubscribe" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa396856a, "vb2_ioctl_reqbufs" },
	{ 0x1a350c7, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc7db9275, "vb2_dma_sg_memops" },
	{ 0xc63bce3c, "cx88_reset" },
	{ 0xbe1c97d5, "v4l2_ctrl_poll" },
	{ 0x45ffedcd, "video_ioctl2" },
	{ 0x706a60eb, "cx88_wakeup" },
	{ 0x9b7e5512, "pci_enable_device" },
	{ 0x22000f6b, "vb2_ioctl_streamoff" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0x7830296, "v4l2_ctrl_add_handler" },
	{ 0x3b32e20f, "v4l2_i2c_new_subdev_board" },
	{ 0xc442b1e6, "cx88_set_scale" },
	{ 0x12af0942, "vb2_ops_wait_finish" },
	{ 0x4dd2a5b4, "__pci_register_driver" },
	{ 0xbbb3776c, "cx88_shutdown" },
	{ 0x47551372, "cx88_vdev_init" },
	{ 0x94589ee1, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xa10e2548, "vb2_ioctl_querybuf" },
	{ 0xfb627f53, "cx88_core_put" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4f484152, "v4l2_fh_open" },
	{ 0x904b8696, "cx88_audio_thread" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x5f4c953b, "cx88_core_irq" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x953a70e, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x59c540be, "wake_up_process" },
	{ 0x85a656e6, "cx88_core_get" },
	{ 0x1e6690, "cx88_get_stereo" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "cx88xx,videodev,videobuf2-v4l2,videobuf2-common,videobuf2-dma-sg");

MODULE_ALIAS("pci:v000014F1d00008800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C6F1A478A11DE3C68FF7F31");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
