#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mpt_fwfault_debug, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_get_num_paths, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg1, "", "");
KSYMTAB_FUNC(mpt_set_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_clear_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_halt_firmware, "", "");
KSYMTAB_FUNC(mpt_Soft_Hard_ResetHandler, "", "");
KSYMTAB_FUNC(mpt_attach, "", "");
KSYMTAB_FUNC(mpt_detach, "", "");
KSYMTAB_FUNC(mpt_resume, "", "");
KSYMTAB_FUNC(mpt_suspend, "", "");
KSYMTAB_DATA(ioc_list, "", "");
KSYMTAB_FUNC(mpt_register, "", "");
KSYMTAB_FUNC(mpt_deregister, "", "");
KSYMTAB_FUNC(mpt_event_register, "", "");
KSYMTAB_FUNC(mpt_event_deregister, "", "");
KSYMTAB_FUNC(mpt_reset_register, "", "");
KSYMTAB_FUNC(mpt_reset_deregister, "", "");
KSYMTAB_FUNC(mpt_device_driver_register, "", "");
KSYMTAB_FUNC(mpt_device_driver_deregister, "", "");
KSYMTAB_FUNC(mpt_get_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame_hi_pri, "", "");
KSYMTAB_FUNC(mpt_free_msg_frame, "", "");
KSYMTAB_FUNC(mpt_send_handshake_request, "", "");
KSYMTAB_FUNC(mpt_verify_adapter, "", "");
KSYMTAB_FUNC(mpt_GetIocState, "", "");
KSYMTAB_FUNC(mpt_print_ioc_summary, "", "");
KSYMTAB_FUNC(mpt_HardResetHandler, "", "");
KSYMTAB_FUNC(mpt_config, "", "");
KSYMTAB_FUNC(mpt_findImVolumes, "", "");
KSYMTAB_FUNC(mpt_alloc_fw_memory, "", "");
KSYMTAB_FUNC(mpt_free_fw_memory, "", "");
KSYMTAB_FUNC(mptbase_sas_persist_operation, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg0, "", "");

SYMBOL_CRC(mpt_fwfault_debug, 0x502108d0, "");
SYMBOL_CRC(mpt_raid_phys_disk_get_num_paths, 0x0545da2d, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg1, 0x36eb062d, "");
SYMBOL_CRC(mpt_set_taskmgmt_in_progress_flag, 0xf34819ce, "");
SYMBOL_CRC(mpt_clear_taskmgmt_in_progress_flag, 0x9edaa777, "");
SYMBOL_CRC(mpt_halt_firmware, 0xb5efe1f8, "");
SYMBOL_CRC(mpt_Soft_Hard_ResetHandler, 0x69a8f42a, "");
SYMBOL_CRC(mpt_attach, 0xfc0d0832, "");
SYMBOL_CRC(mpt_detach, 0x2979b1e3, "");
SYMBOL_CRC(mpt_resume, 0xf082fe35, "");
SYMBOL_CRC(mpt_suspend, 0x89191bae, "");
SYMBOL_CRC(ioc_list, 0xdd805159, "");
SYMBOL_CRC(mpt_register, 0x2f1c4b26, "");
SYMBOL_CRC(mpt_deregister, 0x981efe92, "");
SYMBOL_CRC(mpt_event_register, 0x3d5a85f0, "");
SYMBOL_CRC(mpt_event_deregister, 0xe6c1e126, "");
SYMBOL_CRC(mpt_reset_register, 0x069828ce, "");
SYMBOL_CRC(mpt_reset_deregister, 0x610b257e, "");
SYMBOL_CRC(mpt_device_driver_register, 0x1cef1d6e, "");
SYMBOL_CRC(mpt_device_driver_deregister, 0x74a0134a, "");
SYMBOL_CRC(mpt_get_msg_frame, 0xf65c787c, "");
SYMBOL_CRC(mpt_put_msg_frame, 0x20b0685a, "");
SYMBOL_CRC(mpt_put_msg_frame_hi_pri, 0xf8cb8f7c, "");
SYMBOL_CRC(mpt_free_msg_frame, 0xe5c868b8, "");
SYMBOL_CRC(mpt_send_handshake_request, 0xca8d727b, "");
SYMBOL_CRC(mpt_verify_adapter, 0x83e814d5, "");
SYMBOL_CRC(mpt_GetIocState, 0x6da762ae, "");
SYMBOL_CRC(mpt_print_ioc_summary, 0x90ad3cd2, "");
SYMBOL_CRC(mpt_HardResetHandler, 0xbb9f068f, "");
SYMBOL_CRC(mpt_config, 0x8c670efc, "");
SYMBOL_CRC(mpt_findImVolumes, 0x6053aa01, "");
SYMBOL_CRC(mpt_alloc_fw_memory, 0x30900e91, "");
SYMBOL_CRC(mpt_free_fw_memory, 0x98023b10, "");
SYMBOL_CRC(mptbase_sas_persist_operation, 0x1d8d733c, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg0, 0x7e3676d2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x92997ed8, "_printk" },
	{ 0x494c87b, "seq_printf" },
	{ 0x5caecf00, "pci_stop_and_remove_bus_device_locked" },
	{ 0x68b5b362, "dma_alloc_attrs" },
	{ 0xd31d799c, "dma_free_attrs" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x89a6c3f5, "pci_select_bars" },
	{ 0x8d3ff6d5, "pci_enable_device_mem" },
	{ 0xe7ea8bb4, "pci_request_selected_regions" },
	{ 0x72da311d, "dma_get_required_mask" },
	{ 0x8d3e92d9, "dma_set_mask" },
	{ 0x369e3b86, "dma_set_coherent_mask" },
	{ 0xde80cd09, "ioremap" },
	{ 0x1396378, "pci_release_selected_regions" },
	{ 0x70e058cb, "pci_disable_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x71aefb05, "remove_proc_entry" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x37a0cba, "kfree" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xf1e046cc, "panic" },
	{ 0x6735b5b4, "param_set_int" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xdc816334, "seq_putc" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0x48ea0d6d, "pci_choose_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x3df5908d, "pci_disable_msi" },
	{ 0x2446fb05, "pci_save_state" },
	{ 0xed04d30b, "pci_set_power_state" },
	{ 0x652f7fe9, "proc_mkdir" },
	{ 0xa8a79569, "proc_create_single_data" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7ce20792, "pci_read_config_word" },
	{ 0x5eaf68b4, "pci_write_config_word" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xedc03953, "iounmap" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x9b7e5512, "pci_enable_device" },
	{ 0x63ece445, "pci_enable_msi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xd3b1b2e4, "pci_set_master" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc7c0d270, "kthread_create_on_node" },
	{ 0x59c540be, "wake_up_process" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xab2810fe, "pci_read_config_byte" },
	{ 0xe0720953, "pci_write_config_byte" },
	{ 0x1b626fa5, "pci_get_slot" },
	{ 0x8df2f379, "pci_dev_put" },
	{ 0x1ca285a2, "pci_enable_wake" },
	{ 0xac193d44, "pci_restore_state" },
	{ 0x23d78e37, "param_ops_int" },
	{ 0x73e62c52, "param_get_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "62D9AFFB0F808AD664CEA05");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
