#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mtd_table_mutex, "_gpl", "");
KSYMTAB_FUNC(__mtd_next_device, "_gpl", "");
KSYMTAB_FUNC(mtd_check_expert_analysis_mode, "_gpl", "");
KSYMTAB_FUNC(mtd_wunit_to_pairing_info, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_info_to_wunit, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_groups, "_gpl", "");
KSYMTAB_FUNC(mtd_device_parse_register, "_gpl", "");
KSYMTAB_FUNC(mtd_device_unregister, "_gpl", "");
KSYMTAB_FUNC(register_mtd_user, "_gpl", "");
KSYMTAB_FUNC(unregister_mtd_user, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(of_get_mtd_device_by_node, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device_nm, "_gpl", "");
KSYMTAB_FUNC(put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(mtd_erase, "_gpl", "");
KSYMTAB_FUNC(mtd_point, "_gpl", "");
KSYMTAB_FUNC(mtd_unpoint, "_gpl", "");
KSYMTAB_FUNC(mtd_get_unmapped_area, "_gpl", "");
KSYMTAB_FUNC(mtd_read, "_gpl", "");
KSYMTAB_FUNC(mtd_write, "_gpl", "");
KSYMTAB_FUNC(mtd_panic_write, "_gpl", "");
KSYMTAB_FUNC(mtd_read_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_write_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_ecc, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_free, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_find_eccregion, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_freebytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_get_fact_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_fact_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_get_user_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_write_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_erase_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock, "_gpl", "");
KSYMTAB_FUNC(mtd_unlock, "_gpl", "");
KSYMTAB_FUNC(mtd_is_locked, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isreserved, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isbad, "_gpl", "");
KSYMTAB_FUNC(mtd_block_markbad, "_gpl", "");
KSYMTAB_FUNC(mtd_writev, "_gpl", "");
KSYMTAB_FUNC(mtd_kmalloc_up_to, "_gpl", "");
KSYMTAB_FUNC(get_tree_mtd, "_gpl", "");
KSYMTAB_FUNC(kill_mtd_super, "_gpl", "");
KSYMTAB_FUNC(mtd_concat_create, "", "");
KSYMTAB_FUNC(mtd_concat_destroy, "", "");
KSYMTAB_FUNC(mtd_add_partition, "_gpl", "");
KSYMTAB_FUNC(mtd_del_partition, "_gpl", "");
KSYMTAB_FUNC(__register_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(deregister_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(mtd_get_device_size, "_gpl", "");

SYMBOL_CRC(mtd_table_mutex, 0xdf6b0712, "_gpl");
SYMBOL_CRC(__mtd_next_device, 0x588a1951, "_gpl");
SYMBOL_CRC(mtd_check_expert_analysis_mode, 0xb7075882, "_gpl");
SYMBOL_CRC(mtd_wunit_to_pairing_info, 0xfd062aa8, "_gpl");
SYMBOL_CRC(mtd_pairing_info_to_wunit, 0xbe773de8, "_gpl");
SYMBOL_CRC(mtd_pairing_groups, 0xba2d795f, "_gpl");
SYMBOL_CRC(mtd_device_parse_register, 0x43849bee, "_gpl");
SYMBOL_CRC(mtd_device_unregister, 0xd4840130, "_gpl");
SYMBOL_CRC(register_mtd_user, 0xe4d91988, "_gpl");
SYMBOL_CRC(unregister_mtd_user, 0xc6a78431, "_gpl");
SYMBOL_CRC(get_mtd_device, 0xc53ce782, "_gpl");
SYMBOL_CRC(__get_mtd_device, 0xbf13a6cf, "_gpl");
SYMBOL_CRC(of_get_mtd_device_by_node, 0xba27e769, "_gpl");
SYMBOL_CRC(get_mtd_device_nm, 0x4177daed, "_gpl");
SYMBOL_CRC(put_mtd_device, 0x5bc8b2d9, "_gpl");
SYMBOL_CRC(__put_mtd_device, 0x5379ae7c, "_gpl");
SYMBOL_CRC(mtd_erase, 0xc74d0762, "_gpl");
SYMBOL_CRC(mtd_point, 0x8a88415e, "_gpl");
SYMBOL_CRC(mtd_unpoint, 0x00a40813, "_gpl");
SYMBOL_CRC(mtd_get_unmapped_area, 0x2408b1c2, "_gpl");
SYMBOL_CRC(mtd_read, 0xc99b8f3c, "_gpl");
SYMBOL_CRC(mtd_write, 0xa40e59e5, "_gpl");
SYMBOL_CRC(mtd_panic_write, 0x145d3511, "_gpl");
SYMBOL_CRC(mtd_read_oob, 0x3caa38e0, "_gpl");
SYMBOL_CRC(mtd_write_oob, 0x01414060, "_gpl");
SYMBOL_CRC(mtd_ooblayout_ecc, 0x4880c370, "_gpl");
SYMBOL_CRC(mtd_ooblayout_free, 0x9bfc7dcb, "_gpl");
SYMBOL_CRC(mtd_ooblayout_find_eccregion, 0x71c0b3c2, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_eccbytes, 0x44ef6e40, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_eccbytes, 0x5f2f657e, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_databytes, 0x5e5d73ba, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_databytes, 0xb9bec19c, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_freebytes, 0xf558bd85, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_eccbytes, 0xb983b7ba, "_gpl");
SYMBOL_CRC(mtd_get_fact_prot_info, 0x53b2c414, "_gpl");
SYMBOL_CRC(mtd_read_fact_prot_reg, 0x3a8bcdd6, "_gpl");
SYMBOL_CRC(mtd_get_user_prot_info, 0x64304071, "_gpl");
SYMBOL_CRC(mtd_read_user_prot_reg, 0x6034583d, "_gpl");
SYMBOL_CRC(mtd_write_user_prot_reg, 0x9ff13498, "_gpl");
SYMBOL_CRC(mtd_lock_user_prot_reg, 0x9ac5c9d9, "_gpl");
SYMBOL_CRC(mtd_erase_user_prot_reg, 0x8f560d62, "_gpl");
SYMBOL_CRC(mtd_lock, 0xf2a2b1c6, "_gpl");
SYMBOL_CRC(mtd_unlock, 0xa3ec1256, "_gpl");
SYMBOL_CRC(mtd_is_locked, 0x7b153a2e, "_gpl");
SYMBOL_CRC(mtd_block_isreserved, 0x78ab27d6, "_gpl");
SYMBOL_CRC(mtd_block_isbad, 0x7a0f696e, "_gpl");
SYMBOL_CRC(mtd_block_markbad, 0x67c7c5a6, "_gpl");
SYMBOL_CRC(mtd_writev, 0x9aa96184, "_gpl");
SYMBOL_CRC(mtd_kmalloc_up_to, 0xcb6b5765, "_gpl");
SYMBOL_CRC(get_tree_mtd, 0x9f95909d, "_gpl");
SYMBOL_CRC(kill_mtd_super, 0x46456026, "_gpl");
SYMBOL_CRC(mtd_concat_create, 0x2a1086ae, "");
SYMBOL_CRC(mtd_concat_destroy, 0xa750597c, "");
SYMBOL_CRC(mtd_add_partition, 0xc32f2f39, "_gpl");
SYMBOL_CRC(mtd_del_partition, 0x74aee6bd, "_gpl");
SYMBOL_CRC(__register_mtd_parser, 0x946202dd, "_gpl");
SYMBOL_CRC(deregister_mtd_parser, 0xf8d7688f, "_gpl");
SYMBOL_CRC(mtd_get_device_size, 0xdcd60d00, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x9f2a470c, "device_create" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x87028c7c, "debugfs_remove" },
	{ 0x126db6d1, "fixed_size_llseek" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x69cd9cb7, "class_unregister" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x887e8a15, "bdi_alloc" },
	{ 0x14d4db6, "device_register" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x309ca22f, "__register_chrdev" },
	{ 0xb3295830, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x1892a15e, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x71aefb05, "remove_proc_entry" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0x8e731332, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0x494c87b, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xfc43ef2a, "lockref_get" },
	{ 0x12f27600, "deactivate_locked_super" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xe42be596, "dev_err_probe" },
	{ 0xa8a79569, "proc_create_single_data" },
	{ 0x3c75eec6, "nvmem_register" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x86f6a820, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4c86d37, "class_register" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe205915b, "generic_shutdown_super" },
	{ 0xdc81c7f3, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x41fc9827, "sget_dev" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e1a55fb, "bdi_unregister" },
	{ 0xaf4a0b3, "dev_set_name" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xdfe15623, "bdi_register" },
	{ 0x1bf03baf, "device_unregister" },
	{ 0xb4d87747, "nvmem_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x65200929, "logfc" },
	{ 0xdfae57ec, "sysfs_remove_files" },
	{ 0x453f5ac4, "__module_get" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x92997ed8, "_printk" },
	{ 0xfae5c9cc, "bdi_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8acb4b75, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x9af842d, "idr_get_next" },
	{ 0xc6cbbc89, "capable" },
	{ 0x3aa2e7d2, "module_put" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x5c1f7b14, "debugfs_create_bool" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E452B3061DCCC9009330C8D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
