#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(m_can_check_mram_cfg, "_gpl", "");
KSYMTAB_FUNC(m_can_init_ram, "_gpl", "");
KSYMTAB_FUNC(m_can_class_get_clocks, "_gpl", "");
KSYMTAB_FUNC(m_can_class_allocate_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_free_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_register, "_gpl", "");
KSYMTAB_FUNC(m_can_class_unregister, "_gpl", "");
KSYMTAB_FUNC(m_can_class_suspend, "_gpl", "");
KSYMTAB_FUNC(m_can_class_resume, "_gpl", "");

SYMBOL_CRC(m_can_check_mram_cfg, 0xfa0e503d, "_gpl");
SYMBOL_CRC(m_can_init_ram, 0x13686c5e, "_gpl");
SYMBOL_CRC(m_can_class_get_clocks, 0x314d1505, "_gpl");
SYMBOL_CRC(m_can_class_allocate_dev, 0x588c874e, "_gpl");
SYMBOL_CRC(m_can_class_free_dev, 0xe788c2a7, "_gpl");
SYMBOL_CRC(m_can_class_register, 0x01b371a0, "_gpl");
SYMBOL_CRC(m_can_class_unregister, 0xf7412ed9, "_gpl");
SYMBOL_CRC(m_can_class_suspend, 0x045ff5c1, "_gpl");
SYMBOL_CRC(m_can_class_resume, 0xbdc46976, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x373b0d5, "dql_reset" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2add2038, "unregister_candev" },
	{ 0xc95b1143, "can_rx_offload_del" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0xd15669f9, "devm_clk_get" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0xe43f387f, "netif_tx_wake_queue" },
	{ 0xd7602d48, "netif_schedule_queue" },
	{ 0x205d126, "__pm_runtime_resume" },
	{ 0x69b801b, "__pm_runtime_idle" },
	{ 0x8e8d5c2e, "can_skb_get_frame_len" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x13ac5fdd, "can_put_echo_skb" },
	{ 0xa356b486, "hrtimer_try_to_cancel" },
	{ 0x6ea6c1ed, "hrtimer_cancel" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe78c5b0c, "hrtimer_start_range_ns" },
	{ 0xc2bae54c, "netdev_warn" },
	{ 0xa096150c, "phy_power_on" },
	{ 0x21a11fd8, "open_candev" },
	{ 0xdc88e7d5, "napi_enable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe051c1cf, "napi_disable" },
	{ 0xbc4ba798, "close_candev" },
	{ 0x9cf53ea3, "phy_power_off" },
	{ 0xe2648a93, "can_rx_offload_enable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x838db64a, "pinctrl_pm_select_default_state" },
	{ 0xb5dfbe08, "netif_device_attach" },
	{ 0xc72a2f8b, "sk_skb_reason_drop" },
	{ 0x627d7d13, "can_dropped_invalid_skb" },
	{ 0xaaee1af5, "softnet_data" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe2a13cc9, "netdev_printk" },
	{ 0xe8ec57f3, "hrtimer_init" },
	{ 0x7fe9ca14, "devm_kmalloc" },
	{ 0x4f454fd0, "can_rx_offload_add_manual" },
	{ 0x77e867c0, "register_candev" },
	{ 0x59be1882, "netif_napi_add_weight" },
	{ 0xd18504ae, "_dev_info" },
	{ 0xf7b873f9, "alloc_can_err_skb" },
	{ 0x6f74521a, "__dynamic_netdev_dbg" },
	{ 0x5f7969ab, "can_rx_offload_queue_timestamp" },
	{ 0xe2598942, "netif_receive_skb" },
	{ 0x24186362, "pinctrl_pm_select_sleep_state" },
	{ 0xbf23b095, "netif_device_detach" },
	{ 0x99626ab7, "can_bus_off" },
	{ 0xca8559aa, "alloc_canfd_skb" },
	{ 0x5ca2f105, "alloc_can_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0x40d24f3d, "napi_complete_done" },
	{ 0x4a413171, "hrtimer_active" },
	{ 0x201488e4, "napi_schedule_prep" },
	{ 0xa9aa5c54, "can_rx_offload_threaded_irq_finish" },
	{ 0xe74ed3f2, "__napi_schedule" },
	{ 0xde1ad59, "hrtimer_forward" },
	{ 0x250dd577, "ethtool_op_get_ts_info" },
	{ 0xb0572f4b, "can_change_mtu" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1f14b0a0, "_dev_err" },
	{ 0xb64c4fad, "__dev_fwnode" },
	{ 0x1184eefb, "fwnode_property_read_u32_array" },
	{ 0x204983cf, "alloc_candev_mqs" },
	{ 0x255a7423, "__dynamic_dev_dbg" },
	{ 0x2dd46b03, "free_candev" },
	{ 0x87955d1a, "netdev_err" },
	{ 0xe39d0629, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0x2f198fed, "can_get_echo_skb" },
	{ 0x1a45a980, "can_free_echo_skb" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "6F20D448C05E7838CD5DFBA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
