#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x80df60b8, "netdev_info" },
	{ 0xc72a2f8b, "sk_skb_reason_drop" },
	{ 0x627d7d13, "can_dropped_invalid_skb" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x19cea4ce, "usb_alloc_urb" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x856b90a4, "usb_anchor_urb" },
	{ 0x13ac5fdd, "can_put_echo_skb" },
	{ 0xeafb5635, "usb_submit_urb" },
	{ 0x29fa3b3a, "usb_free_urb" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc9ddb1d5, "consume_skb" },
	{ 0x1a45a980, "can_free_echo_skb" },
	{ 0x55ae4efb, "usb_unanchor_urb" },
	{ 0xbf23b095, "netif_device_detach" },
	{ 0x87955d1a, "netdev_err" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2a13cc9, "netdev_printk" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd6bb03a0, "usb_deregister" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0x2add2038, "unregister_candev" },
	{ 0x912a3adb, "usb_kill_anchored_urbs" },
	{ 0x21a11fd8, "open_candev" },
	{ 0xe2648a93, "can_rx_offload_enable" },
	{ 0xe051c1cf, "napi_disable" },
	{ 0xbc4ba798, "close_candev" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x862258db, "timecounter_init" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x5f7969ab, "can_rx_offload_queue_timestamp" },
	{ 0x505d1557, "can_rx_offload_queue_tail" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x7ccc9c4e, "can_rx_offload_get_echo_skb_queue_tail" },
	{ 0xe43f387f, "netif_tx_wake_queue" },
	{ 0xf7b873f9, "alloc_can_err_skb" },
	{ 0x8a89a951, "can_rx_offload_irq_finish" },
	{ 0xe39d0629, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0xca8559aa, "alloc_canfd_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0x5ca2f105, "alloc_can_skb" },
	{ 0xb0572f4b, "can_change_mtu" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2de7df9a, "usb_register_driver" },
	{ 0x520ec5f1, "usb_control_msg_send" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x721aba21, "usb_control_msg_recv" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x250dd577, "ethtool_op_get_ts_info" },
	{ 0xd334e8e9, "can_ethtool_op_get_ts_info_hwts" },
	{ 0x1f46aad1, "can_eth_ioctl_hwts" },
	{ 0x1f14b0a0, "_dev_err" },
	{ 0x204983cf, "alloc_candev_mqs" },
	{ 0xd18504ae, "_dev_info" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4f454fd0, "can_rx_offload_add_manual" },
	{ 0x77e867c0, "register_candev" },
	{ 0xc95b1143, "can_rx_offload_del" },
	{ 0x2dd46b03, "free_candev" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "can-dev,usbcore");

MODULE_ALIAS("usb:v1D50p606Fd*dc*dsc*dp*ic*isc*ip*in00*");
MODULE_ALIAS("usb:v1209p2323d*dc*dsc*dp*ic*isc*ip*in00*");
MODULE_ALIAS("usb:v1CD2p606Fd*dc*dsc*dp*ic*isc*ip*in00*");
MODULE_ALIAS("usb:v16D0p10B8d*dc*dsc*dp*ic*isc*ip*in00*");
MODULE_ALIAS("usb:v16D0p0F30d*dc*dsc*dp*ic*isc*ip*in00*");

MODULE_INFO(srcversion, "12459A8E3E24ADA71916535");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
