#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4e626254, "eth_prepare_mac_addr_change" },
	{ 0xa916b694, "strnlen" },
	{ 0xbf23b095, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x6c9fd511, "__free_pages" },
	{ 0x2bdb49d7, "debugfs_create_regset32" },
	{ 0xd18504ae, "_dev_info" },
	{ 0x4594808f, "napi_gro_receive" },
	{ 0xb5dfbe08, "netif_device_attach" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9ba70d2, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x6cc6fc50, "pci_iomap_range" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x672579a7, "devlink_port_unregister" },
	{ 0x8971ea3a, "devlink_flash_update_timeout_notify" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xfd3cf8b6, "devm_kfree" },
	{ 0x1f14b0a0, "_dev_err" },
	{ 0x14d860af, "init_net" },
	{ 0xeed7fd81, "up_write" },
	{ 0xaaee1af5, "softnet_data" },
	{ 0x5c1f7b14, "debugfs_create_bool" },
	{ 0x94750ba3, "xdp_return_frame" },
	{ 0xe2a09fa0, "ptp_clock_register" },
	{ 0xcd39d69, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb1c9a23f, "netif_set_real_num_rx_queues" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x68b5b362, "dma_alloc_attrs" },
	{ 0x87028c7c, "debugfs_remove" },
	{ 0xdc88e7d5, "napi_enable" },
	{ 0xdf19cdce, "register_netdev" },
	{ 0x1ed38bc3, "debugfs_create_u64" },
	{ 0xf445d8e2, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb5371abc, "ethtool_op_get_link" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x77320de4, "__SCK__tp_func_xdp_exception" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xe43f387f, "netif_tx_wake_queue" },
	{ 0xb19b445, "ioread8" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x8587d3ad, "_dev_warn" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xd7602d48, "netif_schedule_queue" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xd3b1b2e4, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xac004ad4, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe96142ee, "ptp_clock_unregister" },
	{ 0xbe3a33dc, "__pskb_pull_tail" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xeddd417, "down_read" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x6f74521a, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x369e3b86, "dma_set_coherent_mask" },
	{ 0xb6cb556a, "_find_first_and_bit" },
	{ 0xae8d0b08, "seq_read" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0x34cb6fed, "debugfs_create_file" },
	{ 0xd31d799c, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xbd4d269f, "debugfs_create_x32" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf9bd3e4b, "pci_release_regions" },
	{ 0xf07d5623, "__dma_sync_single_for_device" },
	{ 0xb8014816, "pcie_print_link_status" },
	{ 0xeb626d7a, "xdp_rxq_info_unreg" },
	{ 0xb3295830, "seq_write" },
	{ 0x6bc25cf6, "__xdp_rxq_info_reg" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaf9d5c68, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x494c87b, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa9ad831d, "devlink_priv" },
	{ 0x2e921c5e, "__hw_addr_sync_dev" },
	{ 0x26c74edf, "devlink_port_register_with_ops" },
	{ 0x47a8c5c7, "pci_disable_sriov" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe207f746, "netif_carrier_on" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x6c05d619, "alloc_pages_noprof" },
	{ 0x70e058cb, "pci_disable_device" },
	{ 0xdc9fcddf, "net_dim_get_tx_moderation" },
	{ 0x6b76e0f6, "single_release" },
	{ 0x8d3e92d9, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa982a8c5, "skb_add_rx_frag_netmem" },
	{ 0xa4191c0b, "memset_io" },
	{ 0xbe2cbe2a, "xdp_master_redirect" },
	{ 0xdb0e8d31, "__napi_schedule_irqoff" },
	{ 0x201488e4, "napi_schedule_prep" },
	{ 0x8983a4b, "napi_consume_skb" },
	{ 0xe051c1cf, "napi_disable" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xdf2acff4, "single_open" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x349cba85, "strchr" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x86f6a820, "debugfs_create_dir" },
	{ 0x4861736c, "ptp_schedule_worker" },
	{ 0xd371b0df, "vcalloc_noprof" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x75f54312, "pci_free_irq_vectors" },
	{ 0xf24de58a, "pci_enable_sriov" },
	{ 0xbb53856b, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x250dd577, "ethtool_op_get_ts_info" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0x80df60b8, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xfeef8377, "__tracepoint_xdp_exception" },
	{ 0xf4c91965, "napi_alloc_skb" },
	{ 0x897297e7, "alloc_etherdev_mqs" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xa7d5edba, "napi_gro_frags" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x36f7f934, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x816fabb0, "devlink_unregister" },
	{ 0x5d20128c, "devm_request_threaded_irq" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x7fe9ca14, "devm_kmalloc" },
	{ 0xdffa3189, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x952d01e6, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x8d3ff6d5, "pci_enable_device_mem" },
	{ 0xc9ddb1d5, "consume_skb" },
	{ 0x17c3e67d, "pci_iomap" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xdfd1a6a4, "pci_alloc_irq_vectors" },
	{ 0x59be1882, "netif_napi_add_weight" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x1f7f4072, "unregister_netdev" },
	{ 0xa6e83625, "napi_get_frags" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x6583134b, "xdp_convert_zc_to_xdp_frame" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xedadce1b, "debugfs_create_u16" },
	{ 0x36ecfea4, "dma_unmap_page_attrs" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4dd2a5b4, "__pci_register_driver" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xecaa3409, "pci_num_vf" },
	{ 0x8bbcc860, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x99ed1e51, "ptp_clock_index" },
	{ 0x46eea3ed, "debugfs_create_blob" },
	{ 0xd88094e9, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4723c62d, "devlink_alloc_ns" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xa79a27b2, "devlink_register" },
	{ 0x84328d5e, "pcpu_hot" },
	{ 0x2f24a43e, "seq_lseek" },
	{ 0xbdfee935, "pci_reset_function_locked" },
	{ 0x7a4402c9, "xdp_do_redirect" },
	{ 0xd2feb1c3, "devlink_free" },
	{ 0xc717f3dd, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc2bae54c, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4027b10e, "pci_irq_vector" },
	{ 0xd9a0e54, "__netif_napi_del" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x255a7423, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x953a70e, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xb8e146aa, "eth_commit_mac_addr_change" },
	{ 0x87955d1a, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a616a7, "pskb_expand_head" },
	{ 0x66a4b835, "devlink_flash_update_status_notify" },
	{ 0x7d362de6, "dev_driver_string" },
	{ 0x3f70e5a2, "dev_addr_mod" },
	{ 0xcd8197f7, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xa29b0b85, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xbb4b1b45, "dma_map_page_attrs" },
	{ 0x8735ed3d, "irq_set_affinity_notifier" },
	{ 0x40d24f3d, "napi_complete_done" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1b509d3, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9ee788, "debugfs_create_x64" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xbeca842c, "devm_free_irq" },
	{ 0x7f52071a, "net_dim" },
	{ 0xe74ed3f2, "__napi_schedule" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001DD8d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001DD8d00001003sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0F3052539744499F38B8CF8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
