#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0xf11622f8, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0x55f2856e, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0x66a1efaf, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0x1d2128bd, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0x0c66a3b9, "_gpl");
SYMBOL_CRC(stmmac_resume, 0x5f757701, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0x545572d4, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd9a0e54, "__netif_napi_del" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x87955d1a, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a616a7, "pskb_expand_head" },
	{ 0xdeb19397, "phylink_limit_mac_speed" },
	{ 0x6af0f91f, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0x7d362de6, "dev_driver_string" },
	{ 0x838db64a, "pinctrl_pm_select_default_state" },
	{ 0x3f70e5a2, "dev_addr_mod" },
	{ 0xcd8197f7, "xdp_rxq_info_reg_mem_model" },
	{ 0xc9f572cb, "_raw_read_unlock_irqrestore" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xa29b0b85, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x44bcec91, "__pm_runtime_set_status" },
	{ 0xbb4b1b45, "dma_map_page_attrs" },
	{ 0x40d24f3d, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815ac319, "__devm_alloc_percpu" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xeacfb106, "pm_wakeup_dev_event" },
	{ 0x3449be96, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xe74ed3f2, "__napi_schedule" },
	{ 0x9baf3b8, "pm_runtime_enable" },
	{ 0x934e8ba7, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0xbf23b095, "netif_device_detach" },
	{ 0x3134cb7b, "xpcs_config_eee" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0x2f7e17c3, "_raw_read_lock_irqsave" },
	{ 0xd18504ae, "_dev_info" },
	{ 0xa8519e75, "xpcs_create_mdiodev" },
	{ 0x4594808f, "napi_gro_receive" },
	{ 0xb5dfbe08, "netif_device_attach" },
	{ 0xfdd42b6a, "xdp_features_clear_redirect_target" },
	{ 0x73c1803d, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x299b730a, "netdev_pick_tx" },
	{ 0x1cdf37a2, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xd6bb613, "xp_raw_get_dma" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe893c065, "xdp_rxq_info_is_reg" },
	{ 0x39405932, "devm_alloc_etherdev_mqs" },
	{ 0xd112142d, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc2954ef8, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0x3568a794, "dev_open" },
	{ 0x9ba70d2, "__dma_sync_single_for_cpu" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x1f14b0a0, "_dev_err" },
	{ 0x7f53fef3, "xpcs_destroy" },
	{ 0x24186362, "pinctrl_pm_select_sleep_state" },
	{ 0xd7ec08e8, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x94750ba3, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe2a09fa0, "ptp_clock_register" },
	{ 0x87cffd76, "xsk_tx_peek_desc" },
	{ 0xcd39d69, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb1c9a23f, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0xebaef108, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x49495d, "skb_push" },
	{ 0x68b5b362, "dma_alloc_attrs" },
	{ 0x87028c7c, "debugfs_remove" },
	{ 0xdc88e7d5, "napi_enable" },
	{ 0x6f84dbeb, "xsk_clear_rx_need_wakeup" },
	{ 0x292b330d, "xpcs_get_interfaces" },
	{ 0x440dba5a, "xsk_uses_need_wakeup" },
	{ 0xdf19cdce, "register_netdev" },
	{ 0x8406e0b3, "xsk_get_pool_from_qid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3234863a, "page_pool_put_unrefed_netmem" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xef530489, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb5371abc, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x77320de4, "__SCK__tp_func_xdp_exception" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xb6bcee9d, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0xe43f387f, "netif_tx_wake_queue" },
	{ 0xe69fc7e0, "fwnode_get_phy_node" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xdcdf1e9e, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x8587d3ad, "_dev_warn" },
	{ 0x402241ae, "flow_rule_match_ports" },
	{ 0xe50fda71, "phylink_fwnode_phy_connect" },
	{ 0xe78c5b0c, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x81d98fde, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0xd7602d48, "netif_schedule_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x287127aa, "fwnode_get_named_child_node" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xe96142ee, "ptp_clock_unregister" },
	{ 0x6880536, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x6662858, "xpcs_get_an_mode" },
	{ 0x18e5cca0, "_raw_write_unlock_irqrestore" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x6f74521a, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x856d5f7b, "xdp_return_frame_rx_napi" },
	{ 0x2cd44816, "netdev_alert" },
	{ 0x369e3b86, "dma_set_coherent_mask" },
	{ 0xae8d0b08, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x60874fd7, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x6539aaed, "fwnode_find_reference" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0xcac91fa3, "debugfs_rename" },
	{ 0x271ab50d, "fwnode_property_present" },
	{ 0x34cb6fed, "debugfs_create_file" },
	{ 0x556ab8b1, "xsk_set_tx_need_wakeup" },
	{ 0xd31d799c, "dma_free_attrs" },
	{ 0x205d126, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf07d5623, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x828eb12a, "xp_set_rxq_info" },
	{ 0xe32b5141, "flow_rule_match_vlan" },
	{ 0xeb626d7a, "xdp_rxq_info_unreg" },
	{ 0xc7944e5c, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6bc25cf6, "__xdp_rxq_info_reg" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaf9d5c68, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x494c87b, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0xe13f85db, "mdiobus_get_phy" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe207f746, "netif_carrier_on" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xcdfdf7bd, "__mdiobus_register" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6ea6c1ed, "hrtimer_cancel" },
	{ 0x89369c98, "xp_free" },
	{ 0x6b76e0f6, "single_release" },
	{ 0x8d3e92d9, "dma_set_mask" },
	{ 0xcf2e2d5c, "xpcs_create_fwnode" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0xe42be596, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xa982a8c5, "skb_add_rx_frag_netmem" },
	{ 0xbe2cbe2a, "xdp_master_redirect" },
	{ 0x8cd1d392, "xp_raw_get_data" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0x11772c3b, "_raw_write_lock_irqsave" },
	{ 0x201488e4, "napi_schedule_prep" },
	{ 0xe051c1cf, "napi_disable" },
	{ 0x5ecaa402, "dev_kfree_skb_any_reason" },
	{ 0x85b8a2e5, "eth_header_parse_protocol" },
	{ 0x23d78e37, "param_ops_int" },
	{ 0xadba2cbc, "phylink_pcs_pre_init" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xdf2acff4, "single_open" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x6926cc9c, "__pm_runtime_disable" },
	{ 0x86f6a820, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x69b801b, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x250dd577, "ethtool_op_get_ts_info" },
	{ 0x214ab5bc, "xsk_tx_release" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb64c4fad, "__dev_fwnode" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0x80df60b8, "netdev_info" },
	{ 0xf9617ed5, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2234bea, "mdiobus_alloc_size" },
	{ 0xfeef8377, "__tracepoint_xdp_exception" },
	{ 0xa0767025, "xsk_tx_completed" },
	{ 0xf4c91965, "napi_alloc_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x123feec9, "xp_alloc" },
	{ 0xae601c92, "device_set_wakeup_enable" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x36f7f934, "bpf_prog_put" },
	{ 0xe377b02a, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9f5bd2da, "xp_dma_map" },
	{ 0x89bffcdb, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7fe9ca14, "devm_kmalloc" },
	{ 0x3172c2aa, "eth_mac_addr" },
	{ 0xdffa3189, "skb_put" },
	{ 0x952d01e6, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd44b288, "netdev_update_features" },
	{ 0xc9ddb1d5, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xb0e602eb, "memmove" },
	{ 0x59be1882, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa356b486, "hrtimer_try_to_cancel" },
	{ 0x900a8ca, "bpf_warn_invalid_xdp_action" },
	{ 0x1f7f4072, "unregister_netdev" },
	{ 0x6583134b, "xdp_convert_zc_to_xdp_frame" },
	{ 0xd88a689, "xdp_features_set_redirect_target" },
	{ 0x36ecfea4, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe8ec57f3, "hrtimer_init" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0x99ed1e51, "ptp_clock_index" },
	{ 0xbecb5163, "phy_attached_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0x84328d5e, "pcpu_hot" },
	{ 0x2f24a43e, "seq_lseek" },
	{ 0x88d1eef7, "page_pool_destroy" },
	{ 0x7a4402c9, "xdp_do_redirect" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc2bae54c, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x78299e61, "flow_rule_match_ipv4_addrs" },
	{ 0x86ca6808, "xdp_rxq_info_unreg_mem_model" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "phylink,pcs_xpcs,libphy");


MODULE_INFO(srcversion, "30033AD712CBD71928E4B37");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
