#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ppp_register_net_channel, "", "");
KSYMTAB_FUNC(ppp_register_channel, "", "");
KSYMTAB_FUNC(ppp_unregister_channel, "", "");
KSYMTAB_FUNC(ppp_channel_index, "", "");
KSYMTAB_FUNC(ppp_unit_number, "", "");
KSYMTAB_FUNC(ppp_dev_name, "", "");
KSYMTAB_FUNC(ppp_input, "", "");
KSYMTAB_FUNC(ppp_input_error, "", "");
KSYMTAB_FUNC(ppp_output_wakeup, "", "");
KSYMTAB_FUNC(ppp_register_compressor, "", "");
KSYMTAB_FUNC(ppp_unregister_compressor, "", "");

SYMBOL_CRC(ppp_register_net_channel, 0xfa56efa8, "");
SYMBOL_CRC(ppp_register_channel, 0x6118524f, "");
SYMBOL_CRC(ppp_unregister_channel, 0xfbfa6818, "");
SYMBOL_CRC(ppp_channel_index, 0xa1b122bf, "");
SYMBOL_CRC(ppp_unit_number, 0x3f3fb9e1, "");
SYMBOL_CRC(ppp_dev_name, 0x59e78b31, "");
SYMBOL_CRC(ppp_input, 0x93264469, "");
SYMBOL_CRC(ppp_input_error, 0xf03da7f3, "");
SYMBOL_CRC(ppp_output_wakeup, 0xaf06f34b, "");
SYMBOL_CRC(ppp_register_compressor, 0x6e5ceda5, "");
SYMBOL_CRC(ppp_unregister_compressor, 0xa3e3f294, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa24f23d8, "__request_module" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9af842d, "idr_get_next" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x92997ed8, "_printk" },
	{ 0xe618622b, "register_pernet_device" },
	{ 0x309ca22f, "__register_chrdev" },
	{ 0xc4c86d37, "class_register" },
	{ 0x16c7036e, "rtnl_link_register" },
	{ 0x69cd9cb7, "class_unregister" },
	{ 0x9f2a470c, "device_create" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x80958f96, "unregister_pernet_device" },
	{ 0xa94c22f8, "rtnl_link_unregister" },
	{ 0x1892a15e, "device_destroy" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xe039eef8, "bpf_prog_create" },
	{ 0x2202f751, "const_pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0xc1e6df4c, "skb_dequeue" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0x4a6a8ea4, "iov_iter_init" },
	{ 0x88690f41, "skb_copy_datagram_iter" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x469fdeb5, "netdev_name_in_use" },
	{ 0x32cabd87, "register_netdevice" },
	{ 0x5bea640c, "fget" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0xe88dae01, "fput" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa6068a69, "__put_net" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0xbe3a33dc, "__pskb_pull_tail" },
	{ 0x9c1ff5db, "__netdev_alloc_skb" },
	{ 0x89bffcdb, "skb_copy_bits" },
	{ 0xc9ddb1d5, "consume_skb" },
	{ 0xf36f42a9, "slhc_uncompress" },
	{ 0x88a616a7, "pskb_expand_head" },
	{ 0x74b8e674, "slhc_toss" },
	{ 0x43f9ebc8, "slhc_remember" },
	{ 0x49495d, "skb_push" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9e0d07c3, "skb_pull_rcsum" },
	{ 0xfe840bbf, "skb_scrub_packet" },
	{ 0xdd378dba, "netif_rx" },
	{ 0xd7ec08e8, "skb_pull" },
	{ 0x2fec3042, "skb_trim" },
	{ 0x7e88f70, "skb_dump" },
	{ 0xe2a13cc9, "netdev_printk" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xdcdc0040, "slhc_compress" },
	{ 0xe43f387f, "netif_tx_wake_queue" },
	{ 0xa566ac45, "skb_queue_head" },
	{ 0x84328d5e, "pcpu_hot" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x43a3a7a1, "alloc_netdev_mqs" },
	{ 0x15f90688, "slhc_init" },
	{ 0xeddd417, "down_read" },
	{ 0xbb53856b, "up_read" },
	{ 0xd221a728, "param_ops_bool" },
	{ 0x5d7d064b, "noop_llseek" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3aa2e7d2, "module_put" },
	{ 0x2a928918, "slhc_free" },
	{ 0x6ee0d8b2, "skb_queue_purge_reason" },
	{ 0x78a59a38, "bpf_prog_destroy" },
	{ 0xc72a2f8b, "sk_skb_reason_drop" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xf445d8e2, "free_netdev" },
	{ 0x87955d1a, "netdev_err" },
	{ 0x37a0cba, "kfree" },
	{ 0xb35638c2, "__alloc_skb" },
	{ 0xdffa3189, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x85092386, "skb_queue_tail" },
	{ 0x1f178dd3, "unregister_netdevice_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5c6d4fca, "ns_capable" },
	{ 0xdc81c7f3, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "slhc");


MODULE_INFO(srcversion, "28A0A79DCF0F3461916DC96");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
