#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbe3a33dc, "__pskb_pull_tail" },
	{ 0x49495d, "skb_push" },
	{ 0xbe995762, "skb_copy_expand" },
	{ 0x5ecaa402, "dev_kfree_skb_any_reason" },
	{ 0x3172c2aa, "eth_mac_addr" },
	{ 0x32628514, "usb_autopm_get_interface" },
	{ 0xde2370a5, "usb_autopm_put_interface" },
	{ 0x7d4934fa, "usbnet_read_cmd" },
	{ 0xaf9d5c68, "netif_carrier_off" },
	{ 0x9f5bcda3, "usbnet_read_cmd_nopm" },
	{ 0x4634e20b, "usbnet_resume" },
	{ 0x69110848, "usb_reset_configuration" },
	{ 0xafc63fcf, "usbnet_get_endpoints" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0x3f70e5a2, "dev_addr_mod" },
	{ 0x3427d048, "netif_set_tso_max_size" },
	{ 0x52456476, "usb_driver_set_configuration" },
	{ 0xc54b95b4, "usbnet_suspend" },
	{ 0x80df60b8, "netdev_info" },
	{ 0xe207f746, "netif_carrier_on" },
	{ 0x44d7c670, "usbnet_probe" },
	{ 0x5e44a9b1, "usbnet_disconnect" },
	{ 0x58e7fb6f, "usbnet_open" },
	{ 0x80baf5fa, "usbnet_stop" },
	{ 0x48b0e1bb, "usbnet_start_xmit" },
	{ 0xc717f3dd, "eth_validate_addr" },
	{ 0xc7f0e9c9, "usbnet_tx_timeout" },
	{ 0x9dc8d152, "dev_get_tstats64" },
	{ 0xbfded057, "usbnet_get_msglevel" },
	{ 0xd8551ea3, "usbnet_set_msglevel" },
	{ 0xb5371abc, "ethtool_op_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2fec3042, "skb_trim" },
	{ 0x9c1ff5db, "__netdev_alloc_skb" },
	{ 0xdffa3189, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd7ec08e8, "skb_pull" },
	{ 0x5d0a4c74, "usbnet_skb_return" },
	{ 0x5ce1c8e4, "usbnet_get_drvinfo" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2de7df9a, "usb_register_driver" },
	{ 0xd6bb03a0, "usb_deregister" },
	{ 0xeb41d1d1, "usbnet_defer_kevent" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x72716024, "usb_control_msg" },
	{ 0x37a0cba, "kfree" },
	{ 0x6f74521a, "__dynamic_netdev_dbg" },
	{ 0xc2bae54c, "netdev_warn" },
	{ 0x76dfc160, "usbnet_write_cmd_async" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbnet");

MODULE_ALIAS("usb:v2ECApC101d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v2ECApC101d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v0B95p2790d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v0B95p2790d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v0B95p2791d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v0B95p2791d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v20F4pE05Ad*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v20F4pE05Ad*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1C04p0015d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v1C04p0015d*dc*dsc*dp*ic02isc06ip00in*");

MODULE_INFO(srcversion, "172268A03866A3FB25A1900");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
