#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e2bdf4, "generic_handle_irq_safe" },
	{ 0xbf23b095, "netif_device_detach" },
	{ 0x952d01e6, "skb_tstamp_tx" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x19cea4ce, "usb_alloc_urb" },
	{ 0xb35638c2, "__alloc_skb" },
	{ 0x5ecaa402, "dev_kfree_skb_any_reason" },
	{ 0xd9a0e54, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x1f7f4072, "unregister_netdev" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xd738ca1b, "phy_unregister_fixup_for_uid" },
	{ 0xee2b8e90, "phy_disconnect" },
	{ 0x412ea31a, "usb_scuttle_anchored_urbs" },
	{ 0xf445d8e2, "free_netdev" },
	{ 0xc630da61, "usb_put_dev" },
	{ 0x25f5af08, "fixed_phy_unregister" },
	{ 0xdffa3189, "skb_put" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xd649f222, "usb_autopm_put_interface_async" },
	{ 0x96c1a873, "skb_unlink" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x47d2f70d, "usb_get_from_anchor" },
	{ 0xdec2c707, "phy_start" },
	{ 0xdc88e7d5, "napi_enable" },
	{ 0xd7ec08e8, "skb_pull" },
	{ 0xf4c91965, "napi_alloc_skb" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd2e4137f, "netif_tx_lock" },
	{ 0x2481cd68, "netif_tx_unlock" },
	{ 0x45bfb43, "usb_autopm_get_interface_async" },
	{ 0x40d24f3d, "napi_complete_done" },
	{ 0xe43f387f, "netif_tx_wake_queue" },
	{ 0x856b90a4, "usb_anchor_urb" },
	{ 0x5860c59b, "usb_get_dev" },
	{ 0x897297e7, "alloc_etherdev_mqs" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x3427d048, "netif_set_tso_max_size" },
	{ 0x59be1882, "netif_napi_add_weight" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xce74d2e4, "handle_simple_irq" },
	{ 0x467c810b, "irq_domain_create_simple" },
	{ 0x14c3e287, "irq_create_mapping_affinity" },
	{ 0x2234bea, "mdiobus_alloc_size" },
	{ 0xcdfdf7bd, "__mdiobus_register" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4a9f95b7, "phy_find_first" },
	{ 0xc7b2f222, "phy_connect_direct" },
	{ 0x26fb5d18, "phy_remove_link_mode" },
	{ 0x1aa11d22, "phy_support_eee" },
	{ 0xd08e92fe, "__genphy_config_aneg" },
	{ 0xdf19cdce, "register_netdev" },
	{ 0x3de33dd1, "pm_runtime_set_autosuspend_delay" },
	{ 0x6e8cebf, "phy_register_fixup_for_uid" },
	{ 0xdd464646, "fixed_phy_register" },
	{ 0x1f14b0a0, "_dev_err" },
	{ 0xb5dfbe08, "netif_device_attach" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xaf9d5c68, "netif_carrier_off" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x84328d5e, "pcpu_hot" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8f74bb73, "usb_clear_halt" },
	{ 0xc717f3dd, "eth_validate_addr" },
	{ 0x17518848, "phy_do_ioctl_running" },
	{ 0x16acbc6f, "phy_ethtool_nway_reset" },
	{ 0x250dd577, "ethtool_op_get_ts_info" },
	{ 0x23d78e37, "param_ops_int" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2de7df9a, "usb_register_driver" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0x72716024, "usb_control_msg" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc2bae54c, "netdev_warn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x3f70e5a2, "dev_addr_mod" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x87955d1a, "netdev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6f74521a, "__dynamic_netdev_dbg" },
	{ 0x8650af4a, "usb_get_urb" },
	{ 0xa7b93536, "usb_unlink_urb" },
	{ 0x29fa3b3a, "usb_free_urb" },
	{ 0x2202f751, "const_pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0xc1e6df4c, "skb_dequeue" },
	{ 0x85092386, "skb_queue_tail" },
	{ 0x6ee0d8b2, "skb_queue_purge_reason" },
	{ 0x32628514, "usb_autopm_get_interface" },
	{ 0xde2370a5, "usb_autopm_put_interface" },
	{ 0x3a7333af, "phy_ethtool_ksettings_set" },
	{ 0xdb5f7524, "mdiobus_read" },
	{ 0xea78ca5e, "mdiobus_write" },
	{ 0xd3427425, "phy_ethtool_ksettings_get" },
	{ 0x956845dd, "phy_ethtool_set_eee" },
	{ 0x3d98700, "phy_ethtool_get_eee" },
	{ 0xae601c92, "device_set_wakeup_enable" },
	{ 0x351f1471, "phy_ethtool_set_wol" },
	{ 0xa29b0b85, "eth_type_trans" },
	{ 0x4594808f, "napi_gro_receive" },
	{ 0xce11b1e1, "irq_set_chip_and_handler_name" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x92822ae5, "phy_print_status" },
	{ 0xcae2dc6e, "phy_read_mmd" },
	{ 0xf00c2f0d, "phy_write_mmd" },
	{ 0xd6bb03a0, "usb_deregister" },
	{ 0x89bffcdb, "skb_copy_bits" },
	{ 0xbe3a33dc, "__pskb_pull_tail" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x60874fd7, "mdiobus_unregister" },
	{ 0xef530489, "mdiobus_free" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x1ae537e9, "irq_domain_remove" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x54fce9b1, "genphy_read_status" },
	{ 0x201488e4, "napi_schedule_prep" },
	{ 0xe74ed3f2, "__napi_schedule" },
	{ 0xed63fcb, "eth_platform_get_mac_address" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x80df60b8, "netdev_info" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe051c1cf, "napi_disable" },
	{ 0x47c68d04, "phy_stop" },
	{ 0x398e3a6d, "usb_kill_urb" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xfb578fc5, "memset" },
	{ 0xeafb5635, "usb_submit_urb" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "usbcore,libphy,fixed_phy");

MODULE_ALIAS("usb:v0424p7800d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p7850d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p7801d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07C9p0012d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "BD7C8B065714563FA8A22E7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
