#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath10k_mac_tx_push_pending, "", "");
KSYMTAB_FUNC(ath10k_info, "", "");
KSYMTAB_FUNC(ath10k_print_driver_info, "", "");
KSYMTAB_FUNC(ath10k_err, "", "");
KSYMTAB_FUNC(ath10k_warn, "", "");
KSYMTAB_DATA(ath10k_debug_mask, "", "");
KSYMTAB_FUNC(ath10k_core_check_dt, "", "");
KSYMTAB_FUNC(ath10k_core_free_board_files, "", "");
KSYMTAB_FUNC(ath10k_core_fetch_board_file, "", "");
KSYMTAB_FUNC(ath10k_core_start_recovery, "", "");
KSYMTAB_FUNC(ath10k_core_napi_enable, "", "");
KSYMTAB_FUNC(ath10k_core_napi_sync_disable, "", "");
KSYMTAB_FUNC(ath10k_core_start, "", "");
KSYMTAB_FUNC(ath10k_core_stop, "", "");
KSYMTAB_FUNC(ath10k_core_register, "", "");
KSYMTAB_FUNC(ath10k_core_unregister, "", "");
KSYMTAB_FUNC(ath10k_core_create, "", "");
KSYMTAB_FUNC(ath10k_core_destroy, "", "");
KSYMTAB_FUNC(ath10k_htc_notify_tx_completion, "", "");
KSYMTAB_FUNC(ath10k_htc_tx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htc_process_trailer, "", "");
KSYMTAB_FUNC(ath10k_htc_rx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_t2h_msg_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_pktlog_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_hl_indication, "", "");
KSYMTAB_FUNC(ath10k_htt_txrx_compl_task, "", "");
KSYMTAB_FUNC(ath10k_htt_hif_tx_complete, "", "");
KSYMTAB_FUNC(ath10k_bmi_start, "", "");
KSYMTAB_FUNC(ath10k_bmi_read_memory, "", "");
KSYMTAB_FUNC(ath10k_coredump_get_mem_layout, "", "");
KSYMTAB_FUNC(ath10k_coredump_new, "", "");
KSYMTAB_FUNC(ath10k_ce_send_nolock, "", "");
KSYMTAB_FUNC(__ath10k_ce_send_revert, "", "");
KSYMTAB_FUNC(ath10k_ce_send, "", "");
KSYMTAB_FUNC(ath10k_ce_num_free_src_entries, "", "");
KSYMTAB_FUNC(__ath10k_ce_rx_num_free_bufs, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_update_write_idx, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_revoke_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_cancel_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service_any, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_init_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_deinit_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_free_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_dump_registers, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_rri, "", "");
KSYMTAB_FUNC(ath10k_ce_free_rri, "", "");

SYMBOL_CRC(ath10k_mac_tx_push_pending, 0x923a93ca, "");
SYMBOL_CRC(ath10k_info, 0xe0db0d1c, "");
SYMBOL_CRC(ath10k_print_driver_info, 0x619c2f03, "");
SYMBOL_CRC(ath10k_err, 0x2fd2022f, "");
SYMBOL_CRC(ath10k_warn, 0x95db698c, "");
SYMBOL_CRC(ath10k_debug_mask, 0x015e5db2, "");
SYMBOL_CRC(ath10k_core_check_dt, 0xa93bf943, "");
SYMBOL_CRC(ath10k_core_free_board_files, 0x5b7a76e0, "");
SYMBOL_CRC(ath10k_core_fetch_board_file, 0x0e50cadd, "");
SYMBOL_CRC(ath10k_core_start_recovery, 0x90cd3c86, "");
SYMBOL_CRC(ath10k_core_napi_enable, 0xa5842365, "");
SYMBOL_CRC(ath10k_core_napi_sync_disable, 0x5b178a3c, "");
SYMBOL_CRC(ath10k_core_start, 0x981b9077, "");
SYMBOL_CRC(ath10k_core_stop, 0x7b9ad271, "");
SYMBOL_CRC(ath10k_core_register, 0x110fe8cf, "");
SYMBOL_CRC(ath10k_core_unregister, 0x546bd1f4, "");
SYMBOL_CRC(ath10k_core_create, 0x690ee46e, "");
SYMBOL_CRC(ath10k_core_destroy, 0xa6cb9f38, "");
SYMBOL_CRC(ath10k_htc_notify_tx_completion, 0x809a3598, "");
SYMBOL_CRC(ath10k_htc_tx_completion_handler, 0xa731545a, "");
SYMBOL_CRC(ath10k_htc_process_trailer, 0x2ea8ba2e, "");
SYMBOL_CRC(ath10k_htc_rx_completion_handler, 0x98bc0240, "");
SYMBOL_CRC(ath10k_htt_t2h_msg_handler, 0xf62c850a, "");
SYMBOL_CRC(ath10k_htt_rx_pktlog_completion_handler, 0x2345f78f, "");
SYMBOL_CRC(ath10k_htt_rx_hl_indication, 0x92872cf0, "");
SYMBOL_CRC(ath10k_htt_txrx_compl_task, 0xfe5a8c09, "");
SYMBOL_CRC(ath10k_htt_hif_tx_complete, 0x8be48170, "");
SYMBOL_CRC(ath10k_bmi_start, 0x8c0973af, "");
SYMBOL_CRC(ath10k_bmi_read_memory, 0x84213edd, "");
SYMBOL_CRC(ath10k_coredump_get_mem_layout, 0x3e8b9dd4, "");
SYMBOL_CRC(ath10k_coredump_new, 0x0410f881, "");
SYMBOL_CRC(ath10k_ce_send_nolock, 0x0508187e, "");
SYMBOL_CRC(__ath10k_ce_send_revert, 0x9949d366, "");
SYMBOL_CRC(ath10k_ce_send, 0xd85e72df, "");
SYMBOL_CRC(ath10k_ce_num_free_src_entries, 0x0f48b534, "");
SYMBOL_CRC(__ath10k_ce_rx_num_free_bufs, 0x88e52b25, "");
SYMBOL_CRC(ath10k_ce_rx_update_write_idx, 0xb4cfb690, "");
SYMBOL_CRC(ath10k_ce_rx_post_buf, 0x6f43acc8, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next_nolock, 0x00651754, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next, 0xf3c3cdd7, "");
SYMBOL_CRC(ath10k_ce_revoke_recv_next, 0x28100bd5, "");
SYMBOL_CRC(ath10k_ce_completed_send_next_nolock, 0xa81f5030, "");
SYMBOL_CRC(ath10k_ce_cancel_send_next, 0xac61feca, "");
SYMBOL_CRC(ath10k_ce_completed_send_next, 0x2b923d71, "");
SYMBOL_CRC(ath10k_ce_per_engine_service, 0x3a2f5f73, "");
SYMBOL_CRC(ath10k_ce_per_engine_service_any, 0x716541cc, "");
SYMBOL_CRC(ath10k_ce_disable_interrupt, 0xaad1d93b, "");
SYMBOL_CRC(ath10k_ce_disable_interrupts, 0x52f87ac4, "");
SYMBOL_CRC(ath10k_ce_enable_interrupt, 0xc49a24c9, "");
SYMBOL_CRC(ath10k_ce_enable_interrupts, 0x7793e074, "");
SYMBOL_CRC(ath10k_ce_init_pipe, 0xf8b33275, "");
SYMBOL_CRC(ath10k_ce_deinit_pipe, 0x7590a4c0, "");
SYMBOL_CRC(ath10k_ce_free_pipe, 0x5e3fe4bc, "");
SYMBOL_CRC(ath10k_ce_dump_registers, 0xf7805c19, "");
SYMBOL_CRC(ath10k_ce_alloc_pipe, 0x39bc8da5, "");
SYMBOL_CRC(ath10k_ce_alloc_rri, 0x4fb95865, "");
SYMBOL_CRC(ath10k_ce_free_rri, 0x2a982b55, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x754d539c, "strlen" },
	{ 0xe051c1cf, "napi_disable" },
	{ 0x5ecaa402, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x9aab53ba, "__cfg80211_get_bss" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0x3e2de027, "ieee80211_csa_finish" },
	{ 0xa566ac45, "skb_queue_head" },
	{ 0x37b0020c, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xabb97e9e, "cpu_latency_qos_remove_request" },
	{ 0xc143a28c, "ieee80211_beacon_update_cntdwn" },
	{ 0x35c772e6, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xae601c92, "device_set_wakeup_enable" },
	{ 0x98c178d2, "completion_done" },
	{ 0xa48c64cc, "ieee80211_connection_loss" },
	{ 0xfb85869f, "ieee80211_manage_rx_ba_offl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x1b51ccc5, "is_acpi_device_node" },
	{ 0xe377b02a, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6a3f74c1, "__ieee80211_schedule_txq" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x6e9e60f2, "ieee80211_txq_get_depth" },
	{ 0xa6534108, "param_ops_uint" },
	{ 0x39c40347, "param_ops_ulong" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x7fe9ca14, "devm_kmalloc" },
	{ 0xdffa3189, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e79c0d7, "firmware_request_nowarn" },
	{ 0xc9ddb1d5, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x7cca48ad, "ieee80211_txq_may_transmit" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb7f85662, "device_get_mac_address" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xc1e6df4c, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x2201a71d, "ieee80211_free_hw" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0x36ecfea4, "dma_unmap_page_attrs" },
	{ 0xd264d7f5, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x391f5ddd, "ieee80211_iterate_stations_atomic" },
	{ 0x2859f8dc, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x30ab8cab, "ieee80211_beacon_loss" },
	{ 0x4dbd8b07, "cpu_latency_qos_add_request" },
	{ 0xcc342b7, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x84328d5e, "pcpu_hot" },
	{ 0x2206abcf, "thermal_cooling_device_register" },
	{ 0x7a904abb, "led_classdev_unregister" },
	{ 0xf629c7c8, "ieee80211_register_hw" },
	{ 0x69ab5a5, "ieee80211_restart_hw" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xac8974a, "ieee80211_wake_queue" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x74a44690, "ieee80211_hw_restart_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x88a616a7, "pskb_expand_head" },
	{ 0x6ee0d8b2, "skb_queue_purge_reason" },
	{ 0x7d362de6, "dev_driver_string" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x41d7cafa, "ieee80211_find_sta" },
	{ 0xbb4b1b45, "dma_map_page_attrs" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x274ccda4, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xc6185603, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x13014afc, "cfg80211_put_bss" },
	{ 0x9af842d, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd18504ae, "_dev_info" },
	{ 0xa18f224e, "ath_regd_find_country_by_name" },
	{ 0x85092386, "skb_queue_tail" },
	{ 0xca0f09af, "ieee80211_get_channel_khz" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x253d6985, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xd1a4b09a, "wiphy_to_ieee80211_hw" },
	{ 0xe209b274, "ath_reg_notifier_apply" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x680e3d45, "ieee80211_queue_delayed_work" },
	{ 0x4f599908, "ieee80211_proberesp_get" },
	{ 0x1f14b0a0, "_dev_err" },
	{ 0xd7ec08e8, "skb_pull" },
	{ 0x31c0f60e, "sysfs_remove_link" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9fd29a0, "init_uts_ns" },
	{ 0xc72a2f8b, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x56682c7d, "ieee80211_find_sta_by_ifaddr" },
	{ 0x209c1cfc, "ieee80211_next_txq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1b876bf4, "ieee80211_remain_on_channel_expired" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x49495d, "skb_push" },
	{ 0x68b5b362, "dma_alloc_attrs" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0xdc88e7d5, "napi_enable" },
	{ 0x87634664, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x2a5d7fb9, "ieee80211_wake_queues" },
	{ 0xf445d8e2, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf043ab88, "ieee80211_report_low_ack" },
	{ 0x8eefc48b, "ieee80211_beacon_get_template" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x974d9643, "ieee80211_free_txskb" },
	{ 0x77436297, "led_classdev_register_ext" },
	{ 0xc298e44d, "dev_coredumpv" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x7778dccf, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x154032ee, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfe1df526, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0x8587d3ad, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x8aa93393, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x6dd4b892, "devm_nvmem_cell_get" },
	{ 0xa8342e09, "ieee80211_stop_queue" },
	{ 0x9c1ff5db, "__netdev_alloc_skb" },
	{ 0xb585f2c8, "ieee80211_ready_on_channel" },
	{ 0x88ebed04, "ieee80211_stop_queues" },
	{ 0x2fec3042, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8184bd8d, "skb_realloc_headroom" },
	{ 0xaf025a72, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x3abd1692, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4e986a31, "alloc_netdev_dummy" },
	{ 0xd31d799c, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x7071dd40, "ieee80211_scan_completed" },
	{ 0xa63a0203, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd221a728, "param_ops_bool" },
	{ 0xf07d5623, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x86d3d0c1, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5101f6bf, "ath_regd_init" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xf2cf5c92, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x25c3e11a, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x2cc3b9f0, "ieee80211_tdls_oper_request" },
	{ 0xa6a6ad5d, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x71c8d014, "thermal_cooling_device_unregister" },
	{ 0xf9c32f5e, "ieee80211_tx_rate_update" },
	{ 0x71a93024, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211,ath");


MODULE_INFO(srcversion, "3F5A4D72864CB925DFFBBB0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
