#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_connac_mcu_start_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_patch_sem_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_start_patch, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_init_download, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_channel_domain, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_mac_enable, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_vif_ps, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_rts_thresh, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_beacon_loss_iter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_add_nested_tlv, "_gpl", "");
KSYMTAB_FUNC(__mt76_connac_mcu_alloc_sta_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_alloc_wtbl_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_omac_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_basic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_uapsd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_hdr_trans_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_update_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_update_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_generic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_he_tlv_v2, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode_v2, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_smps_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_ht_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_cmd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_ba_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_add_dev, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_ba_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_wed_update, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_ba, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode_ext, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_he_phy_cap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_eht_phy_cap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_set_chctx, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_add_bss, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_cancel_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sched_scan_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sched_scan_enable, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_chip_config, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_deep_sleep, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_sta_state_dp, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_coredump_event, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_ch_power, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_rate_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_update_arp_filter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_p2p_oppps, "_gpl", "");
KSYMTAB_DATA(mt76_connac_wowlan_support, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_update_gtk_rekey, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_gtk_rekey, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_suspend_mode, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_wow_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_hif_suspend, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_suspend_iter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_reg_rr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_reg_wr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_add_key, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_ext_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_basic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_pm, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_rdd_cmd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_load_ram, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_load_patch, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mcu_fill_message, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_gen_ppe_thresh, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_wake, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_power_save_sched, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_free_pending_tx_skbs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_dequeue_skbs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_write_hw_txp, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_txp_skb_unmap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_init_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_tx_rate_val, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_fill_txs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_add_txs_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_decode_he_radiotap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_reverse_frag0_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_fill_rx_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_tx_check_aggr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_txwi_free, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt76_connac3_mac_decode_he_radiotap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac3_mac_decode_eht_radiotap, "_gpl", "");

SYMBOL_CRC(mt76_connac_mcu_start_firmware, 0xb6e5771b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_patch_sem_ctrl, 0x546e7c4e, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_start_patch, 0x37e0fcfe, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_init_download, 0xbb4d97c8, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_channel_domain, 0x38c29356, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_mac_enable, 0x7d87fef7, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_vif_ps, 0x325e70bd, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rts_thresh, 0x38a8b33b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_beacon_loss_iter, 0xea9c3418, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_nested_tlv, 0x1d293971, "_gpl");
SYMBOL_CRC(__mt76_connac_mcu_alloc_sta_req, 0xc49d9931, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_alloc_wtbl_req, 0xd207f90b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_omac_tlv, 0x08586c78, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_basic_tlv, 0x7ad6b92b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_uapsd, 0x78425c45, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_hdr_trans_tlv, 0xd10ffcd8, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_update_hdr_trans, 0x8a29a238, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_update_hdr_trans, 0x0c4284e6, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_generic_tlv, 0xd2c60f38, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_he_tlv_v2, 0x7419631e, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode_v2, 0x65f6d577, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_tlv, 0x34808101, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_smps_tlv, 0x2b7c5ae0, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ht_tlv, 0x966cb8d5, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_cmd, 0x3aacf254, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ba_tlv, 0x6c17debf, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_dev, 0xadcc123c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba_tlv, 0x99b9f287, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_wed_update, 0x1c8918cc, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba, 0x885878cf, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode, 0x6f4500f5, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode_ext, 0x0af7d7f6, "_gpl");
SYMBOL_CRC(mt76_connac_get_he_phy_cap, 0x6342a741, "_gpl");
SYMBOL_CRC(mt76_connac_get_eht_phy_cap, 0x001daa27, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_set_chctx, 0xee879148, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_bss, 0xa1d7eaf1, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_hw_scan, 0x380efcc0, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_cancel_hw_scan, 0xfd966c8c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_req, 0x2bd6b749, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_enable, 0x3f28d36f, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_chip_config, 0x5b7cd079, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_deep_sleep, 0x34e2b7d5, "_gpl");
SYMBOL_CRC(mt76_connac_sta_state_dp, 0xe779dad6, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_coredump_event, 0xfba82a1e, "_gpl");
SYMBOL_CRC(mt76_connac_get_ch_power, 0x89a9f2d1, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rate_txpower, 0x043380d9, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_arp_filter, 0xafe4a14f, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_p2p_oppps, 0x92846fc8, "_gpl");
SYMBOL_CRC(mt76_connac_wowlan_support, 0x908ca40c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_gtk_rekey, 0xd7440ba0, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_gtk_rekey, 0x61758bc3, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_suspend_mode, 0x8a1eb1f5, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_wow_ctrl, 0x90779bb1, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_hif_suspend, 0x93ccbdeb, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_suspend_iter, 0x4c85da29, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_rr, 0x07ac2a4d, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_wr, 0x11fe4a25, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_key, 0x5dded9b4, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_ext_tlv, 0x3eac019c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_basic_tlv, 0xf3715a2a, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_pm, 0x10725a02, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_restart, 0xa4868a14, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_rdd_cmd, 0x1d2ddf4a, "_gpl");
SYMBOL_CRC(mt76_connac2_load_ram, 0xa82a607f, "_gpl");
SYMBOL_CRC(mt76_connac2_load_patch, 0x098fa87c, "_gpl");
SYMBOL_CRC(mt76_connac2_mcu_fill_message, 0x2ab45ee2, "_gpl");
SYMBOL_CRC(mt76_connac_gen_ppe_thresh, 0x0a25337f, "_gpl");
SYMBOL_CRC(mt76_connac_pm_wake, 0x9dda97a3, "_gpl");
SYMBOL_CRC(mt76_connac_power_save_sched, 0x99edba1a, "_gpl");
SYMBOL_CRC(mt76_connac_free_pending_tx_skbs, 0xf5aadaae, "_gpl");
SYMBOL_CRC(mt76_connac_pm_queue_skb, 0xece58b9f, "_gpl");
SYMBOL_CRC(mt76_connac_pm_dequeue_skbs, 0xcb85e2e0, "_gpl");
SYMBOL_CRC(mt76_connac_tx_complete_skb, 0x915279b8, "_gpl");
SYMBOL_CRC(mt76_connac_write_hw_txp, 0x7c5ed8c5, "_gpl");
SYMBOL_CRC(mt76_connac_txp_skb_unmap, 0x218d071c, "_gpl");
SYMBOL_CRC(mt76_connac_init_tx_queues, 0x8903c16e, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_tx_rate_val, 0x37c5caff, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_write_txwi, 0xb108500f, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_txs, 0x40d70a59, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_add_txs_skb, 0x60a89001, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_decode_he_radiotap, 0x79c42cb2, "_gpl");
SYMBOL_CRC(mt76_connac2_reverse_frag0_hdr_trans, 0x9d55e51f, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_rx_rate, 0xef1ac7dc, "_gpl");
SYMBOL_CRC(mt76_connac2_tx_check_aggr, 0x88b3c9ea, "_gpl");
SYMBOL_CRC(mt76_connac2_txwi_free, 0x33146ec6, "_gpl");
SYMBOL_CRC(mt76_connac2_tx_token_put, 0xeaede223, "_gpl");
SYMBOL_CRC(mt76_connac3_mac_decode_he_radiotap, 0x00cff474, "_gpl");
SYMBOL_CRC(mt76_connac3_mac_decode_eht_radiotap, 0xe414209e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7fe9ca14, "devm_kmalloc" },
	{ 0xdffa3189, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc9ddb1d5, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x72aecd5, "mt76_tx_status_skb_get" },
	{ 0x35cb79c4, "mt76_tx_status_lock" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x36ecfea4, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf089d0ae, "request_firmware" },
	{ 0x616fc5f1, "mt76_get_rate" },
	{ 0x52d5148, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x30ab8cab, "ieee80211_beacon_loss" },
	{ 0x59b220dd, "__mt76_tx_complete_skb" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd53f2321, "ieee80211_get_hdrlen_from_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x59c540be, "wake_up_process" },
	{ 0x41d7cafa, "ieee80211_find_sta" },
	{ 0x3a1391c9, "mt76_calculate_default_rate" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x628f2196, "mt76_tx" },
	{ 0x9af842d, "idr_get_next" },
	{ 0xd18504ae, "_dev_info" },
	{ 0x18462c19, "mt76_init_queue" },
	{ 0xe13ce40, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfd3cf8b6, "devm_kfree" },
	{ 0x1f14b0a0, "_dev_err" },
	{ 0xd7ec08e8, "skb_pull" },
	{ 0xdf6a30b7, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x49495d, "skb_push" },
	{ 0x2a5d7fb9, "ieee80211_wake_queues" },
	{ 0xced9b021, "mt76_mcu_send_and_get_msg" },
	{ 0x3a42660b, "ieee80211_iter_keys_rcu" },
	{ 0xc180a1e7, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xe0afe0aa, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x88ebed04, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb0870c7a, "mt76_get_rate_power_limits" },
	{ 0x7071dd40, "ieee80211_scan_completed" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x69506bb4, "mt76_get_sar_power" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x32bb9bbc, "mt76_put_txwi" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x5ecaa402, "dev_kfree_skb_any_reason" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x64212f08, "mt76_tx_status_unlock" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "DA2461748C406A942A88485");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
