#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__mt76u_vendor_request, "_gpl", "");
KSYMTAB_FUNC(mt76u_vendor_request, "_gpl", "");
KSYMTAB_FUNC(___mt76u_rr, "_gpl", "");
KSYMTAB_FUNC(___mt76u_wr, "_gpl", "");
KSYMTAB_FUNC(mt76u_read_copy, "_gpl", "");
KSYMTAB_FUNC(mt76u_single_wr, "_gpl", "");
KSYMTAB_FUNC(mt76u_alloc_mcu_queue, "_gpl", "");
KSYMTAB_FUNC(mt76u_stop_rx, "_gpl", "");
KSYMTAB_FUNC(mt76u_resume_rx, "_gpl", "");
KSYMTAB_FUNC(mt76u_stop_tx, "_gpl", "");
KSYMTAB_FUNC(mt76u_queues_deinit, "_gpl", "");
KSYMTAB_FUNC(mt76u_alloc_queues, "_gpl", "");
KSYMTAB_FUNC(__mt76u_init, "_gpl", "");
KSYMTAB_FUNC(mt76u_init, "_gpl", "");

SYMBOL_CRC(__mt76u_vendor_request, 0xd4348ad4, "_gpl");
SYMBOL_CRC(mt76u_vendor_request, 0x89d87d6d, "_gpl");
SYMBOL_CRC(___mt76u_rr, 0x8a75891f, "_gpl");
SYMBOL_CRC(___mt76u_wr, 0x522db03c, "_gpl");
SYMBOL_CRC(mt76u_read_copy, 0x2642e4c3, "_gpl");
SYMBOL_CRC(mt76u_single_wr, 0xba1a7046, "_gpl");
SYMBOL_CRC(mt76u_alloc_mcu_queue, 0x3a216068, "_gpl");
SYMBOL_CRC(mt76u_stop_rx, 0xf43853ff, "_gpl");
SYMBOL_CRC(mt76u_resume_rx, 0xfa9b3163, "_gpl");
SYMBOL_CRC(mt76u_stop_tx, 0xd30c79b9, "_gpl");
SYMBOL_CRC(mt76u_queues_deinit, 0x7c88e862, "_gpl");
SYMBOL_CRC(mt76u_alloc_queues, 0xc3399935, "_gpl");
SYMBOL_CRC(__mt76u_init, 0x92ff2725, "_gpl");
SYMBOL_CRC(mt76u_init, 0xc8566150, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x84328d5e, "pcpu_hot" },
	{ 0x88d1eef7, "page_pool_destroy" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd8562739, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x18d60f1f, "kthread_park" },
	{ 0x13238533, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc139b306, "mt76_tx_status_check" },
	{ 0x59c540be, "wake_up_process" },
	{ 0x330f6a99, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xb35638c2, "__alloc_skb" },
	{ 0xeafb5635, "usb_submit_urb" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2f4bf0a9, "kthread_unpark" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc3b19f6c, "build_skb" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc78d12cf, "perf_trace_run_bpf_submit" },
	{ 0x1f14b0a0, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x72716024, "usb_control_msg" },
	{ 0xab2c186b, "usb_poison_urb" },
	{ 0x7316d7fa, "trace_event_reg" },
	{ 0x37ec12d8, "usb_unpoison_urb" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3234863a, "page_pool_put_unrefed_netmem" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x61a80b26, "kthread_stop" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc68f319, "mt76_queue_tx_complete" },
	{ 0xc7c0d270, "kthread_create_on_node" },
	{ 0xbb3eca2c, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x29d2dc14, "mt76_rx_poll_complete" },
	{ 0x4228485a, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xd221a728, "param_ops_bool" },
	{ 0x398e3a6d, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0xf20119fe, "usb_init_urb" },
	{ 0xa982a8c5, "skb_add_rx_frag_netmem" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x46345ccd, "mt76_create_page_pool" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x1f031bc3, "skb_to_sgvec" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x29fa3b3a, "usb_free_urb" },
	{ 0x7fe9ca14, "devm_kmalloc" },
	{ 0xdffa3189, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd7ff9019, "page_pool_alloc_frag" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6f2feb4d, "trace_raw_output_prep" },
	{ 0xf19b6fc3, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xa2b617a4, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf3c1065c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdcdc0f16, "mt76_has_tx_pending" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "mt76,usbcore");


MODULE_INFO(srcversion, "135D9876FC9445087BF5174");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
