#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x0_chip_onoff, "_gpl", "");
KSYMTAB_FUNC(mt76x0_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x0_init_hardware, "_gpl", "");
KSYMTAB_FUNC(mt76x0_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x0_config, "_gpl", "");
KSYMTAB_FUNC(mt76x0_phy_calibrate, "_gpl", "");

SYMBOL_CRC(mt76x0_chip_onoff, 0xa90b50bf, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0xe3729a99, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0xd71c7179, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0xaa1c3b5f, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0xebf206be, "_gpl");
SYMBOL_CRC(mt76x0_config, 0x2e66f7f3, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0xa43e9c53, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4a0464d5, "mt76x02_mac_shared_key_setup" },
	{ 0x75ba1cbc, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdc2ab338, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd18504ae, "_dev_info" },
	{ 0xb34045b1, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x680e3d45, "ieee80211_queue_delayed_work" },
	{ 0xd6d69026, "mt76_eeprom_init" },
	{ 0x1f14b0a0, "_dev_err" },
	{ 0x6df95831, "mt76x02_mac_setaddr" },
	{ 0x6dbc86d6, "mt76_register_device" },
	{ 0x72621775, "mt76x02_phy_set_bw" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x123b3704, "mt76x02_phy_set_band" },
	{ 0xc92f1fa, "mt76_set_channel" },
	{ 0x988afda3, "mt76x02_init_device" },
	{ 0x2a5d7fb9, "ieee80211_wake_queues" },
	{ 0xfc25833f, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xc6b9e9a, "mt76x02_phy_set_rxpath" },
	{ 0x22ef6b74, "mt76x02_edcca_init" },
	{ 0xb2f89f2e, "mt76_eeprom_override" },
	{ 0xd898eb02, "mt76x02_get_lna_gain" },
	{ 0x34c72bd5, "mt76x02_init_debugfs" },
	{ 0x8587d3ad, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x88ebed04, "ieee80211_stop_queues" },
	{ 0x24ed7d80, "mt76x02_mac_cc_reset" },
	{ 0x9d98b5eb, "mt76x02_init_agc_gain" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2942a3da, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56ea841, "____mt76_poll_msec" },
	{ 0x637cefe0, "mt76x02_dfs_init_params" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2787eb0d, "mt76x02_config_mac_addr_list" },
	{ 0x69506bb4, "mt76_get_sar_power" },
	{ 0x6b44d29, "mt76x02_eeprom_copy" },
	{ 0xd1654135, "mt76x02_mcu_calibrate" },
	{ 0xed6a0e80, "mt76x02_mcu_function_select" },
	{ 0xb7c11ec2, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0xf0330b6e, "mt76x02_mac_wcid_setup" },
	{ 0x28714263, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x43669a81, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x203ec5b5, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa7d68e35, "mt76_init_sar_power" },
	{ 0xe5d7743d, "mt76x02_phy_adjust_vga_gain" },
	{ 0x76189f60, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x255a7423, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "CE2DD35AF09A8753CBEF0D2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
