#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7734ffd1, "efuse_read_1byte" },
	{ 0x95cf0b02, "rtl_process_phyinfo" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x18926cb8, "rtl_cam_reset_all_entry" },
	{ 0x8f8b4b16, "rtl92c_phy_query_bb_reg" },
	{ 0x4dd2a5b4, "__pci_register_driver" },
	{ 0xd561075f, "rtl92ce_phy_set_rf_on" },
	{ 0x5c8df017, "rtl_cam_empty_entry" },
	{ 0x5ed608f3, "rtl92c_set_p2p_ps_offload_cmd" },
	{ 0xf2b95a48, "rtl_cam_del_entry" },
	{ 0x37a0cba, "kfree" },
	{ 0xc0604a5f, "rtl92c_phy_rf_config" },
	{ 0xf4978ff3, "rtl_cam_mark_invalid" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x953a70e, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7d362de6, "dev_driver_string" },
	{ 0x8b4bf1b1, "_rtl_dbg_print" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x41d7cafa, "ieee80211_find_sta" },
	{ 0xbb4b1b45, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x24151eb0, "rtl92c_phy_set_io_cmd" },
	{ 0x9c74c38e, "_rtl92c_store_pwrindex_diffrate_offset" },
	{ 0x5137e522, "rtl_rfreg_delay" },
	{ 0xff9b9e94, "rtl_pci_disconnect" },
	{ 0xd0e80731, "rtl92c_download_fw" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x69b79f5c, "rtl92c_set_fw_joinbss_report_cmd" },
	{ 0xa0e882f8, "rtlwifi_rate_mapping" },
	{ 0xf11dea34, "rtl_pci_suspend" },
	{ 0x40d79f80, "request_firmware_nowait" },
	{ 0x5fbcd20b, "_rtl92c_phy_set_rf_sleep" },
	{ 0xcaf176d0, "rtl_signal_scale_mapping" },
	{ 0xf7ba9dcb, "_rtl_dbg_print_data" },
	{ 0x8353c722, "_rtl92c_phy_fw_rf_serial_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2921a4d4, "rtl_btc_status_false" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xdd7d9f34, "rtl92c_set_fw_pwrmode_cmd" },
	{ 0xa2064bfa, "rtl92c_dm_rf_saving" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa3ea320c, "rtl92c_firmware_selfreset" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x9d32f87a, "rtl_get_hwinfo" },
	{ 0xd3807013, "rtl_ps_enable_nic" },
	{ 0x1128dcf3, "rtl_pci_resume" },
	{ 0x17c2209b, "rtl92c_phy_set_bb_reg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1c7499b5, "rtl92c_dm_init" },
	{ 0xf68b07e2, "rtl92c_phy_iq_calibrate" },
	{ 0x86ba2f69, "rtl92c_dm_init_edca_turbo" },
	{ 0x568f1852, "rtl_phy_scan_operation_backup" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xed7c8cf2, "rtl_evm_db_to_percentage" },
	{ 0xe425545a, "pv_ops" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x999e8297, "vfree" },
	{ 0x6d1c8b0b, "rtl_cam_add_one_entry" },
	{ 0xd221a728, "param_ops_bool" },
	{ 0x30a956d7, "rtl_query_rxpwrpercentage" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x25e63fe9, "rtl92c_phy_lc_calibrate" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x4f82f25c, "rtl92c_phy_set_bw_mode" },
	{ 0x33c14fcd, "_rtl92c_phy_rf_serial_read" },
	{ 0x5d1f39a7, "rtl_get_tcb_desc" },
	{ 0xa08a1f46, "_rtl92c_phy_rf_serial_write" },
	{ 0x2273efb7, "_rtl92c_phy_init_bb_rf_register_definition" },
	{ 0x30beac, "rtl92c_dm_watchdog" },
	{ 0x33be499c, "rtl_ps_disable_nic" },
	{ 0x868f6d0, "rtl92c_dm_check_txpower_tracking" },
	{ 0x62d58f19, "rtl92c_set_fw_rsvdpagepkt" },
	{ 0x2c9fcae8, "rtl92c_phy_set_txpower_level" },
	{ 0x23d78e37, "param_ops_int" },
	{ 0x96c97666, "_rtl92c_phy_fw_rf_serial_read" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x90dcaeae, "rtl92c_phy_set_rfpath_switch" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xdbdecaaf, "rtl_cam_get_free_entry" },
	{ 0x3c1cbd39, "rtl_pci_probe" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0x8ea60059, "rtl_fw_cb" },
	{ 0x1f358426, "rtl_cam_delete_one_entry" },
	{ 0x4e18208d, "param_ops_ullong" },
	{ 0x1b945315, "rtl_addr_delay" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7336543, "rtl92c_phy_sw_chnl" },
	{ 0xe540d65e, "rtl92c_fill_h2c_cmd" },
	{ 0xbe751ca9, "_rtl92c_phy_bb8192c_config_parafile" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "rtlwifi,rtl8192c-common,mac80211,rtl_pci");

MODULE_ALIAS("pci:v000010ECd00008191sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008178sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008177sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00008176sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "904C7E06C927070C779446F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
