#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc17a2586, "blk_rq_count_integrity_sg" },
	{ 0xf7f5cfb9, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbb4b1b45, "dma_map_page_attrs" },
	{ 0x7d6b1153, "nvme_host_path_error" },
	{ 0x92997ed8, "_printk" },
	{ 0xc43a7708, "nvme_remove_io_tag_set" },
	{ 0xf808e63e, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd308995a, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc829f39b, "nvme_mpath_start_request" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x18aefc6d, "nvmf_unregister_transport" },
	{ 0x8acb4b75, "put_device" },
	{ 0xca2f7d58, "nvme_change_ctrl_state" },
	{ 0x901def42, "nvme_cancel_tagset" },
	{ 0x711ccb01, "rdma_resolve_route" },
	{ 0xd18504ae, "_dev_info" },
	{ 0xf5748604, "nvme_init_ctrl" },
	{ 0x4876e2db, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x2a46b277, "nvme_alloc_io_tag_set" },
	{ 0x5132bc3c, "rdma_create_qp" },
	{ 0x74e5b864, "nvme_fail_nonready_command" },
	{ 0xfbc3c9e8, "ib_map_mr_sg" },
	{ 0x9ba70d2, "__dma_sync_single_for_cpu" },
	{ 0x1f14b0a0, "_dev_err" },
	{ 0x14d860af, "init_net" },
	{ 0xbe0101fb, "ib_cq_pool_put" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x2e25f907, "blk_sync_queue" },
	{ 0x265d61c0, "__ib_alloc_cq" },
	{ 0xb84b675a, "__blk_rq_map_sg" },
	{ 0x1c320940, "nvmf_map_queues" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0x8e91e23, "nvmf_reg_read64" },
	{ 0xb665a61c, "inet_pton_with_scope" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xab2b834c, "rdma_destroy_qp" },
	{ 0xfd3d3c0, "ib_check_mr_status" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0x53930e79, "nvmf_connect_admin_queue" },
	{ 0x241e11b1, "nvmf_ip_options_match" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x813cf212, "nvme_io_timeout" },
	{ 0xa83e7db4, "ib_destroy_qp_user" },
	{ 0xe621c23f, "nvme_enable_ctrl" },
	{ 0xa48f849b, "nvme_unquiesce_admin_queue" },
	{ 0x8587d3ad, "_dev_warn" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x436a9bc4, "ib_cq_pool_get" },
	{ 0x674f818c, "rdma_connect_locked" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x6ff0c891, "nvme_unquiesce_io_queues" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0x8fc57158, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf648b989, "nvmf_reg_write32" },
	{ 0xb8d3809b, "blk_mq_complete_request" },
	{ 0x9dd239e9, "ib_dma_virt_map_sg" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x5ca49421, "ib_free_cq" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd221a728, "param_ops_bool" },
	{ 0xb2cec75a, "rdma_destroy_id" },
	{ 0x9e71c5c6, "nvmf_should_reconnect" },
	{ 0xf07d5623, "__dma_sync_single_for_device" },
	{ 0x9f8b5c9d, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x3fbaae6a, "blk_rq_map_integrity_sg" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0xcfee8a1d, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3310d51c, "ib_mr_pool_get" },
	{ 0xad15de54, "ib_mr_pool_put" },
	{ 0xf4ac05d9, "nvmf_register_transport" },
	{ 0x9d8b2ea3, "blk_mq_start_request" },
	{ 0x5606aeff, "nvme_quiesce_io_queues" },
	{ 0x8fb92515, "nvme_unfreeze" },
	{ 0x75b72b01, "nvme_stop_ctrl" },
	{ 0x19fc62ca, "nvme_auth_stop" },
	{ 0x7cfa57bf, "ib_drain_qp" },
	{ 0x852dd4c5, "ib_dealloc_pd_user" },
	{ 0x2e3d0597, "dma_unmap_sg_attrs" },
	{ 0x113d3d1a, "rdma_consumer_reject_data" },
	{ 0x451dcbba, "nvme_init_ctrl_finish" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0xfb203f29, "nvme_quiesce_admin_queue" },
	{ 0xf867a841, "__nvme_check_ready" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0xa38ab2cb, "dma_map_sg_attrs" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x96c193b9, "nvme_add_ctrl" },
	{ 0xd03d939b, "nvme_remove_admin_tag_set" },
	{ 0xc7b6725a, "nvme_sync_io_queues" },
	{ 0xe0a9f4cc, "ib_mr_pool_destroy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x5167c5a3, "ib_unregister_client" },
	{ 0xf34abd4f, "nvme_uninit_ctrl" },
	{ 0x99f411b8, "nvme_complete_rq" },
	{ 0x5aded04c, "rdma_reject_msg" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x1be91f0, "nvme_wait_freeze_timeout" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6e316c9d, "nvme_cancel_admin_tagset" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x57875f48, "nvmf_free_options" },
	{ 0x2c485971, "nvmf_subsystem_reset" },
	{ 0x7d26c386, "__ib_alloc_pd" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xf39f1344, "nvme_stop_keep_alive" },
	{ 0x964f5ebb, "blk_mq_complete_request_remote" },
	{ 0x36ecfea4, "dma_unmap_page_attrs" },
	{ 0x1bfa5bd1, "nvme_setup_cmd" },
	{ 0xb0b879f2, "nvme_start_freeze" },
	{ 0xbe439835, "rdma_resolve_addr" },
	{ 0x7db9ebba, "nvme_start_ctrl" },
	{ 0x145e28d7, "rdma_set_service_type" },
	{ 0x66d7bec1, "ib_map_mr_sg_pi" },
	{ 0x2f9911bf, "nvme_alloc_admin_tag_set" },
	{ 0xebf214fd, "nvmf_connect_io_queue" },
	{ 0x37a0cba, "kfree" },
	{ 0xf10456f6, "ib_mr_pool_init" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0xb31665b1, "ib_process_cq_direct" },
	{ 0x64b62862, "nvme_wq" },
	{ 0xe051c07, "nvmf_reg_read32" },
	{ 0xfaa5b38f, "nvme_delete_ctrl" },
	{ 0xf6ed3334, "ib_event_msg" },
	{ 0x255a7423, "__dynamic_dev_dbg" },
	{ 0x9cb18bfa, "nvme_disable_ctrl" },
	{ 0x8c859126, "nvme_should_fail" },
	{ 0x6c8ea9da, "rdma_disconnect" },
	{ 0x8f621a05, "nvmf_set_io_queues" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7d362de6, "dev_driver_string" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "nvme-fabrics,nvme-core,rdma_cm,ib_core");


MODULE_INFO(srcversion, "ABEAE861AF9F859EAE12740");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
