#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rio_local_get_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_query_mport, "", "");
KSYMTAB_FUNC(rio_alloc_net, "_gpl", "");
KSYMTAB_FUNC(rio_add_net, "_gpl", "");
KSYMTAB_FUNC(rio_free_net, "_gpl", "");
KSYMTAB_FUNC(rio_local_set_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_add_device, "_gpl", "");
KSYMTAB_FUNC(rio_del_device, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_add_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_del_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_pw_enable, "_gpl", "");
KSYMTAB_FUNC(rio_map_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_map_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_physefb, "_gpl", "");
KSYMTAB_FUNC(rio_get_comptag, "_gpl", "");
KSYMTAB_FUNC(rio_set_port_lockout, "_gpl", "");
KSYMTAB_FUNC(rio_enable_rx_tx_port, "_gpl", "");
KSYMTAB_FUNC(rio_mport_chk_dev_access, "_gpl", "");
KSYMTAB_FUNC(rio_inb_pwrite_handler, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_efb, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_feature, "_gpl", "");
KSYMTAB_FUNC(rio_lock_device, "_gpl", "");
KSYMTAB_FUNC(rio_unlock_device, "_gpl", "");
KSYMTAB_FUNC(rio_route_add_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_get_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_clr_table, "_gpl", "");
KSYMTAB_FUNC(rio_request_mport_dma, "_gpl", "");
KSYMTAB_FUNC(rio_request_dma, "_gpl", "");
KSYMTAB_FUNC(rio_release_dma, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_xfer, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_slave_sg, "_gpl", "");
KSYMTAB_FUNC(rio_register_scan, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_scan, "_gpl", "");
KSYMTAB_FUNC(rio_init_mports, "_gpl", "");
KSYMTAB_FUNC(rio_mport_initialize, "_gpl", "");
KSYMTAB_FUNC(rio_register_mport, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_mport, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_32, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_send_doorbell, "_gpl", "");
KSYMTAB_FUNC(rio_attach_device, "_gpl", "");
KSYMTAB_DATA(rio_mport_class, "_gpl", "");
KSYMTAB_FUNC(rio_register_driver, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_driver, "_gpl", "");
KSYMTAB_DATA(rio_bus_type, "_gpl", "");
KSYMTAB_FUNC(rio_dev_get, "_gpl", "");
KSYMTAB_FUNC(rio_dev_put, "_gpl", "");

SYMBOL_CRC(rio_local_get_device_id, 0xa9f1ae69, "_gpl");
SYMBOL_CRC(rio_query_mport, 0x191b5928, "");
SYMBOL_CRC(rio_alloc_net, 0x219c727b, "_gpl");
SYMBOL_CRC(rio_add_net, 0xf1bc397c, "_gpl");
SYMBOL_CRC(rio_free_net, 0x7759b3ac, "_gpl");
SYMBOL_CRC(rio_local_set_device_id, 0x1e95ca40, "_gpl");
SYMBOL_CRC(rio_add_device, 0x7fed528c, "_gpl");
SYMBOL_CRC(rio_del_device, 0x693d4f2c, "_gpl");
SYMBOL_CRC(rio_request_inb_mbox, 0x59f17f11, "_gpl");
SYMBOL_CRC(rio_release_inb_mbox, 0x470468e9, "_gpl");
SYMBOL_CRC(rio_request_outb_mbox, 0x547b1f89, "_gpl");
SYMBOL_CRC(rio_release_outb_mbox, 0xdc9cdca4, "_gpl");
SYMBOL_CRC(rio_request_inb_dbell, 0x1a4f6dc7, "_gpl");
SYMBOL_CRC(rio_release_inb_dbell, 0x91cd5cd7, "_gpl");
SYMBOL_CRC(rio_request_outb_dbell, 0x4c2a8cd7, "_gpl");
SYMBOL_CRC(rio_release_outb_dbell, 0x91859db7, "_gpl");
SYMBOL_CRC(rio_add_mport_pw_handler, 0xc2568175, "_gpl");
SYMBOL_CRC(rio_del_mport_pw_handler, 0x69085112, "_gpl");
SYMBOL_CRC(rio_request_inb_pwrite, 0x882442b5, "_gpl");
SYMBOL_CRC(rio_release_inb_pwrite, 0xb9373322, "_gpl");
SYMBOL_CRC(rio_pw_enable, 0x9dae87ae, "_gpl");
SYMBOL_CRC(rio_map_inb_region, 0xc2fe4400, "_gpl");
SYMBOL_CRC(rio_unmap_inb_region, 0xa45b2ad2, "_gpl");
SYMBOL_CRC(rio_map_outb_region, 0x08755469, "_gpl");
SYMBOL_CRC(rio_unmap_outb_region, 0xa1c1c55f, "_gpl");
SYMBOL_CRC(rio_mport_get_physefb, 0x7a4a78fc, "_gpl");
SYMBOL_CRC(rio_get_comptag, 0x698f1c32, "_gpl");
SYMBOL_CRC(rio_set_port_lockout, 0x9fda7928, "_gpl");
SYMBOL_CRC(rio_enable_rx_tx_port, 0x0fcafeed, "_gpl");
SYMBOL_CRC(rio_mport_chk_dev_access, 0xddbfd013, "_gpl");
SYMBOL_CRC(rio_inb_pwrite_handler, 0x9d4a9080, "_gpl");
SYMBOL_CRC(rio_mport_get_efb, 0x8e342dc3, "_gpl");
SYMBOL_CRC(rio_mport_get_feature, 0xd7ced3b5, "_gpl");
SYMBOL_CRC(rio_lock_device, 0xe4328867, "_gpl");
SYMBOL_CRC(rio_unlock_device, 0xca54b25d, "_gpl");
SYMBOL_CRC(rio_route_add_entry, 0x4f5f55c7, "_gpl");
SYMBOL_CRC(rio_route_get_entry, 0x110ec65f, "_gpl");
SYMBOL_CRC(rio_route_clr_table, 0x010a393c, "_gpl");
SYMBOL_CRC(rio_request_mport_dma, 0x466c23fc, "_gpl");
SYMBOL_CRC(rio_request_dma, 0x026c8929, "_gpl");
SYMBOL_CRC(rio_release_dma, 0xa502da34, "_gpl");
SYMBOL_CRC(rio_dma_prep_xfer, 0x4617c732, "_gpl");
SYMBOL_CRC(rio_dma_prep_slave_sg, 0xdb2cc45c, "_gpl");
SYMBOL_CRC(rio_register_scan, 0x67f73a77, "_gpl");
SYMBOL_CRC(rio_unregister_scan, 0xfa2a0f1f, "_gpl");
SYMBOL_CRC(rio_init_mports, 0xe1bd6c99, "_gpl");
SYMBOL_CRC(rio_mport_initialize, 0xd6b0f08b, "_gpl");
SYMBOL_CRC(rio_register_mport, 0xee340f0e, "_gpl");
SYMBOL_CRC(rio_unregister_mport, 0x146dd550, "_gpl");
SYMBOL_CRC(__rio_local_read_config_8, 0x7c841b90, "_gpl");
SYMBOL_CRC(__rio_local_read_config_16, 0x7193b73c, "_gpl");
SYMBOL_CRC(__rio_local_read_config_32, 0xcd5bbac4, "_gpl");
SYMBOL_CRC(__rio_local_write_config_8, 0x3d6c92d2, "_gpl");
SYMBOL_CRC(__rio_local_write_config_16, 0x83a29d08, "_gpl");
SYMBOL_CRC(__rio_local_write_config_32, 0xdc2a66e0, "_gpl");
SYMBOL_CRC(rio_mport_read_config_8, 0x096918f2, "_gpl");
SYMBOL_CRC(rio_mport_read_config_16, 0xa1856792, "_gpl");
SYMBOL_CRC(rio_mport_read_config_32, 0x9fef17c0, "_gpl");
SYMBOL_CRC(rio_mport_write_config_8, 0xbec43e51, "_gpl");
SYMBOL_CRC(rio_mport_write_config_16, 0x23994cc9, "_gpl");
SYMBOL_CRC(rio_mport_write_config_32, 0xff36be4f, "_gpl");
SYMBOL_CRC(rio_mport_send_doorbell, 0x13bb6690, "_gpl");
SYMBOL_CRC(rio_attach_device, 0x3839f817, "_gpl");
SYMBOL_CRC(rio_mport_class, 0xecb2b689, "_gpl");
SYMBOL_CRC(rio_register_driver, 0x99d5ccde, "_gpl");
SYMBOL_CRC(rio_unregister_driver, 0xaabb8b46, "_gpl");
SYMBOL_CRC(rio_bus_type, 0x127efb5c, "_gpl");
SYMBOL_CRC(rio_dev_get, 0x2cbb45ee, "_gpl");
SYMBOL_CRC(rio_dev_put, 0xb57462b2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6917fada, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x255a7423, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xe14877c, "__dma_request_channel" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8acb4b75, "put_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x3aa2e7d2, "module_put" },
	{ 0x1f14b0a0, "_dev_err" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x579bb9ce, "driver_unregister" },
	{ 0x69cd9cb7, "class_unregister" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x14d4db6, "device_register" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xc5e74216, "release_resource" },
	{ 0x23d78e37, "param_ops_int" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x7801f968, "driver_register" },
	{ 0xc4c86d37, "class_register" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0x140b06b5, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xdc81c7f3, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xaf4a0b3, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1bf03baf, "device_unregister" },
	{ 0x94589ee1, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xc1442376, "dma_release_channel" },
	{ 0x253e9d42, "device_for_each_child" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7C3C1A8BC085EC9B7BCC133");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
