#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0xe03807a6, "");
SYMBOL_CRC(sas_remove_host, 0x9512143b, "");
SYMBOL_CRC(sas_get_address, 0xeab48eef, "");
SYMBOL_CRC(sas_tlr_supported, 0x9e68ea09, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0xfcefc80b, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x4e814ee6, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x7a826961, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0xad72e853, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0xd063588a, "");
SYMBOL_CRC(sas_phy_add, 0xd4db01d0, "");
SYMBOL_CRC(sas_phy_free, 0x30b34dc0, "");
SYMBOL_CRC(sas_phy_delete, 0x00acd051, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x0a7e60f7, "");
SYMBOL_CRC(sas_port_alloc, 0x45f44b43, "");
SYMBOL_CRC(sas_port_alloc_num, 0xd416ae91, "");
SYMBOL_CRC(sas_port_add, 0xbb31f9ff, "");
SYMBOL_CRC(sas_port_free, 0x1faa6d9f, "");
SYMBOL_CRC(sas_port_delete, 0xf03085e7, "");
SYMBOL_CRC(scsi_is_sas_port, 0xe5fb45c8, "");
SYMBOL_CRC(sas_port_get_phy, 0x6c4e1b54, "");
SYMBOL_CRC(sas_port_add_phy, 0x4192ca1d, "");
SYMBOL_CRC(sas_port_delete_phy, 0x38e6f09c, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x52eaef87, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x023f07a3, "");
SYMBOL_CRC(sas_end_device_alloc, 0xbb867283, "");
SYMBOL_CRC(sas_expander_alloc, 0x41c6ca03, "");
SYMBOL_CRC(sas_rphy_add, 0x09676c71, "");
SYMBOL_CRC(sas_rphy_free, 0x490dcf4c, "");
SYMBOL_CRC(sas_rphy_delete, 0xd007042f, "");
SYMBOL_CRC(sas_rphy_unlink, 0x2bb92327, "");
SYMBOL_CRC(sas_rphy_remove, 0x3b18cc6d, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x1b64e6a8, "");
SYMBOL_CRC(sas_attach_transport, 0x12f57be5, "");
SYMBOL_CRC(sas_release_transport, 0x7ecacf23, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0xcd4a037b, "attribute_container_register" },
	{ 0x184a8213, "scsi_get_vpd_page" },
	{ 0xf134713a, "scsi_mode_sense" },
	{ 0xb3ee68a5, "attribute_container_unregister" },
	{ 0x9bed5ae6, "scsi_remove_host" },
	{ 0x88623db3, "bsg_remove_queue" },
	{ 0x50e05d3, "scsi_remove_target" },
	{ 0x83882d3d, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8587d3ad, "_dev_warn" },
	{ 0x7ab65d6e, "bsg_job_done" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x84e43daa, "dma_opt_mapping_size" },
	{ 0xdc854b50, "device_initialize" },
	{ 0xaf4a0b3, "dev_set_name" },
	{ 0x973ce482, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x253e9d42, "device_for_each_child" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8acb4b75, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x71684df0, "device_add" },
	{ 0x5b259027, "transport_add_device" },
	{ 0xde956996, "transport_configure_device" },
	{ 0x52deada9, "device_del" },
	{ 0xbb9dcfd4, "transport_destroy_device" },
	{ 0x9cad9fd5, "transport_remove_device" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x6917fada, "get_device" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x31c0f60e, "sysfs_remove_link" },
	{ 0x253d6985, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0xd61759a6, "_dev_printk" },
	{ 0x4b3bf73e, "scsi_scan_target" },
	{ 0x256a63aa, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xeba30619, "transport_class_register" },
	{ 0x79e0369a, "transport_class_unregister" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "3109B07A74B7470B8C8BE31");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
