#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x32a460e8, "down" },
	{ 0x8ca7b0f, "d_splice_alias" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x5fc9d3f0, "radix_tree_lookup" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0xe5664b45, "capable_wrt_inode_uidgid" },
	{ 0xdc816334, "seq_putc" },
	{ 0x65b45cb, "complete" },
	{ 0x494c87b, "seq_printf" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x90788e1, "current_time" },
	{ 0xa1a8fa21, "iomap_seek_data" },
	{ 0xd9aeff61, "dax_finish_sync_fault" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0x98c178d2, "completion_done" },
	{ 0x37a0cba, "kfree" },
	{ 0xf3c1065c, "trace_event_raw_init" },
	{ 0xbbc6b6bb, "file_bdev" },
	{ 0xde219e43, "freeze_super" },
	{ 0x36087fa5, "dput" },
	{ 0xa057339c, "filemap_splice_read" },
	{ 0x64acbe26, "d_mark_dontcache" },
	{ 0xdd5592dc, "make_kuid" },
	{ 0xb50c71f7, "rcuwait_wake_up" },
	{ 0x652f7fe9, "proc_mkdir" },
	{ 0xc35cf8bb, "fs_param_is_string" },
	{ 0x330f6a99, "trace_event_buffer_commit" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd545b647, "kmem_cache_alloc_lru_noprof" },
	{ 0x618911fc, "numa_node" },
	{ 0x22d9409b, "iomap_sort_ioends" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x20436f28, "_raw_spin_trylock" },
	{ 0x41a85e05, "inode_maybe_inc_iversion" },
	{ 0x652f13ad, "iomap_dio_rw" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x41482d8b, "strndup_user" },
	{ 0x9493fc86, "node_states" },
	{ 0x61a80b26, "kthread_stop" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x2e0f9006, "shrinker_alloc" },
	{ 0xb3915354, "bdev_fput" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x81498c8d, "iomap_truncate_page" },
	{ 0x44e13f3f, "fs_param_is_u32" },
	{ 0xd60e4de0, "make_kprojid" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x7981a561, "bio_init" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xeddd417, "down_read" },
	{ 0x69d3db4, "security_inode_init_security" },
	{ 0x83599da, "kset_unregister" },
	{ 0x375403a, "alloc_pages_bulk_noprof" },
	{ 0xe88dae01, "fput" },
	{ 0x28801224, "bio_chain" },
	{ 0x3345234, "generic_error_remove_folio" },
	{ 0x515ab773, "fs_holder_ops" },
	{ 0x9166fada, "strncpy" },
	{ 0x6187c0ff, "file_write_and_wait_range" },
	{ 0x98b08387, "list_lru_count_node" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x9d0b25f4, "kill_block_super" },
	{ 0x4228485a, "trace_event_buffer_reserve" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0xa8d3a0c7, "register_filesystem" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x27861650, "kiocb_modified" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x59c540be, "wake_up_process" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x43429e2a, "iter_file_splice_write" },
	{ 0x591fd9d3, "dax_remap_file_range_prep" },
	{ 0x8ca63c64, "freezing_slow_path" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x7c1d99d9, "posix_acl_chmod" },
	{ 0xa6ab9899, "rhashtable_init_noprof" },
	{ 0xa301d8a, "d_instantiate" },
	{ 0xc7c0d270, "kthread_create_on_node" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x3af6037b, "init_special_inode" },
	{ 0xa7cf35db, "iomap_file_buffered_write" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa4024504, "bio_uninit" },
	{ 0x7d613439, "make_kgid" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xf1e230f8, "iomap_readahead" },
	{ 0xfebeab7c, "kvrealloc_noprof" },
	{ 0x74215782, "ihold" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x56bbc64, "dax_zero_range" },
	{ 0xe64de64a, "dax_iomap_fault" },
	{ 0x3a63d6b9, "kobject_init_and_add" },
	{ 0x3ef7e22e, "set_cached_acl" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd4a5a73f, "setattr_prepare" },
	{ 0x8e76e221, "__percpu_counter_compare" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0x14c4fc53, "iomap_file_unshare" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x38b5074c, "filemap_invalidate_lock_two" },
	{ 0xc20d1534, "generic_read_dir" },
	{ 0x258fb53b, "list_lru_destroy" },
	{ 0x732f5ea7, "iomap_bmap" },
	{ 0xd502191e, "dax_layout_busy_page" },
	{ 0x83e0c337, "mnt_drop_write_file" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xd599aa88, "from_kuid" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x45844efa, "unlock_new_inode" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xfafd46b1, "kset_create_and_add" },
	{ 0x5aa45df3, "dentry_open" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xd2e4b813, "from_kgid" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x91621a98, "set_blocksize" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe091c977, "list_sort" },
	{ 0x6cf2168f, "generic_fadvise" },
	{ 0xe3540571, "thaw_super" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3f60e02f, "radix_tree_tag_set" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x5453a4f5, "thp_get_unmapped_area" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xd9a29de0, "touch_atime" },
	{ 0xb917289f, "rhashtable_destroy" },
	{ 0x1db7ac16, "fd_install" },
	{ 0x390719df, "remove_proc_subtree" },
	{ 0x9dfc262c, "filemap_map_pages" },
	{ 0x73a33d90, "vfs_setpos" },
	{ 0xb57ac5e4, "inode_init_owner" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x14b8805e, "generic_update_time" },
	{ 0x54924b18, "d_add_ci" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xbfc97bdc, "up" },
	{ 0x66ee331a, "iomap_swapfile_activate" },
	{ 0xca0cb02, "shrinker_free" },
	{ 0x2c290785, "kmem_cache_create" },
	{ 0x995a9307, "radix_tree_tag_clear" },
	{ 0x41a9efe, "d_tmpfile" },
	{ 0xbd7e38a6, "fsnotify" },
	{ 0xd8269cc3, "iput" },
	{ 0x256cec07, "block_size" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xfc3d3bb9, "sync_filesystem" },
	{ 0x76817afe, "file_update_time" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x8e61180a, "seq_escape_mem" },
	{ 0x1000e51, "schedule" },
	{ 0x4acb51b, "radix_tree_insert" },
	{ 0xed714da2, "register_sysctl_sz" },
	{ 0x57341bd7, "setattr_copy" },
	{ 0x41b67dc4, "get_tree_bdev" },
	{ 0x6fcb87a1, "touch_softlockup_watchdog" },
	{ 0x504d6495, "__fsnotify_parent" },
	{ 0x733dc4eb, "generic_write_checks" },
	{ 0x91782581, "rht_bucket_nested_insert" },
	{ 0xa2b617a4, "trace_event_printf" },
	{ 0xc7f0f5ab, "list_lru_add_obj" },
	{ 0x76d3cd60, "laptop_mode" },
	{ 0x7b2dca87, "__break_lease" },
	{ 0x7dfa2072, "down_write_trylock" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x3e7f8757, "radix_tree_gang_lookup" },
	{ 0xb05c33eb, "submit_bio_wait" },
	{ 0xd753e94, "inode_dio_wait" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x7b04428b, "proc_symlink" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x903b627c, "list_lru_isolate_move" },
	{ 0x2e637ddc, "unregister_filesystem" },
	{ 0x29eeb48c, "fs_bio_set" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xfd354db1, "iomap_read_folio" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92997ed8, "_printk" },
	{ 0x1b800d4a, "submit_bio" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbbb5c70b, "forget_cached_acl" },
	{ 0xf03ef1fc, "proc_dointvec_minmax" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf70b81b3, "posix_acl_create" },
	{ 0xab42706c, "bdev_file_open_by_path" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8d6a6507, "__destroy_inode" },
	{ 0xde2f1f70, "vmalloc_to_page" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4546dc7b, "evict_inodes" },
	{ 0x7bdb399d, "inode_sb_list_add" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe87d8afb, "list_lru_count_one" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x89c534ed, "iomap_is_partially_uptodate" },
	{ 0xec8c66ea, "truncate_pagecache_range" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x87028c7c, "debugfs_remove" },
	{ 0x11b07d7, "d_invalidate" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xa07a37f0, "memchr" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0x42c602e9, "iomap_seek_hole" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x54b68b02, "iomap_writepages" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xeae5bdb7, "d_find_alias" },
	{ 0xb15b4109, "crc32c" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xe172fbe, "inode_init_always" },
	{ 0x4c2eca8e, "has_capability_noaudit" },
	{ 0x266fe274, "iomap_file_buffered_write_punch_delalloc" },
	{ 0x6c9fd511, "__free_pages" },
	{ 0x1e0a6797, "blkdev_issue_zeroout" },
	{ 0xacbbd694, "dax_truncate_page" },
	{ 0x8e223c2d, "inode_query_iversion" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xa8a79569, "proc_create_single_data" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0xce67918b, "mf_dax_kill_procs" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd2e4dc1c, "generic_file_open" },
	{ 0xb369da41, "igrab" },
	{ 0x60e50eac, "invalidate_inode_pages2_range" },
	{ 0xe425545a, "pv_ops" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x90d2ab47, "exportfs_decode_fh" },
	{ 0xdf7cf1f2, "lock_two_nondirectories" },
	{ 0x56fe846e, "bit_waitqueue" },
	{ 0x3ed233aa, "_atomic_dec_and_lock" },
	{ 0xac2bfcff, "__seq_puts" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xd896c941, "vfs_fsync_range" },
	{ 0x3f1c98c, "inode_newsize_ok" },
	{ 0x41ea889d, "__list_lru_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb3295830, "seq_write" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x79a2a42b, "finish_open" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa02046f6, "filemap_flush" },
	{ 0x36cbe9b7, "fs_param_is_enum" },
	{ 0x31618d37, "invalidate_bdev" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7e8bf08a, "generic_write_check_limits" },
	{ 0x754d539c, "strlen" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x71ee950a, "make_vfsuid" },
	{ 0xede295ca, "iomap_finish_ioends" },
	{ 0x6dda199, "__fs_parse" },
	{ 0xdc1b2b36, "filemap_migrate_folio" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa72765cf, "kobject_put" },
	{ 0x8ec2785b, "filemap_invalidate_unlock_two" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xe553236f, "iomap_release_folio" },
	{ 0x40118a7f, "iomap_fiemap" },
	{ 0xdc066449, "radix_tree_gang_lookup_tag" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xcf191255, "down_trylock" },
	{ 0x65fd7b61, "inode_init_once" },
	{ 0x4c496563, "kobject_del" },
	{ 0x355ee4dc, "from_vfsgid" },
	{ 0x1366193, "user_path_at" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1ac0512b, "d_obtain_alias" },
	{ 0x9c760bd0, "percpu_counter_set" },
	{ 0xad6920fb, "bio_split" },
	{ 0x73b6c5dc, "blk_finish_plug" },
	{ 0x4c8334f7, "bio_alloc_bioset" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x24bcb567, "iomap_zero_range" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xd28422cf, "iomap_page_mkwrite" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x7cd05fc7, "drop_nlink" },
	{ 0x80ca4591, "posix_acl_update_mode" },
	{ 0xae7f3d38, "__percpu_counter_init_many" },
	{ 0x586a0f36, "generic_file_read_iter" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x9963bdf5, "filemap_fault" },
	{ 0x1bd49765, "sb_min_blocksize" },
	{ 0x707effd8, "kmem_cache_free" },
	{ 0x45473cbf, "bpf_trace_run7" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x96b3e4e0, "down_read_trylock" },
	{ 0x96848186, "scnprintf" },
	{ 0x743b6d72, "generic_file_llseek" },
	{ 0xc6cbbc89, "capable" },
	{ 0xdab3fe1a, "mnt_want_write_file" },
	{ 0x406e4bb2, "bpf_trace_run6" },
	{ 0x9507c90f, "copy_fsxattr_to_user" },
	{ 0x3077e8e4, "kmem_cache_destroy" },
	{ 0x927d5c4e, "bpf_trace_run5" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xf2301826, "downgrade_write" },
	{ 0x9f27c5e8, "radix_tree_delete" },
	{ 0x858e2628, "dax_holder" },
	{ 0x32ce3777, "radix_tree_preload" },
	{ 0xd8562739, "bpf_trace_run2" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2bbcad50, "bpf_trace_run1" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x45e93bae, "iomap_ioend_try_merge" },
	{ 0xbb3eca2c, "bpf_trace_run3" },
	{ 0xdf51a20e, "filemap_write_and_wait_range" },
	{ 0xbefb4856, "bpf_trace_run4" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x74d0702c, "set_nlink" },
	{ 0x86f6a820, "debugfs_create_dir" },
	{ 0x579a9a42, "inode_set_ctime_current" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5a80886c, "from_vfsuid" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x9beedeec, "blk_start_plug" },
	{ 0x7b54207a, "kmem_cache_alloc_noprof" },
	{ 0x6f2feb4d, "trace_raw_output_prep" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x123f9b19, "unregister_sysctl_table" },
	{ 0xe042d0c, "list_lru_walk_node" },
	{ 0xc22a3091, "vm_unmap_aliases" },
	{ 0x28a88daf, "bio_put" },
	{ 0x7c0c2cc, "iomap_invalidate_folio" },
	{ 0x2f7e5465, "percpu_counter_add_batch" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x41620cdc, "radix_tree_tagged" },
	{ 0x1087ed87, "__blkdev_issue_discard" },
	{ 0x84328d5e, "pcpu_hot" },
	{ 0x56611434, "bio_add_page" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xfb578fc5, "memset" },
	{ 0xc78d12cf, "perf_trace_run_bpf_submit" },
	{ 0xb48e6227, "path_put" },
	{ 0x3fd2571, "vm_unmap_ram" },
	{ 0x690f8870, "iocb_bio_iopoll" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x45626389, "vm_map_ram" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5387091e, "bdev_thaw" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb7c0f443, "sort" },
	{ 0x6010c289, "unlock_two_nondirectories" },
	{ 0x4fb5da55, "fs_put_dax" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x8a5df835, "init_user_ns" },
	{ 0x9ea59272, "try_wait_for_completion" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xcb0d236d, "shrinker_register" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xb0e602eb, "memmove" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x3be2539f, "__var_waitqueue" },
	{ 0x3a829a0, "fs_dax_get_by_bdev" },
	{ 0x7316d7fa, "trace_event_reg" },
	{ 0x5a921311, "strncmp" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xee676812, "dax_file_unshare" },
	{ 0x90fab38f, "add_wait_queue_exclusive" },
	{ 0x695b39d8, "percpu_counter_destroy_many" },
	{ 0xabf4c4b7, "__percpu_counter_sum" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe1946422, "blkdev_issue_flush" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7cf2e23c, "generic_remap_file_range_prep" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x950a03f0, "truncate_setsize" },
	{ 0x8886b8e9, "sync_inodes_sb" },
	{ 0xb52e58af, "iomap_dirty_folio" },
	{ 0x96dc1854, "fs_kobj" },
	{ 0xbb53856b, "up_read" },
	{ 0xdda9a5, "truncate_pagecache" },
	{ 0xf19b6fc3, "__trace_trigger_soft_disabled" },
	{ 0xeed7fd81, "up_write" },
	{ 0x2c6b557, "inc_nlink" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0xe3ed7d3e, "make_vfsgid" },
	{ 0x2202f751, "const_pcpu_hot" },
	{ 0xa916b694, "strnlen" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xa0c43a1c, "file_remove_privs" },
	{ 0x1a375d2f, "sysfs_create_file_ns" },
	{ 0x592582f1, "dget_parent" },
	{ 0x355a1293, "remap_verify_area" },
	{ 0xbb18dfee, "dax_writeback_mapping_range" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x167b0233, "rhashtable_insert_slow" },
	{ 0x34aa7810, "noop_dirty_folio" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0xe1fa031b, "dax_iomap_rw" },
	{ 0xb21f94c0, "list_lru_del_obj" },
	{ 0x7daece67, "quota_send_warning" },
	{ 0xea43eba, "d_make_root" },
	{ 0x75823bf, "invalidate_inode_pages2" },
	{ 0x23852e60, "vfs_readlink" },
	{ 0x2e854417, "bdev_freeze" },
	{ 0x7ce18c9f, "from_kqid" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x2287c1c2, "__percpu_down_read" },
	{ 0x914ccfa7, "file_modified" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcd188a68, "list_lru_walk_one" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "libcrc32c");


MODULE_INFO(srcversion, "5B08974B8AAD1B773B94688");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
