#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0x706a523d, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0xd5a43892, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0x5677021a, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0xe87c553d, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0x0460ec0f, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0x472ae75d, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0x92f68603, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0x1a58d5b0, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0x33cb9d1f, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0x34e1107a, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x52bbc6a3, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0xe6efab4a, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0xb50489ee, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0xb5fb09f3, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0x927bd16e, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0xc03d766d, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x2aa4f31a, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0xbe85c8c3, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0x2b87159c, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0xca219d39, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0xeb0ab313, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0x752f0aa2, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0x21d541ee, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x577e3306, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0xb3756a40, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0x3014fbd8, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0x814e5928, "_gpl");
SYMBOL_CRC(print_tuple, 0x6a4f3fb5, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0x79c595b6, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0xa89642ad, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0xbef4270c, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0x74030a17, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0xb5bbfdf9, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0x86dd69d6, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0x32869b6d, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0x4f04e487, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x089814c9, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0x7a53f9c9, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0x7a4c357d, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x6a4a8b72, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0x3acce65f, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0x9909019c, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0xc029f66c, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0xad71bf99, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0x5c969fbd, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0xbb401606, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0x79656884, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x03246726, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0x3f252bbb, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x6ae9d0f1, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0x9b8c114c, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0xcb7287b7, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0xd3b6e4be, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0xabf30216, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x5e76d4d5, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0xa62641ad, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0xf974bd82, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x29131d9f, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0xb9c87544, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0xc87c136b, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0xecbb764e, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0xd8591703, "_gpl");
SYMBOL_CRC(nf_confirm, 0x35e64f2b, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0xb40fd0a2, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0xb299e908, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0xba734712, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x2c7e3aac, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0x22c7d9a6, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0x5796fbda, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0xfee40bca, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x3305438d, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x6a465534, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0x5827a668, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x51383639, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0x97a6e980, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x419c8ff9, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0x156e7824, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0xfa680359, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x01ce3660, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x7b6590f2, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x30466a20, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x53086dc2, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0x2c4e110e, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0xb155e213, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0xa9f27452, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x86917f72, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0x456562ab, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0x6d34f4e4, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x4bf946d8, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0x5a396a22, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0x203291de, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x888d09ea, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xdd5592dc, "make_kuid" },
	{ 0x58a25d86, "nf_defrag_ipv6_disable" },
	{ 0xf0c1c6a8, "ipv6_skip_exthdr" },
	{ 0x48245301, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0x2202f751, "const_pcpu_hot" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x3aa2e7d2, "module_put" },
	{ 0x48f2609c, "nf_checksum" },
	{ 0x14d860af, "init_net" },
	{ 0x2973a491, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc72a2f8b, "sk_skb_reason_drop" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x707effd8, "kmem_cache_free" },
	{ 0xdc816334, "seq_putc" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x4ace9a74, "nf_checksum_partial" },
	{ 0x66f5f9d7, "skb_ensure_writable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x5cc0d6a4, "nf_unregister_net_hooks" },
	{ 0xe7ea3743, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x29b94967, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x99c61db7, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x7b54207a, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x3e785449, "nf_log_packet" },
	{ 0x7d613439, "make_kgid" },
	{ 0x45d461a9, "nf_ip_checksum" },
	{ 0x5181ee95, "register_btf_kfunc_id_set" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0x7edb1c7c, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeddd417, "down_read" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x254ad00e, "nla_policy_len" },
	{ 0xa6068a69, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x49ed65fc, "__skb_checksum" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8e04e9be, "proc_set_user" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd221a728, "param_ops_bool" },
	{ 0x1fdb9050, "inet_proto_csum_replace4" },
	{ 0xb3295830, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x71aefb05, "remove_proc_entry" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x494c87b, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe8be192b, "nf_defrag_ipv6_enable" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x275f9364, "proc_dointvec" },
	{ 0x1b791e1b, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x5a16710f, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xfa3f46f0, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xc4fed19a, "pskb_trim_rcsum_slow" },
	{ 0xbb53856b, "up_read" },
	{ 0x27e2e008, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3077e8e4, "kmem_cache_destroy" },
	{ 0xc56c47e5, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xda61cd54, "__do_once_done" },
	{ 0xdc81c7f3, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x1984927a, "nf_defrag_ipv4_disable" },
	{ 0xc882e027, "nf_ip6_checksum" },
	{ 0x67101071, "proc_dou8vec_minmax" },
	{ 0x89bffcdb, "skb_copy_bits" },
	{ 0xa6534108, "param_ops_uint" },
	{ 0xd3d97927, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe8cdf596, "nf_register_sockopt" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0xf491579d, "nfct_btf_struct_access" },
	{ 0xef8554f7, "param_set_uint" },
	{ 0xe38c7752, "nf_defrag_ipv4_enable" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xd3a6529f, "nf_ct_frag6_gather" },
	{ 0x8e0d2e6a, "get_net_ns_by_id" },
	{ 0x84328d5e, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2c290785, "kmem_cache_create" },
	{ 0x16deae47, "nf_ct_hook" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x4349b1d3, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751d2e97, "bpf_log" },
	{ 0x4f34a4da, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x2bdc5db6, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x574ea8b6, "nf_unregister_sockopt" },
	{ 0xc224cec0, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv6,libcrc32c,nf_defrag_ipv4");


MODULE_INFO(srcversion, "C3EB11D2F910CD4744B9EB6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
