#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_hda_common_probe, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_FUNC(cs35l56_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_DATA(cs35l56_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L56");

SYMBOL_CRC(cs35l56_hda_common_probe, 0x9eb69b5c, "_gpl");
SYMBOL_CRC(cs35l56_hda_remove, 0x676992f6, "_gpl");
SYMBOL_CRC(cs35l56_hda_pm_ops, 0x6ba395c4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x138ca9e7, "snd_ctl_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9662b74b, "cs35l56_get_calibration" },
	{ 0x44bcec91, "__pm_runtime_set_status" },
	{ 0xcb3ac702, "snd_ctl_new1" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9baf3b8, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x6b2c1caa, "device_property_read_u32_array" },
	{ 0xd18504ae, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfdc6c80b, "cs35l56_init_cs_dsp" },
	{ 0x1f14b0a0, "_dev_err" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0xfa4d22d, "cs35l56_calibration_controls" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x32e0e5d, "cs_dsp_halo_init" },
	{ 0x8ebea335, "cs_dsp_power_down" },
	{ 0x87028c7c, "debugfs_remove" },
	{ 0x4dabd6c4, "cs35l56_runtime_suspend_common" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xae29471e, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0xf2bc016d, "cs35l56_mbox_send" },
	{ 0x6a9930ac, "cs35l56_hw_init" },
	{ 0x8587d3ad, "_dev_warn" },
	{ 0xe7bf5488, "cs35l56_read_prot_status" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb6c890c3, "cs_dsp_power_up" },
	{ 0x2e0649cd, "cs35l56_system_reset" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x53b9bdf6, "cs35l56_wait_for_firmware_boot" },
	{ 0xe8768cf7, "devm_kasprintf" },
	{ 0xc156352, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0xf46132ad, "cs35l56_is_fw_reload_needed" },
	{ 0xe94bed8f, "regmap_read" },
	{ 0x9898f62a, "cs_dsp_run" },
	{ 0x205d126, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x5dae3431, "cs_amp_write_cal_coeffs" },
	{ 0xf728bebf, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x70f811b7, "cs35l56_runtime_resume_common" },
	{ 0x851c6366, "regmap_update_bits_base" },
	{ 0xe42be596, "dev_err_probe" },
	{ 0x40641128, "regmap_multi_reg_write" },
	{ 0xf6a8865a, "__pm_runtime_suspend" },
	{ 0xc8b663d5, "component_add" },
	{ 0xb0dfbb20, "set_primary_fwnode" },
	{ 0x3b649e8, "__pm_runtime_use_autosuspend" },
	{ 0x6f176087, "devm_gpiod_get_index_optional" },
	{ 0x6926cc9c, "__pm_runtime_disable" },
	{ 0x86f6a820, "debugfs_create_dir" },
	{ 0x8cbd7b7a, "cs35l56_firmware_shutdown" },
	{ 0x6cd9adf1, "pm_runtime_force_suspend" },
	{ 0x69b801b, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfb09c81, "cirrus_scodec_get_speaker_id" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x71121681, "acpi_dev_get_first_match_dev" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xd4223e8d, "regcache_cache_only" },
	{ 0x1b51ccc5, "is_acpi_device_node" },
	{ 0x7dcbae5c, "regcache_sync" },
	{ 0x44629fde, "regmap_write" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x5e79c0d7, "firmware_request_nowarn" },
	{ 0x4670bf2f, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa9fb22df, "cs_dsp_cleanup_debugfs" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xafd66377, "cs_dsp_stop" },
	{ 0x3de33dd1, "pm_runtime_set_autosuspend_delay" },
	{ 0xed00d71e, "gpiod_set_value_cansleep" },
	{ 0xd69550c8, "component_del" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x7267b3d9, "sound_debugfs_root" },
	{ 0x95a91b7f, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb57e614b, "cs_dsp_init_debugfs" },
	{ 0x255a7423, "__dynamic_dev_dbg" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-soc-cs35l56-shared,cs_dsp,snd-soc-cs-amp-lib,snd-hda-cirrus-scodec");


MODULE_INFO(srcversion, "17860E6EB764DD9F899C8AB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
