#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd7e1cffe, "cnl_ipc_send_msg" },
	{ 0xd5f712ce, "snd_soc_acpi_intel_tgl_sdw_machines" },
	{ 0x4dd2a5b4, "__pci_register_driver" },
	{ 0x1f5fc990, "hda_dsp_disable_interrupts" },
	{ 0xfb67a710, "hda_dsp_set_power_state_ipc4" },
	{ 0xea26c7f0, "hda_power_down_dsp" },
	{ 0x953a70e, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa856e7ec, "hda_ipc4_dsp_dump" },
	{ 0xd401eb07, "hda_dsp_cl_boot_firmware_iccmax" },
	{ 0x3c13f83, "hda_dsp_enable_core" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x46dd23d2, "sof_hda_common_ops" },
	{ 0x5b1989fe, "hda_sdw_check_lcount_common" },
	{ 0x3bb56c8a, "snd_soc_acpi_intel_ehl_machines" },
	{ 0x3a90dc3a, "cnl_ipc4_dump" },
	{ 0xbc99cacd, "snd_soc_acpi_intel_adl_sdw_machines" },
	{ 0x19f5f302, "hda_pci_intel_probe" },
	{ 0x778c0eb4, "hda_dsp_shutdown_dma_flush" },
	{ 0x602ca5ba, "snd_soc_acpi_intel_tgl_machines" },
	{ 0x4b27d49f, "hda_dsp_core_reset_power_down" },
	{ 0xb573d1dd, "sof_pci_remove" },
	{ 0xc605aab0, "cnl_ipc_dump" },
	{ 0xf2fd2844, "hda_set_dai_drv_ops" },
	{ 0x32d7e0c5, "hda_dsp_set_power_state_ipc3" },
	{ 0xfb15a137, "cnl_ipc4_irq_thread" },
	{ 0xf89348f2, "cnl_ipc_irq_thread" },
	{ 0x22481abe, "snd_soc_acpi_intel_rpl_sdw_machines" },
	{ 0xb6953f86, "hda_dsp_post_fw_run" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8377599d, "hda_common_enable_sdw_irq" },
	{ 0x1637f89f, "hda_dsp_check_ipc_irq" },
	{ 0xf66d9027, "cl_dsp_init" },
	{ 0xadd691c2, "hda_ops_free" },
	{ 0x4c9468dd, "sof_pci_shutdown" },
	{ 0x16cf261f, "__kmalloc_cache_noprof" },
	{ 0x9be695bc, "hda_sdw_process_wakeen_common" },
	{ 0x69b69bba, "hda_dsp_ipc4_load_library" },
	{ 0x6000791d, "cnl_ipc4_send_msg" },
	{ 0x78012d40, "hda_common_check_sdw_irq" },
	{ 0x14b4eb48, "sof_pci_pm" },
	{ 0x5ebd4e40, "kmalloc_caches" },
	{ 0xaa1b64b9, "snd_soc_acpi_intel_adl_machines" },
	{ 0xdcc6d459, "snd_soc_acpi_intel_rpl_machines" },
	{ 0xe5d949b8, "hda_sdw_check_wakeen_irq_common" },
	{ 0xcdead67, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-pci-intel-cnl,snd-soc-acpi-intel-match,snd-sof-intel-hda-common,snd-sof-intel-hda-generic,snd-sof-pci");

MODULE_ALIAS("pci:v00008086d0000A0C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000043C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004B55sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004B58sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007AD0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007A50sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051C9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051CBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051CCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051CDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000054C8sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "47B5B0DADC1971E44B2C1A5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
